/**
 *获取接口调用 地址
 */
function getApiServer() {
	var url = 'http://console.jeelv.com/api';
	return url
}

function getUploadServer() {
	var url = 'http://console.jeelv.com/travel';
	return url
}

function getWebAppServer() {
	var url = 'http://m.jeelv.com';
	return url
}

function openWin1(url, id, extras) {
	mui.openWindow({
		url: url,
		id: id,
		show: {
			duration: 250
		},
		extras: extras,
		waiting: {
			autoShow: false
		}
	})
}

function openWin2(url, id, extras) {
	mui.openWindow({
		url: url,
		id: id,
		show: {
			duration: 250
		},
		extras: extras,
		waiting: {
			autoShow: true,
			title: '    加载中...    '
		}
	})
}

function openWin3(url, id, extras) {
	mui.openWindow({
		url: url,
		id: id,
		createNew: true,
		show: {
			duration: 250
		},
		extras: extras,
		waiting: {
			autoShow: false
		}
	})
}(function($, owner) {
	owner.loadData = function(currentPage, pageSize, queryParam, orderBy, reload, lat, longt, successCallback,
		errorCallback) {
		successCallback = successCallback || $.noop;
		errorCallback = errorCallback || $.noop;
		var jsData1 = {
			currentPage: currentPage,
			queryParam: queryParam,
			orderBy: orderBy,
			pageSize: pageSize,
			longt: longt,
			lat: lat
		};
		mui.ajax(getApiServer() + "/api/AppProduct/ShowProductList", {
			type: "post",
			data: JSON.stringify(jsData1),
			contentType: "application/json",
			dataType: "json",
			timeout: 10000,
			success: successCallback,
			error: errorCallback
		})
	};
	owner.commonLoadData = function(currentPage, pageSize, queryParam, orderBy, className, methodName, successCallback,
		errorCallback) {
		successCallback = successCallback || $.noop;
		errorCallback = errorCallback || $.noop;
		var jsData1 = {
			currentPage: currentPage,
			queryParam: queryParam,
			orderBy: orderBy,
			pageSize: pageSize
		};
		mui.ajax(getApiServer() + "/api/" + className + "/" + methodName, {
			type: "post",
			data: JSON.stringify(jsData1),
			contentType: "application/json",
			dataType: "json",
			timeout: 10000,
			success: successCallback,
			error: errorCallback
		})
	};
	owner.commonLoadData1 = function(currentPage, pageSize, queryParam, orderBy, className, methodName, lat, longt,
		successCallback, errorCallback) {
		successCallback = successCallback || $.noop;
		errorCallback = errorCallback || $.noop;
		var jsData1 = {
			currentPage: currentPage,
			queryParam: queryParam,
			orderBy: orderBy,
			pageSize: pageSize,
			longt: longt,
			lat: lat
		};
		mui.ajax(getApiServer() + "/api/" + className + "/" + methodName, {
			type: "post",
			data: JSON.stringify(jsData1),
			contentType: "application/json",
			dataType: "json",
			timeout: 10000,
			success: successCallback,
			error: errorCallback
		})
	};
	owner.commonLoadData2 = function(currentPage, pageSize, queryParam, queryParam1, orderBy, className, methodName,
		successCallback, errorCallback) {
		successCallback = successCallback || $.noop;
		errorCallback = errorCallback || $.noop;
		var jsData1 = {
			currentPage: currentPage,
			queryParam: queryParam,
			queryParam1: queryParam1,
			orderBy: orderBy,
			pageSize: pageSize
		};
		mui.ajax(getApiServer() + "/api/" + className + "/" + methodName, {
			type: "post",
			data: JSON.stringify(jsData1),
			contentType: "application/json",
			dataType: "json",
			timeout: 10000,
			success: successCallback,
			error: errorCallback
		})
	};
	owner.callWebApi = function(className, methodName, jsData1, jsData2, successCallback, errorCallback) {
		successCallback = successCallback || $.noop;
		errorCallback = errorCallback || $.noop;
		var jsData = "";
		if (jsData1 != null && jsData2 != null) {
			jsData = JSON.stringify({
				param1: jsData1,
				param2: jsData2
			})
		} else if (jsData1 != null) {
			jsData = JSON.stringify(jsData1)
		} else {
			return '{}'
		}
		mui.ajax(getApiServer() + "/api/" + className + "/" + methodName, {
			type: "post",
			data: jsData,
			contentType: "application/json",
			dataType: "json",
			success: successCallback,
			error: errorCallback
		})
	}
}(mui, window.app = {}));

function getUserInfo() {
	if (localStorage.getItem('userInfo') != null) {
		var userInfo = $.parseJSON(localStorage.getItem('userInfo').toString());
		return userInfo
	} else {
		return null
	}
}

function getUserPosition() {
	if (localStorage.getItem('userPosition') != null) {
		var userPosition = $.parseJSON(localStorage.getItem('userPosition').toString());
		return userPosition
	} else {
		return null
	}
}

function getUserBooking() {
	if (localStorage.getItem('userBooking') != null) {
		var userBooking = $.parseJSON(localStorage.getItem('userBooking').toString());
		return userBooking
	} else {
		return null
	}
}

function addBrowseProduct(id) {
	if (localStorage.getItem('browseProduct') != null && localStorage.getItem('browseProduct') != '') {
		var browseProduct = localStorage.getItem('browseProduct').toString();
		if (browseProduct.indexOf(id) < 0) {
			browseProduct += ",'" + id + "'";
			localStorage.setItem("browseProduct", browseProduct)
		}
	} else {
		localStorage.setItem("browseProduct", "'" + id + "'")
	}
}

function delBrowseProduct(id) {
	if (localStorage.getItem('browseProduct') != null && localStorage.getItem('browseProduct') != '') {
		var browseProduct = localStorage.getItem('browseProduct').toString();
		browseProduct = browseProduct.replace(",'" + id + "'", "");
		browseProduct = browseProduct.replace("'" + id + "'", "");
		localStorage.setItem("browseProduct", browseProduct)
	} else {
		localStorage.setItem("browseProduct", "'" + id + "'")
	}
}

function getBrowseProduct() {
	if (localStorage.getItem('browseProduct') != null) {
		var browseProduct = localStorage.getItem('browseProduct').toString();
		return browseProduct
	} else {
		return null
	}
}

function clearBrowseProduct() {
	if (localStorage.getItem('browseProduct') != null) {
		localStorage.removeItem("browseProduct")
	}
}

function getDistanceQuery(lat, longt, value) {
	return " and (6371*acos(cos(radians(" + lat + "))*cos(radians(P_Latitude))*cos(radians(P_Longitude)-radians(" + longt +
		"))+sin(radians(" + lat + "))*sin(radians(P_Latitude))))<=" + value
}

function sendCodeTime(x, x1) {
	setTimeout(function() {
		if (x > 0) {
			x = x - 1;
			$('#send').text(x + ' 秒后可重发');
			$('#send').attr('disabled', true);
			sendCodeTime(x, x1)
		} else {
			x = x1;
			$('#send').text("获取验证码");
			$('#send').removeAttr('disabled')
		}
	}, 1000)
}

function closeOtherWin(currentPage) {
	if (currentPage == '') {
		currentPage = '没有窗口'
	}
	var wvs = plus.webview.all();
	for (var i = 0; i < wvs.length; i += 1) {
		if (wvs[i].id.indexOf('.html') < 0) {
			continue
		}
		if (wvs[i].id == null || (wvs[i].id.indexOf("index") < 0 && wvs[i].id.indexOf(currentPage) < 0)) {
			plus.webview.close(wvs[i], "none")
		}
	}
}

function closeAllWin() {
	var wvs = plus.webview.all();
	for (var i = 0; i < wvs.length; i += 1) {
		if (wvs[i].id.indexOf('.html') < 0) {
			continue
		}
		if (wvs[i].id == null || wvs[i].id.indexOf("index") < 0) {
			plus.webview.close(wvs[i], "none")
		}
	}
}

function exit() {
	var wvs = plus.webview.all();
	for (var i = 0; i < wvs.length; i += 1) {
		plus.webview.close(wvs[i], "none")
	}
}
var isInstalled = function(id) {
	if (id === 'qihoo' && mui.os.plus) {
		return true
	}
	if (mui.os.android) {
		var main = plus.android.runtimeMainActivity();
		var packageManager = main.getPackageManager();
		var PackageManager = plus.android.importClass(packageManager);
		var packageName = {
			"qq": "com.tencent.mobileqq",
			"weixin": "com.tencent.mm",
			"sinaweibo": "com.sina.weibo"
		};
		try {
			return true;
			//return packageManager.getPackageInfo(packageName[id], PackageManager.GET_ACTIVITIES)
		} catch (e) {}
	} else {
		switch (id) {
			case "qq":
				var TencentOAuth = plus.ios.import("TencentOAuth");
				return TencentOAuth.iphoneQQInstalled();
			case "weixin":
				var WXApi = plus.ios.import("WXApi");
				return WXApi.isWXAppInstalled();
			case "sinaweibo":
				var SinaAPI = plus.ios.import("WeiboSDK");
				return SinaAPI.isWeiboAppInstalled();
			default:
				break
		}
	}
};
