mui.init();

//初始化单页view
var viewApi = mui('#app').view({
	defaultPage: '#booking_main'
});
//初始化单页的区域滚动
mui('.mui-scroll-wrapper').scroll();
var view = viewApi.view;
var oldBack = mui.back;
var isback = false;

var server = getUploadServer() + "/Common/UploadFile.ashx";
var files = [];
var zipfiles = [];

//初始化
mui.plusReady(function() {
	//	plus.webview.currentWebview().setStyle({
	//		scrollIndicator: 'none'
	//	});	
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var self = plus.webview.currentWebview();
	var id = self.priceId;
	var pdate = self.pdate;
	var timeId = self.timeId;
	var priceInfo = self.priceInfo;
	var userId = self.userId;
	$("#spellGroupNo").val(self.spellGroupNo);
	var jsData1 = {
		priceId: id,
		pdate: pdate,
		timeId: timeId,
		priceInfo: priceInfo,
		userId: userId,
		source: 'app'
	}
	//获取预订确认信息  
	app.callWebApi('AppProduct', 'ShowBookingConfirm', jsData1, null,
		function(result) {
			if (result.Result == "") {
				$('#P_Name').text(result.P_Name);
				$('#P_Date').text(result.P_Date);
				$('#P_PriceName').text(result.P_PriceName);
				$('.price-detail').append(result.P_PriceDetail);
				$('#BookingParams').val(result.BookingParams);
				//显示总价格
				$(".total-info em").text(result.P_TotalPrice);
				$("#totalprice").text(result.P_TotalPrice);
				$('#TotalAdu').val(result.TotalAdu);
				$('#TotalChi').val(result.TotalChi);
				$('#P_NeedPassenger').val(result.P_NeedPassenger);
				$('#P_ProductID').val(result.P_ProductID);
				$('#P_Organization').val(result.P_Organization);
				$('#P_IsBuyInsurance').val(result.P_IsBuyInsurance);
				$('#P_IsFillAddress').val(result.P_IsFillAddress);
				//是否显示优惠券(亲子年卡不能使用优惠券)
				if(result.P_AllowCouponPay == "1") {
					$('#jl-select-coupons').show();
				} else {
					$('#jl-select-coupons').hide();
				}
				//是否需要填写游客信息
				if (result.P_NeedPassenger == '0') {
					$('#jl-select-passenger').hide();
				} else {
					$('#jl-select-passenger').show();
					//成人数量
					if (parseInt(result.TotalAdu) > 0 && parseInt(result.TotalChi) > 0) {
						$("#TotalPassanger").text("请选择成人" + result.TotalAdu + "名，儿童" + result.TotalChi + "名");
					} else if (parseInt(result.TotalAdu) > 0) {
						$("#TotalPassanger").text("请选择成人" + result.TotalAdu + "名");
					} else {
						$("#TotalPassanger").text("请选择儿童" + result.TotalChi + "名");
					}
				}
				//是否购买保险
				if (result.P_IsBuyInsurance == '1') {
					$('#divInfo1').show();
					$('#divInfo2').show();
					$('#divIDCardType').show();
					$('#divCardId').show();
					$('#divIDCardType1').show();
					$('#divCardId1').show();
				} else {
					$('#divInfo1').hide();
					$('#divInfo2').hide();
					$('#divIDCardType').hide();
					$('#divCardId').hide();
					$('#divIDCardType1').hide();
					$('#divCardId1').hide();
				}
				//是否填写收货地址
				if (result.P_IsFillAddress == "1") {
					$('#jl-address').show();
				} else {
					$('#jl-address').hide();
				}
				$('#name').val(result.U_RealName);
				$('#phone').val(result.U_Code);
			} else {
				mui.toast(result.Result);
			}
			plus.nativeUI.closeWaiting();
			$('#content').show();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			$('#content').show();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
});

$(function() {
	
	/*性别，出生日期*/
	var userPicker = new mui.PopPicker();
	userPicker.setData([{
		value: 'M',
		text: '男'
	}, {
		value: 'F',
		text: '女'
	}]);
	
	$(".sex-picker").on("tap", function() {
		var obj = $(this);
		userPicker.show(function(items) {
			obj.val(items[0].text);
			obj.attr("data-val", items[0].value);
			document.getElementById('child_sex').value = items[0].value;
		});
	});
	
	$(".birthday-picker").on("tap", function() {
		var obj = $(this);
		var optionsJson = obj.attr('data-options') || '{}';
		var options = JSON.parse(optionsJson);
		var picker = new mui.DtPicker(options);
		picker.show(function(rs) {
			obj.val(rs.text);
			document.getElementById('child_birth').value = rs.text;
			picker.dispose();
		});
	});

	//获取联系人
	//	$('#contact').on('tap', function() {
	//		viewApi.go("#contacts_main");
	//		showContactsList();
	//	});
	
	// 	$('#contact').on('tap', function() {
	// 		openWin1('../orders/select-contacts.html', 'select-contacts.html', {});
	// 	});

	//扫码邀请
	// 	$('#scan').on('tap', function() {
	// 		openWin2('../member/barcode_scan.html', 'barcode_scan.html', {});
	// 	});

	/*选择出行人*/
	// 	$("#selectPassenger").on("tap", function() {
	// 		var passengers = '';
	// 		$('#cPassenger label').each(function() {
	// 			var id = $(this).attr('data-id');
	// 			passengers += id + ',';
	// 		});
	// 		$('#ePassenger label').each(function() {
	// 			var id = $(this).attr('data-id');
	// 			passengers += id + ',';
	// 		});
	// 		if(passengers != '') {
	// 			passengers = passengers.substring(0, passengers.length - 1);
	// 		}
	// 		viewApi.go("#passenger_main");
	// 		//显示选择出行人员
	// 		if(parseInt($('#TotalAdu').val()) > 0 && parseInt($('#TotalChi').val()) > 0) {
	// 			$('.passenger-desc').html('请选择：成人' + $('#TotalAdu').val() + '名，儿童' + $('#TotalChi').val() + '名');
	// 		} else if(parseInt($('#TotalAdu').val()) > 0) {
	// 			$('.passenger-desc').html('请选择：成人' + $('#TotalAdu').val() + '名');
	// 		} else if(parseInt($('#TotalChi').val()) > 0) {
	// 			$('.passenger-desc').html('请选择：儿童' + $('#TotalChi').val() + '名');
	// 		}
	// 		$('#passengers').val(passengers);
	// 		showUserPassengerList(passengers);
	// 	});

	/*选择优惠劵*/
	$("#btnSelect-coupons").on("tap", function() {
		var couponsId = '';
		if ($('#ulCoupon-select').children('.cp').attr('data-id') != undefined) {
			couponsId = $('#ulCoupon-select').children('.cp').attr('data-id');
		}
		//获取用户信息
		var userInfo = getUserInfo();
		if (userInfo != null) {
			viewApi.go("#coupons_main");
			showUserCouponsList(userInfo.ID, $('#P_ProductID').val(), $('#P_Organization').val(), $("#totalprice").text(),
				couponsId);
		} else {
			mui.toast('你没有登录，请登录后再操作！');
		}
	});

	/*使用优惠劵（直接输入）*/
	$("#btnCoupons").on("tap", function() {
		var couponsId = '';
		if ($('#ulCoupon-select').children('.cp').attr('data-id') != undefined) {
			mui.alert('你已经选择了优惠券,一个订单最多只能使用一张优惠券！');
			return;
		}
		//获取用户信息
		var userInfo = getUserInfo();
		if (userInfo != null) {
			if ($('#txtCoupons').val() == '') {
				mui.toast('请输入优惠券号');
				return;
			}
			useCoupons(userInfo.ID, $('#P_ProductID').val(), $('#P_Organization').val(), $("#totalprice").text(), $(
				'#txtCoupons').val());
		} else {
			mui.toast('你没有登录，请登录后再操作！');
		}
	});

	/*提交订单并支付*/
	$("#pay").off();
	$("#pay").on("tap", function() {

		if ($('#name').val() == '') {
			mui.toast('请填写联系人');
			return;
		}
		if ($('#phone').val() == '') {
			mui.toast('请填写手机号');
			return;
		}
		if ($('#child_photo').val() == '') {
			mui.toast('请上传孩子相片');
			return;
		}
		if ($('#child_name').val() == '') {
			mui.toast('请填写孩子姓名');
			return;
		}
		if ($('#child_sex').val() == '') {
			mui.toast('请填写孩子性别');
			return;
		}
		if ($('#child_birth').val() == '') {
			mui.toast('请填写孩子生日');
			return;
		}
		
		if ($('#P_NeedPassenger').val() == '1') {
			var cNum = $('#cPassenger').children('label').length;
			var eNum = $('#ePassenger').children('label').length;
			var adu = parseInt($('#TotalAdu').val());
			var chi = parseInt($('#TotalChi').val());
			if (cNum == 0 && eNum == 0) {
				mui.toast('请选择出行人！');
				return;
			}
			if (cNum != adu || eNum != chi) {
				mui.toast('出行人选择数量不正确,请重新选择！');
				return;
			}
		}
		//是否填写收货地址
		if ($('#P_IsFillAddress').val() == "1" && $('#receivingAddress').val() == '') {
			mui.toast('请填写收货地址！');
			return;
		}
		plus.nativeUI.showWaiting("处理中...", {
			padlock: true,
			width: 120,
			height: 120
		});
		//禁用事件
		$('#pay').hide();
		$('#pay1').show();
		//获取已经选择的优惠劵
		var cid = '';
		if ($('#ulCoupon-select li').length > 0) {
			$("#ulCoupon-select li").each(function() {
				cid = $(this).attr('data-id');
			});
		}
		var pJson = "";
		$('#cPassenger label').each(function() {
			var name = $(this).attr('data-CnName');
			var type = $(this).attr('data-Type');
			var birthday = $(this).attr('data-Birthday');
			var sex = $(this).attr('data-Sex');
			var cardType = $(this).attr('data-CardType');
			var cardId = $(this).attr('data-CardId');
			pJson += '{"name":"' + name + '","type":"' + type + '","birthday":"' + birthday + '","sex":"' + sex +
				'","cardType":"' + cardType + '","cardId":"' + cardId + '"},';
		});
		$('#ePassenger label').each(function() {
			var name = $(this).attr('data-CnName');
			var type = $(this).attr('data-Type');
			var birthday = $(this).attr('data-Birthday');
			var sex = $(this).attr('data-Sex');
			var cardType = $(this).attr('data-CardType');
			var cardId = $(this).attr('data-CardId');
			pJson += '{"name":"' + name + '","type":"' + type + '","birthday":"' + birthday + '","sex":"' + sex +
				'","cardType":"' + cardType + '","cardId":"' + cardId + '"},';
		});
		if (pJson != '') {
			pJson = pJson.substring(0, pJson.length - 1);
			pJson = '[' + pJson + ']';
		}
		//获取用户信息
		var userInfo = getUserInfo();
		if (userInfo != null) {
			var jsData1 = {
				userid: userInfo.ID,
				mphone: $('#phone').val(),
				linkman: $('#name').val(),
				email: '',
				params: $('#BookingParams').val(),
				passenger: pJson,
				remark: $('#remark').val(),
				cid: cid,
				source: 'app',
				spellGroupNo: $("#spellGroupNo").val(),
				receivingAddress: $('#receivingAddress').val(),
				invitationCode: '', //分享邀请码
				child_photo:$('#child_photo').val(),
				child_name:$('#child_name').val(),
				child_sex:$('#child_sex').val(),
				child_birth:$('#child_birth').val(),
				cardNo:''
			}
			app.callWebApi('AppOrder', 'SubmitOrder', jsData1, null,
				function(result) {
					plus.nativeUI.closeWaiting();
					if (result.Result == "") {
						//是否为0无支付
						if (result.NoPay == '1') {
							mui.toast('订单支付成功');
							openWin1('../booking/payreturn.html', 'payreturn.html', {
								orderId: result.ID
							});
						} else {
							mui.toast('订单已生成，请支付');
							openWin1('payment.html', 'payment.html', {
								PayID: result.PayID,
								OrderNo: result.OrderNo,
								BackStatus: '1' //1:表示返回时显示订单信息  0:表示返回时不显示订单信息
							});
						}
					} else {
						//启用事件
						$('#pay').show();
						$('#pay1').hide();
						if (result.Result.indexOf('绑定手机') > -1) {
							openWin1('../member/bind-mobile.html', 'bind-mobile.html', {});
						}
						mui.toast(result.Result);
					}
				},
				function(xhr, type, errorThrown) {
					//启用事件
					$('#pay').show();
					$('#pay1').hide();
					plus.nativeUI.closeWaiting();
					mui.toast('获取数据失败，请检查网络是否正常' + type);
				});
		} else {
			//启用事件
			$('#pay').show();
			$('#pay1').hide();
			plus.nativeUI.closeWaiting();
			mui.toast('请先登录后，再下订单！');
		}
	});

	//*平台须知*/ 
	$(".know").on("tap", function() {
		openWin2('../member/member-note.html', 'member-note.html', {});
	});
	
	$('#uploadImg').on('tap', function() {
		if (files.length <= 0) {
			plus.nativeUI.alert("没有添加上传文件！");
			return;
		}
		for (i = 0; i < files.length; i++) {
			compressImage(files[i].path);
		}
	})
});

/*设置出行人*/
// function setPassenger(cPassenger, ePassenger) {
// 	$('#cPassenger').text('');
// 	$('#ePassenger').text('');
// 	$('#cPassenger').append(cPassenger);
// 	$('#ePassenger').append(ePassenger);
// 	//成人数量
// 	if (cPassenger != '') {
// 		$('#ulTotalAdu').show();
// 	} else {
// 		$('#ulTotalAdu').hide();
// 	}
// 	//儿童数量
// 	if (ePassenger != '') {
// 		$('#ulTotalChi').show();
// 	} else {
// 		$('#ulTotalChi').hide();
// 	}
// }

/*设置联系人*/
// function setContact(name, phone) {
// 	$('#name').val(name);
// 	$('#phone').val(phone);
// }

/*设置优惠劵*/
function setCoupons(id, name, price) {
	var oldID = '';
	var oldPrice = '0';
	//获取已经选择的优惠劵
	if ($('#ulCoupon-select li').length > 0) {
		$("#ulCoupon-select li").each(function() {
			oldID = $(this).attr('data-id');
			oldPrice = $(this).attr('data-price');
		});
	}
	//选择了优惠劵
	if (id != '') {
		if (id != oldID) {
			$(".price-detail li[data-by='coupon']").remove();
			$(".price-detail").append('<li data-by="coupon">' +
				'      <div class="basefix">' +
				'          <span class="price_item">优惠劵，  优惠' + price + '元</span>' +
				'          <strong>' +
				'              <span>1 ×</span>' +
				'              ￥<em>' + price + '</em>' +
				'          </strong>' +
				'      </div>' +
				'  </li>');
			var html = "<li>已使用：</li>";
			html += '<li class="cp" data-id="' + id + '" data-price="' + price + '"><span class="pr">' + price +
				'元</span><span>' + name + '</span></li>';
			$('#ulCoupon-select li').remove();
			$('#ulCoupon-select').append(html);
			$('#ulCoupon-select').show();
			var totalPrice = parseFloat($("#totalprice").text()) + parseFloat(oldPrice);
			totalPrice = totalPrice - parseFloat(price);
			if (totalPrice < 0) {
				$(".total-info em").text('0');
				$("#totalprice").text('0');
			} else {
				$(".total-info em").text(totalPrice.toString());
				$("#totalprice").text(totalPrice.toString());
			}

		}
	} else {
		$('#ulCoupon-select').hide();
		var totalPrice = parseFloat($("#totalprice").text()) + parseFloat(oldPrice);
		$(".total-info em").text(totalPrice.toString());
		$("#totalprice").text(totalPrice.toString());
		$(".price-detail li[data-by='coupon']").remove();
		$('#ulCoupon-select li').remove();
	}
}

/*使用优惠劵*/
function useCoupons(userId, productId, supplierId, totalPrice, couponsCode) {
	var jsData1 = {
		userId: userId,
		couponsCode: couponsCode,
		productId: productId,
		supplierId: supplierId,
		totalPrice: totalPrice
	}
	app.callWebApi('AppProduct', 'UseCoupons', jsData1, null,
		function(result) {
			if (result.Result == "") {
				if (result.Data != '') {
					var jsonData = $.parseJSON(result.Data);
					setCoupons(jsonData.ID, jsonData.C_Name, jsonData.C_Price);
					mui.back();
				}
			} else {
				mui.alert(result.Result);
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/*-------------出行人-------------*/

// $(function() {
// 	//处理view的后退与webview后退
// 	mui.back = function() {
// 		if (viewApi.canBack()) { //如果view可以后退，则执行view的后退
// 			viewApi.back();
// 		} else { //执行webview后退
// 			oldBack();
// 		}
// 	};
// 	//哪个界面显示
// 	view.addEventListener('pageShow', function(e) {
// 		if (e.detail.page.id == 'booking_main') {
// 			$("#mui-bar-tab").show();
// 			$("#mui-bar-tab1").hide();
// 			$("#mui-bar-tab2").hide();
// 		} else if (e.detail.page.id == 'passenger_main') {
// 			$("#mui-bar-tab").hide();
// 			$("#mui-bar-tab1").show();
// 			$("#mui-bar-tab2").hide();
// 		} else if (e.detail.page.id == 'coupons_main') {
// 			$("#mui-bar-tab").hide();
// 			$("#mui-bar-tab1").hide();
// 			$("#mui-bar-tab2").show();
// 		} else {
// 			$("#mui-bar-tab").hide();
// 			$("#mui-bar-tab1").hide();
// 			$("#mui-bar-tab2").hide();
// 		}
// 	});
// 
// 	/*新增按钮*/
// 	$("#btn_add").on("tap", function() {
// 		$('#id').val('');
// 		$('#U_CnName').val('');
// 		$('#SexPicker').val('男');
// 		$('#SexPicker').attr('data-val', 'M');
// 		$('#U_CardId').val('');
// 		$('#BirthdayPicker').val('');
// 		viewApi.go("#add_passenger_page");
// 	});
// 	/*性别，证件类型，出生日期*/
// 	var userPicker = new mui.PopPicker();
// 	userPicker.setData([{
// 		value: 'M',
// 		text: '男'
// 	}, {
// 		value: 'F',
// 		text: '女'
// 	}]);
// 	var idcardtypePicker = new mui.PopPicker();
// 	idcardtypePicker.setData([{
// 		value: '身份证',
// 		text: '身份证'
// 	}, {
// 		value: '护照',
// 		text: '护照'
// 	}, {
// 		value: '出生年月日',
// 		text: '出生年月日'
// 	}]);
// 	$(".sex-picker").on("tap", function() {
// 		var obj = $(this);
// 		userPicker.show(function(items) {
// 			obj.val(items[0].text);
// 			obj.attr("data-val", items[0].value);
// 		});
// 	});
// 	$(".idcardtype-picker").on("tap", function() {
// 		var obj = $(this);
// 		idcardtypePicker.show(function(items) {
// 			obj.val(items[0].text);
// 			obj.attr("data-val", items[0].value);
// 		});
// 	});
// 	$(".birthday-picker").on("tap", function() {
// 		var obj = $(this);
// 		var optionsJson = obj.attr('data-options') || '{}';
// 		var options = JSON.parse(optionsJson);
// 		var picker = new mui.DtPicker(options);
// 		picker.show(function(rs) {
// 			obj.val(rs.text);
// 			picker.dispose();
// 		});
// 	});
// 
// 	/*新增操作*/
// 	$('#btnNew').on('tap', function() {
// 		savePassanger('', $('#U_CnName').val(), $('#SexPicker').attr("data-val"), $('#IDCardTypePicker').attr("data-val"),
// 			$('#U_CardId').val(), $('#BirthdayPicker').val());
// 	});
// 
// 	/*修改操作*/
// 	$('#btnModify').on('tap', function() {
// 		savePassanger($('#id').val(), $('#U_CnName1').val(), $('#SexPicker1').attr("data-val"), $('#IDCardTypePicker1').attr(
// 			"data-val"), $('#U_CardId1').val(), $('#BirthdayPicker1').val());
// 	});
// 
// });

//扫码函数
function scaned(t, r, f) {
	$('#txtCoupons').val(r);
}

// //显示常用联系人列表
// function showUserPassengerList(passengers) {
// 	var userInfo = getUserInfo();
// 	if (userInfo != null) {
// 		$('#userId').val(userInfo.ID);
// 		var jsData1 = {
// 			userId: userInfo.ID
// 		}
// 		//获取预订确认信息  
// 		app.callWebApi('AppUser', 'ShowUserPassengerList', jsData1, null,
// 			function(result) {
// 				var passenger = $.parseJSON(result);
// 				var html = '';
// 				for (var key in passenger) {
// 					html += '<ul class="item" data-value="' + passenger[key].ID + '" data-Type="' + passenger[key].U_Type1 +
// 						'" data-Sex="' + passenger[key].U_Sex1 + '" data-CardType="' + passenger[key].U_CardType + '" data-CardId="' +
// 						passenger[key].U_CardId + '">';
// 					html += '<li class="left-name" data-value="' + passenger[key].U_CnName + '"><a data-value="' + passenger[key].U_Type +
// 						'"><span class="mui-icon mui-icon-checkmarkempty"></span></a><span style="color:#8EBF30;font-weight:bold;font-size:15px">' +
// 						passenger[key].U_CnName + '</span>&nbsp;' + passenger[key].U_Type + '&nbsp;' + passenger[key].U_Sex + '</li>';
// 					html += '<li class="center-birthday">' + passenger[key].U_Birthday + '</li>';
// 					html += '<li class="right-edit"><a class="btn-edit-passenger" data-value="' + passenger[key].ID +
// 						'"><span class="mui-icon mui-icon-compose"></span></a></li>';
// 					html += '</ul>';
// 				}
// 				$('.passenger-items').html(html);
// 				/*设置已经选择过的出行人*/
// 				if (passengers != '' && passengers != undefined) {
// 					var plist = passengers.split(',');
// 					for (var p in plist) {
// 						$(".passenger-items .item").each(function() {
// 							if ($(this).attr("data-value") == plist[p]) {
// 								$(this).children(".left-name").children("a").addClass("selected");
// 							}
// 						});
// 					}
// 				}
// 				/*绑定和解绑事件*/
// 				$("#finish").off();
// 				$(".passenger-items .item").off();
// 				$(".btn-edit-passenger").off();
// 				$("#finish").on('tap', function() {
// 					var cr = "";
// 					var et = "";
// 					var id = "";
// 					var name = "";
// 					var type = "";
// 					var birthday = "";
// 					var sex = "";
// 					var cardType = "";
// 					var cardId = "";
// 					var cNum = 0;
// 					var eNum = 0;
// 					var buyInsurance = 1;
// 					$(".passenger-items .item").each(function() {
// 						if ($(this).children(".left-name").children("a").hasClass("selected")) {
// 							id = $(this).attr('data-value');
// 							name = $(this).children(".left-name").attr('data-value');
// 							type = $(this).attr('data-Type');
// 							birthday = $(this).children('.center-birthday').text();
// 							sex = $(this).attr('data-Sex');
// 							cardType = $(this).attr('data-CardType');
// 							cardId = $(this).attr('data-CardId');
// 							if (type == '2') {
// 								eNum += 1;
// 								et += '<label data-id="' + id + '" data-CnName="' + name + '" data-Type="' + type + '" data-Birthday="' +
// 									birthday + '" data-Sex="' + sex + '" data-CardType="' + cardType + '" data-CardId="' + cardId + '">' +
// 									name + '&nbsp;&nbsp;&nbsp;' + '</label>';
// 								//证件号
// 								if (cardId == '') {
// 									buyInsurance = 0;
// 								}
// 							} else {
// 								cNum += 1;
// 								cr += '<label data-id="' + id + '" data-CnName="' + name + '" data-Type="' + type + '" data-Birthday="' +
// 									birthday + '" data-Sex="' + sex + '" data-CardType="' + cardType + '" data-CardId="' + cardId + '">' +
// 									name + '&nbsp;&nbsp;&nbsp;' + '</label>';
// 								//证件号
// 								if (cardId == '') {
// 									buyInsurance = 0;
// 								}
// 							}
// 						}
// 					});
// 					//没有出行人信息
// 					if ($(".passenger-items .item").length <= 0) {
// 						mui.toast('请点击“新增”按钮，填写出行人信息');
// 						return;
// 					}
// 					//判断人数
// 					if (parseInt($('#TotalAdu').val()) != cNum || parseInt($('#TotalChi').val()) != eNum) {
// 						mui.toast('选择出行人个数不正确');
// 						return;
// 					}
// 					//有保险判断身份证
// 					if ($('#P_IsBuyInsurance').val() == '1' && buyInsurance == 0) {
// 						mui.toast('出行人证件信息不完整，请补填完整');
// 						return;
// 					}
// 					setPassenger(cr, et);
// 					mui.back();
// 				})
// 				$(".passenger-items .item").on("tap", function() {
// 					$(this).children(".left-name").children("a").toggleClass("selected");
// 				});
// 				$(".btn-edit-passenger").on("tap", function() {
// 					$('#id').val($(this).attr('data-value'));
// 					showPassanger($(this).attr('data-value'));
// 					viewApi.go("#edit_passenger_page");
// 				});
// 			},
// 			function(xhr, type, errorThrown) {
// 				//plus.nativeUI.closeWaiting();
// 				mui.toast('获取数据失败，请检查网络是否正常！' + type);
// 			});
// 	}
// }
// 
// /*删除*/
// $('#btnDel').on('tap', function() {
// 	var btnArray = ['否', '是'];
// 	mui.confirm('是否确认删除？', '消息', btnArray, function(e) {
// 		if (e.index == 1) {
// 			plus.nativeUI.showWaiting("处理中...", {
// 				padlock: true,
// 				width: 120,
// 				height: 120
// 			});
// 			var jsData1 = {
// 				id: $('#id').val()
// 			}
// 			//保存常用联系人  
// 			app.callWebApi('AppUser', 'DelPassenger', jsData1, null,
// 				function(result) {
// 					plus.nativeUI.closeWaiting();
// 					showUserPassengerList();
// 					mui.back();
// 					mui.toast(result.Result);
// 				},
// 				function(xhr, type, errorThrown) {
// 					plus.nativeUI.closeWaiting();
// 					mui.toast('获取数据失败，请检查网络是否正常！' + type);
// 				});
// 		}
// 	});
// 
// });
// 
// //保存常用出行人
// function savePassanger(id, name, sex, cardType, cardId, birthday) {
// 	if (name == '') {
// 		mui.toast('姓名不能为空！');
// 		return;
// 	}
// 	if (sex == '') {
// 		mui.toast('性别不能为空！');
// 		return;
// 	}
// 	//是否购买保险
// 	if ($('#P_IsBuyInsurance').val() == '1') {
// 		if (cardType == '') {
// 			mui.toast('证件类型不能为空！');
// 			return;
// 		}
// 		if (cardId == '') {
// 			mui.toast('证件号码不能为空！');
// 			return;
// 		}
// 	}
// 	if (birthday == '') {
// 		mui.toast('出生日期不能为空！');
// 		return;
// 	}
// 	plus.nativeUI.showWaiting("处理中...", {
// 		padlock: true,
// 		width: 120,
// 		height: 120
// 	});
// 	var jsData1 = {
// 		ID: id,
// 		U_UserID: $('#userId').val(),
// 		U_CnName: name,
// 		U_Sex: sex,
// 		U_CardType: cardType,
// 		U_CardId: cardId,
// 		U_Birthday: birthday
// 	}
// 	//保存常用联系人  
// 	app.callWebApi('AppUser', 'SavePassenger', jsData1, null,
// 		function(result) {
// 			plus.nativeUI.closeWaiting();
// 			showUserPassengerList($('#passengers').val());
// 			mui.back();
// 			mui.toast(result.Result);
// 		},
// 		function(xhr, type, errorThrown) {
// 			plus.nativeUI.closeWaiting();
// 			mui.toast('获取数据失败，请检查网络是否正常！' + type);
// 		});
// }
// 
// //显示常用出行人 
// function showPassanger(id) {
// 	plus.nativeUI.showWaiting("加载中...", {
// 		padlock: true,
// 		width: 120,
// 		height: 120
// 	});
// 	var jsData1 = {
// 		id: id
// 	}
// 	//显示常用联系人  
// 	app.callWebApi('AppUser', 'ShowPassenger', jsData1, null,
// 		function(result) {
// 			var data = $.parseJSON(result);
// 			$('#U_CnName1').val(data.U_CnName);
// 			if (data.U_Sex == 'M') {
// 				$('#SexPicker1').val('男');
// 			} else {
// 				$('#SexPicker1').val('女');
// 			}
// 			$('#SexPicker1').attr("data-val", data.U_Sex);
// 			$('#IDCardTypePicker1').val(data.U_CardType);
// 			$('#IDCardTypePicker1').attr("data-val", data.U_CardType);
// 			$('#U_CardId1').val(data.U_CardId);
// 			$('#BirthdayPicker1').val(data.U_Birthday.toString().substring(0, 10));
// 			plus.nativeUI.closeWaiting();
// 		},
// 		function(xhr, type, errorThrown) {
// 			plus.nativeUI.closeWaiting();
// 			mui.toast('获取数据失败，请检查网络是否正常！' + type);
// 		});
// }

/*-------------优惠劵-------------*/

/*显示优惠劵列表*/
function showUserCouponsList(userId, productId, supplierId, totalPrice, couponsId) {
	var jsData1 = {
		userId: userId,
		productId: productId,
		supplierId: supplierId,
		totalPrice: totalPrice,
		source: 'app'
	}
	//显示优惠劵  
	app.callWebApi('AppProduct', 'ShowCouponsList', jsData1, null,
		function(result) {
			if (result.Result == "") {
				if (result.Coupons != '') {
					$('.coupons-desc').show();
					$('.notrecord').hide();
				} else {
					$('.coupons-desc').hide();
					$('.notrecord').show();
				}
				$(".coupons-items").html(result.Coupons);
				//设置已经选择的优惠劵
				if (couponsId != '') {
					$(".coupons-items .item").each(function() {
						if ($(this).attr("data-id") == couponsId) {
							$(this).children(".icon").children("a").addClass("selected");
						}
					});
				}
				$(".coupons-items .item").off();
				$(".coupons-items .item").on("tap", function() {
					var obj = $(this);
					$(".coupons-items .item").each(function() {
						if (obj.attr("data-id") == $(this).attr("data-id")) {
							$(this).children(".icon").children("a").toggleClass("selected");
						} else {
							$(this).children(".icon").children("a").removeClass("selected");
						}
					});
				});
			} else {
				mui.toast(result.Result);
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/*完成*/
$('#finishCoupons').on('tap', function() {
	var id = '';
	var price = '';
	var name = '';
	$(".coupons-items .item").each(function() {
		if ($(this).children(".icon").children("a").hasClass("selected")) {
			id = $(this).attr('data-id');
			price = $(this).attr('data-price');
			name = $(this).children('.content').children('strong').text();
		}
	});
	setCoupons(id, name, price);
	mui.back();
});





// 上传文件
function upload() {
	if (zipfiles.length <= 0) {
		plus.nativeUI.alert("没有添加上传文件！");
		return;
	}
	//开始上传
	plus.nativeUI.showWaiting("处理中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var task = plus.uploader.createUpload(server, {
			method: "POST"
		},
		function(t, status) { //上传完成		
			plus.nativeUI.closeWaiting();
			if (status == 200) {
				//alert("上传成功：" + t.responseText);
				var result = t.responseText.split('!');
				if (result[0] == 'success') {
					document.getElementById("child_photo").value = result[1];
					document.getElementById("U_Icon").src = getUploadServer() + "/Upload/UserPic/" + result[1] + '?width=200';
					mui.toast('上传成功');
				}
			} else {
				plus.nativeUI.alert("上传失败：" + status);
			}
			index = 1;
			//删除压缩文件
			for (var i = 0; i < zipfiles.length; i++) {
				deleteFile(zipfiles[i].path);
			}
			zipfiles = 0;
		}
	);
	task.addData("folderName", "UserPic");
	task.addData("isCreateDateFolder", "0");
	for (var i = 0; i < zipfiles.length; i++) {
		var f = zipfiles[i];
		task.addFile(f.path, {
			key: f.name
		});
	}
	task.start();
}

//删除文件
function deleteFile(url) {
	// 这是API文档里面写的很清楚的，获取文件entry，entry是文件操作接口
	plus.io.resolveLocalFileSystemURL(url, function(entry) {
		entry.remove(function(e) {
			plus.console.log("删除成功:" + url);
		}, function(e) {
			plus.console.log("删除失败" + url);
		});
	});
}

// 压缩图片
function compressImage(src) {
	var filename = src.substring(src.lastIndexOf('/') + 1);
	//outSet("开始压缩图片：");
	plus.zip.compressImage({
			src: src,
			dst: "_doc/" + 'zip-' + filename,
			quality: 20,
			overwrite: true,
			width: '50%'
			//			,
			//			clip: {
			//				top: "25%",
			//				left: "25%",
			//				width: "50%",
			//				height: "50%"
			//			}
		},
		function(i) {
			//plus.nativeUI.closeWaiting();
			//display.style.display = "block";
			//clipimg.src = i.target;
			//outLine("压缩图片成功：" + JSON.stringify(i));
			appendZipFile(i.target);
			upload();
		},
		function(e) {
			//plus.nativeUI.closeWaiting();
			appendZipFile(src);
			upload();
			//outLine("压缩图片失败: " + JSON.stringify(e));
		});
}

// 添加文件
var index = 1;

function appendFile(p) {
	files.length = 0;
	files.push({
		name: "uploadkey" + index,
		path: p
	});
	index++;
}
// 添加压缩文件
function appendZipFile(p) {
	zipfiles.length = 0;
	zipfiles.push({
		name: "uploadkey" + index,
		path: p
	});
	index++;
}

//更换相片
$("#U_Icon").on("tap", function(e) {
	if (mui.os.plus) {
		var a = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}];
		plus.nativeUI.actionSheet({
			title: "上传儿童相片",
			cancel: "取消",
			buttons: a
		}, function(b) {
			switch (b.index) {
				case 0:
					break;
				case 1:
					getImage();
					break;
				case 2:
					appendByGallery();
					//galleryImg();
					break;
				default:
					break
			}
		})
	}
});

//拍照
function getImage() {
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			var s = entry.toLocalURL() + "?version=" + new Date().getTime();
			console.log(s);
			/*******************************************************************将该头像文件上传到服务器端，远程读取图片地址*/
			document.getElementById("U_Icon").src = s;
			appendFile(s);
			
			//直接上传文件
			zipfiles = [];
			if (files.length <= 0) {
				plus.nativeUI.alert("没有添加上传文件！");
				return;
			}
			for (i = 0; i < files.length; i++) {
				compressImage(files[i].path);
			}
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(s) {
		console.log("error" + s);
	}, {
		filename: "_doc/head.jpg"
	})
}

function galleryImg() {
	plus.gallery.pick(function(a) {
		plus.io.resolveLocalFileSystemURL(a, function(entry) {
			plus.io.resolveLocalFileSystemURL("_doc/", function(root) {
				root.getFile("head.jpg", {}, function(file) {
					//文件已存在
					file.remove(function() {
						console.log("file remove success");
						entry.copyTo(root, 'head.jpg', function(e) {
								var e = e.fullPath + "?version=" + new Date().getTime();
								/*******************************************************************将该头像文件上传到服务器端，远程读取图片地址*/
								document.getElementById("U_Icon").src = e;
							},
							function(e) {
								console.log('copy image fail:' + e.message);
							});
					}, function() {
						console.log("delete image fail:" + e.message);
					});
				}, function() {
					//文件不存在
					entry.copyTo(root, 'head.jpg', function(e) {
							var path = e.fullPath + "?version=" + new Date().getTime();
							/*******************************************************************将该头像文件上传到服务器端，远程读取图片地址*/
							document.getElementById("U_Icon").src = path;
						},
						function(e) {
							console.log('copy image fail:' + e.message);
						});
				});
			}, function(e) {
				console.log("get _www folder fail");
			})
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(a) {}, {
		filter: "image"
	})
};

// 拍照添加文件
function appendByCamera() {
	plus.camera.getCamera().captureImage(function(p) {
		//alert(p);
		appendFile(p);
	});
}
// 从相册添加文件
function appendByGallery() {
	plus.gallery.pick(function(p) {
		document.getElementById("U_Icon").src = p;
		appendFile(p);
		
		//直接上传文件
		zipfiles = [];
		if (files.length <= 0) {
			plus.nativeUI.alert("没有添加上传文件！");
			return;
		}
		for (i = 0; i < files.length; i++) {
			compressImage(files[i].path);
		}
	});
}
