var totalnum = 0;
mui.init();
//初始化
mui.plusReady(function() {
	var wv = plus.webview.currentWebview();
	wv.setStyle({
		'render': 'always'
	});
	$('.mui-content').hide();
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var self = plus.webview.currentWebview();
	var id = self.priceId;
	var pdate = self.pdate;
	$('#pId').val(id);
	$('#d').val(pdate);
	var jsData1 = {
		id: id,
		pdate: pdate
	}
	//显示价格信息  
	app.callWebApi('AppProduct', 'ShowProductPriceInfo', jsData1, null,
		function(result) {

			if (result.P_PriceJson != "") {
				$('#pId').val(result.ID);
				$('#d').val(result.Date);
				$('#P_Name').text(result.P_Name);
				$('#P_Date').text(result.P_Date);
				$('#P_PriceName').text(result.P_PriceName);
				$('.time-list').html(result.P_Times);
				$('.people-list').append(result.P_Prices);
				//拼团
				if (result.P_IsSpellGroup == '1') {
					$('#pt').html(
						'<span class="mui-table-view-cell mui-disabled fz13"><a class="groupDesc" class="mui-table-view-cell mui-disabled fz13"><span class="group-hit">拼团</span>' +
						result.P_SpellGroupNum + '组家庭拼团，拼团成功每家省<span class="money">&yen;' + result.P_SpellGroupProvinceMoney +
						'</span> >> </a></span>');
					$("#pt").show();
				} else {
					$("#pt").hide();
				}
			}
			$('#P_Classify').val(result.P_Classify);
			plus.nativeUI.closeWaiting();
			$('.mui-content').show();
			settle();
			/*选择时间点按钮事件*/
			$(".time-list a[data-id!='']").click(function() {
				if ($(this).text().indexOf('已售完') == -1) {
					$(".people-list li[class!='hide']").addClass("hide");
					$(".people-list li[data-tid='" + $(this).attr("data-id") + "']").removeClass("hide");
					$(".time-list a").removeClass("selected");
					$(this).addClass("selected");
					settle();
				}
			});
			/*默认不选择已经售完的时间点*/
			$(".time-list a[data-id!='']").each(function() {
				var tid = $(this).attr("data-id");
				if ($(this).text().indexOf('已售完') == -1) {
					//重新设置选择游客或套餐
					$(".people-list li[class!='hide']").addClass("hide");
					$(".people-list li[data-tid='" + tid + "']").removeClass("hide");
					$(".time-list a").removeClass("selected");
					$(this).addClass("selected");
					settle();
					return false;
				} else {
					$(".time-list a").removeClass("selected");
				}
			});
			/*新增按钮*/
			$(".add").click(function() {
				var ipt = $(this).parent().children("input");
				if (result.P_Classify == 'QNCZK') {
					if (parseFloat(ipt.val()) + 1 > 1) {
						mui.toast('限购一份');
					} else {
						ipt.val(parseFloat(ipt.val()) + 1);
						settle();
					}
				} else {
					ipt.val(parseFloat(ipt.val()) + 1);
					settle();
				}
			});
			/*减少按钮*/
			$(".less").click(function() {
				var ipt = $(this).parent().children("input");
				var v = parseFloat(ipt.val()) - 1;
				ipt.val((v < 0) ? 0 : v);
				settle();
			});
			//拼团说明
			$('.groupDesc').on('tap', function() {
				openWin2('../booking/groupdesc.html', 'groupdesc.html', {});
			});
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
});

function settle() {
	totalnum = 0;
	$("#btnbook").off();
	$(".price-detail").html("");
	var total = 0;
	$(".people-list li[class!='hide']").each(function() {
		var v = parseFloat($(this).children(".btn").children("input").val());
		var p = parseFloat($(this).children().children("em").text());
		totalnum += v;
		if (v > 0) {
			$(".price-detail").append('<li data-pid="">' +
				'      <div class="basefix">' +
				'          <span class="price_item">' + $(this).attr("data-mc") + '，  ' + $(this).children().children("em").text() +
				'元/' + $(this).attr("data-dw") + '</span>' +
				'          <strong>' +
				'              <span>×' + v + '&nbsp;&nbsp;&nbsp;</span>' +
				'              &yen;<em>' + (v * p) + '</em>' +
				'          </strong>' +
				'      </div>' +
				'  </li>');
			total += v * p;
		}
	});
	if (totalnum <= 0) {
		$(".price-detail").text("-请选择人数");
		$("#btnbook").removeClass("jl-bar-booking-btn").addClass("jl-bar-booking-btn-disabled");
		$("#btnbook").off("tap");
	} else {
		$("#btnbook").removeClass("jl-bar-booking-btn-disabled").addClass("jl-bar-booking-btn");
		$("#btnbook").on("tap", function() {
			//是否已经登录
			var userInfo = getUserInfo();
			if (userInfo != null) {
				if ($(".price-detail").children().length > 0) {
					if (parseFloat($(".time-list a.selected").attr("data-num")) >= totalnum) {
						$("#t").val($(".time-list a.selected").attr("data-id"));
						var pv = "";
						$(".people-list li[class!='hide']").each(function() {
							var v = parseFloat($(this).children(".btn").children("input").val());
							if (v > 0) {
								pv = (pv == "") ? $(this).attr("data-id") + "-" + v : pv + "#" + $(this).attr("data-id") + "-" + v;
							}
						});
						$("#p").val(pv);
					} else {
						mui.toast("很抱歉，您选择的活动人数超出限额，请重新选择。");
						return;
					}
				}
				//全能成长卡
				if ($('#P_Classify').val() == 'QNCZK') {
					openWin1('booking-confirm-jeelvcard.html', 'booking-confirm-jeelvcard.html', {
						priceId: $('#pId').val(),
						pdate: $('#d').val(),
						timeId: $('#t').val(),
						priceInfo: $('#p').val(),
						userId: userInfo.ID,
						spellGroupNo: ''
					});
				} else {
					openWin1('booking-confirm.html', 'booking-confirm.html', {
						priceId: $('#pId').val(),
						pdate: $('#d').val(),
						timeId: $('#t').val(),
						priceInfo: $('#p').val(),
						userId: userInfo.ID,
						spellGroupNo: ''
					});
				}
			} else {
				openWin2('../member/login-master.html', 'login-master.html', {});
				mui.toast('请先登录后再预订活动！');
			}
		});
	}
	$(".total-info em").text(total);
	$("#totalprice").text(total);
}
