//倒计时总秒数量
function timer(intDiff) {
	window.setInterval(function() {
		var day = 0,
			hour = 0,
			minute = 0,
			second = 0; //时间默认值        
		if(intDiff > 0) {
			day = Math.floor(intDiff / (60 * 60 * 24));
			hour = Math.floor(intDiff / (60 * 60)) - (day * 24);
			minute = Math.floor(intDiff / 60) - (day * 24 * 60) - (hour * 60);
			second = Math.floor(intDiff) - (day * 24 * 60 * 60) - (hour * 60 * 60) - (minute * 60);
		}
		if(day <= 9) day = '0' + day;
		if(hour <= 9) hour = '0' + hour;
		if(minute <= 9) minute = '0' + minute;
		if(second <= 9) second = '0' + second;
		$('#day_show').html(day + '<span style="font-size:5px">天</span>');
		$('#hour_show').html('<s id="h"></s>' + hour + '<span style="font-size:5px">时</span>');
		$('#minute_show').html('<s></s>' + minute + '<span style="font-size:5px">分</span>');
		$('#second_show').html('<s></s>' + second + '<span style="font-size:5px">秒</span>');
		intDiff--;
	}, 1000);
}

//分享操作
var shares = {};
mui.init();
mui.plusReady(function() {

	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	//关闭支付返回界面
	var wv = plus.webview.getWebviewById('payreturn.html');
	if(wv != null) {
		plus.webview.close(wv, "none");
	}
	//分享
	plus.share.getServices(function(s) {
		if(s && s.length > 0) {
			for(var i = 0; i < s.length; i++) {
				var t = s[i];
				shares[t.id] = t;
			}
		}
	}, function() {
		console.log("获取分享服务列表失败");
	});
	var self = plus.webview.currentWebview();
	var orderId = self.orderId;
	if(orderId != null && orderId != '') {
		//获取订单信息
		var jsData1 = {
			id: orderId
		}
		app.callWebApi('AppOrder', 'ShowSpellGroupInfo', jsData1, null,
			function(result) {
				if(result != "") {
					result = $.parseJSON(result);
					//倒计时总秒数量
					var intDiff = parseInt(result.O_AccountFundsPay);
					timer(intDiff);
					$("#ID").val(result.ID);
					$("#O_ProductType").val(result.O_ProductType);
					$("#O_ProductPriceID").val(result.O_ProductPriceID);
					$("#O_DateID").val(result.O_DateID);
					$("#O_TimeID").val(result.O_TimeID);
					$("#O_ProductName").text(result.O_ProductName);
					$("#O_StartDate").text(result.O_StartDate);
					$("#O_ProductPriceName").text(result.O_ProductPriceName);
					var pic = getUploadServer() + "/upload/ProductPic/" + result.O_RefundReason + "?width=200&height=200";
					$("#O_Pic").attr('src', pic);
					//参团编号
					$("#O_SpellGroupNo").val(result.O_SpellGroupNo);
					$("#O_UseBonus").text(result.O_UseBonus); //原价
					$("#O_FrontPay").text(result.O_FrontPay); //团购价
					$("#O_Source").text(result.O_Source); //拼团数量
					$("#O_Source1").text(result.O_Source); //拼团数量
					$("#O_OnlinePay").text(result.O_OnlinePay); //拼团省X元
					$("#O_OnlinePay1").text(result.O_OnlinePay); //拼团省X元
					$("#O_ProductNo").text(result.O_ProductNo); //拼团有效时间
					$("#O_TotalNum").text(result.O_TotalNum); //拼团差X组家庭
					$("#U_InvitationCode").val(result.O_Remark); //临时保存邀请码
					//拼团状态
					if(result.O_Status == '0') {
						//拼团中
						$("#groupSuccess").hide();
						$("#groupFail").hide();
						$("#divOpen").show();
						$("#divFail").hide();
						$("#divSuccess").hide();
						$("#btnShare").show();
					} else if(result.O_Status === '1') {
						//拼团成功
						$("#groupSuccess").show();
						$("#groupFail").hide();
						$("#divOpen").hide();
						$("#divFail").hide();
						$("#divSuccess").show();
						$("#btnShare").hide();
					} else if(result.O_Status == '-1') {
						//拼团失败
						$("#groupSuccess").hide();
						$("#groupFail").show();
						$("#divOpen").hide();
						$("#divFail").show();
						$("#divSuccess").hide();
						$("#btnShare").hide();
					}
					//显示拼团列表
					GetSpellGroupList(result.O_SpellGroupNo);
				} else {
					$("#mui-content").show();
					plus.nativeUI.closeWaiting();
					mui.toast('没有找到订单信息');
				}
			},
			function(xhr, type, errorThrown) {
				$("#mui-content").show();
				plus.nativeUI.closeWaiting();
				mui.toast('获取数据失败，请检查网络是否正常' + type);
			});

		//邀请参团
		$('#btnShare').off();
		$('#btnShare').on('click', function() {
			//分享拼团链接
			var ids = [{
					id: "weixin",
					ex: "WXSceneSession"
				}, {
					id: "weixin",
					ex: "WXSceneTimeline"
				}],
				bts = [{
					title: "发送给微信好友"
				}, {
					title: "发送到微信朋友圈"
				}];
			plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: bts
			}, function(e) {
				var i = e.index;
				if(i > 0) {
					var s_id = ids[i - 1].id;
					var share = shares[s_id];
					if(share) {
						if(share.authenticated) {
							shareMessage(share, ids[i - 1].ex);
						} else {
							share.authorize(function() {
								shareMessage(share, ids[i - 1].ex);
							}, function(e) {
								console.log("认证授权失败：" + e.code + " - " + e.message);
							});
						}
					} else {
						mui.toast("无法获取分享服务，请检查manifest.json中分享插件参数配置，并重新打包")
					}
				}
			});
		});

	}
});

//拼团说明
$("#groupDec").on('tap', function() {
	openWin2('groupdesc.html', 'groupdesc.html', {});
});

//分享
function shareMessage(share, ex) {
	var msg = {
		extra: {
			scene: ex
		}
	};
	var pic = '../../images/none.png';
	if($("#O_Pic").val() != null && $("#O_Pic").val() != '') {
		if($("#O_Pic").val().indexOf('http:') < 0) {
			pic = getWebAppServer() + '/upload/UserPic/' + $("#O_Pic").val() + '?width=200&height=200';
		} else {
			pic = $("#O_Pic").val();
		}
	}
	//if($("#O_ProductType").val() == 'QZKL') {
	//	msg.href = getWebAppServer() + "/views/booking/booking-card-group.html?pdate=" + $("#O_DateID").val() + "&priceId=" + $("#O_ProductPriceID").val() + "&tId=" + $("#O_TimeID").val() + "&spellGroupNo=" + $("#O_SpellGroupNo").val()+ '&InvitationCode=' + $('#U_InvitationCode').val();
	//} else {
	//msg.href = getWebAppServer() + "/views/booking/booking-group.html?pdate=" + $("#O_DateID").val() + "&priceId=" + $("#O_ProductPriceID").val() + "&tId=" + $("#O_TimeID").val() + "&spellGroupNo=" + $("#O_SpellGroupNo").val()+ '&InvitationCode=' + $('#U_InvitationCode').val();
	msg.href = getWebAppServer() + "/views/booking/groupinfo.html?orderId=" + $("#ID").val();
	//}

	msg.title = '【火爆拼团】我在捷驴亲子发起了“拼团”活动，每家能省' + $("#O_OnlinePay").text() + '元！';
	msg.content = "[还差" + $("#O_TotalNum").text() + "组家庭]" + $("#O_ProductName").text();
	//if (~share.id.indexOf('weibo')) {
	//	msg.content += "；体验地址：" + getWebAppServer() +"/views/booking/booking-group.html?pdate=" + $("#O_DateID").val() + "&priceId=" + $("#O_ProductPriceID").val() + "&tId=" + $("#O_TimeID").val() + "&spellGroupNo=" + $("#O_SpellGroupNo").val();
	//}
	//msg.thumbs = ["_www/images/logo2.png"];
	msg.thumbs = [$("#O_Pic").attr('src')];
	share.send(msg, function() {
		console.log("发送邀请拼团到\"" + share.description + "\"成功！ ");
	}, function(e) {
		console.log("发送邀请拼团到\"" + share.description + "\"失败: " + e.code + " - " + e.message);
	});
}

//获取拼团列表
function GetSpellGroupList(spellGroupNo) {
	//获取订单信息
	var jsData1 = {
		spellGroupNo: spellGroupNo
	}
	app.callWebApi('AppOrder', 'SpellGroupList', jsData1, null,
		function(result) {
			if(result != "") {
				$("#groupList li").remove();
				$("#group-head").html('');

				var jsonList = $.parseJSON(result);
				var html1 = '<li class="mui-table-view-divider">参团记录</li>';
				var html2 = '';
				for(var i = 0; i < jsonList.length; i++) {
					html1 += '<li class="mui-table-view-cell mui-media">';
					if(jsonList[i].U_Icon != null && jsonList[i].U_Icon != '') {
						if(jsonList[i].U_Icon.indexOf('http:') < 0) {
							html1 += '	<img class="mui-media-object mui-pull-left br100" src="' + getUploadServer() + '/upload/UserPic/' + jsonList[i].U_Icon + '?width=150&height=150">';
						} else {
							html1 += '	<img class="mui-media-object mui-pull-left br100" src="' + jsonList[i].U_Icon + '">';
						}
					} else {
						html1 += '		<img class="mui-media-object mui-pull-left br100" src="../../images/none.png">';
					}
					html1 += '	<div class="mui-media-body">';
					if(jsonList[i].O_IsGroupHead == '1') {
						html1 += jsonList[i].U_Name + '<span class="group-head-ico">团长</span><i class="fz10 color2 floatR">' + jsonList[i].O_SpellGroupDate.replace('T', ' ') + '</i>';
					} else {
						html1 += jsonList[i].U_Name + '<span></span><i class="fz10 color2 floatR">' + jsonList[i].O_SpellGroupDate.replace('T', ' ') + '</i>';
					}
					html1 += '		<p class="mui-ellipsis fz12">' + jsonList[i].O_JoinTraveler + '</p>';
					html1 += '	</div>';
					html1 += '</li>';
					if(jsonList[i].O_IsGroupHead == '1') {
						html2 += '<span class="group-head">';
					} else {
						html2 += '<span>';
					}
					if(jsonList[i].U_Icon != null && jsonList[i].U_Icon != '') {
						if(jsonList[i].U_Icon.indexOf('http:') < 0) {
							html2 += '	<img class="br100" src="' + getUploadServer() + '/upload/UserPic/' + jsonList[i].U_Icon + '?width=150&height=150">';
						} else {
							html2 += '	<img class="br100" src="' + jsonList[i].U_Icon + '">';
						}
					} else {
						html2 += '		<img class="br100" src="../../images/none.png">';
					}
					html2 += '    </span>';
				}
				//补充没有拼团的数量
				if(jsonList.length < parseInt($("#O_Source").text())) {
					var noGroupHeadNum = parseInt($("#O_Source").text()) - jsonList.length;
					for(var i = 0; i < noGroupHeadNum; i++) {
						html2 += '<span>';
						html2 += '  <img class="br100" src="../../images/ty1.png" />';
						html2 += '</span>';
					}
				}
				$("#groupList").append(html1);
				$("#group-head").html(html2);
			}
			$("#mui-content").show();
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			$("#mui-content").show();
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常' + type);
		});
}