var pageSize = "20";
var currentPage = "1";
var queryParam = ""; //" and (P_BelongCity='YY' or P_DestinationCity like'%岳阳%')";
var tmpQueryParam = "";
var tmpOrderBy = "P_OrderId";
var totalNum = 0;
var currentCity = ''; //'YY'; //当前城市代码
var currentCityName = ''; //'岳阳'; //当前城市名称
var currentCountryCode = ''; //当前二级城市代码
var currentCountryName = ''; //当前二级城市名称
var detailPage = null;

//懒加载
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading.png'
});

mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh : "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
	//	,
	//	preloadPages: [{
	//		id: 'product-list.html',
	//		url: '../product/product-list.html'
	//	}, {
	//		id: 'product-detail.html',
	//		url: '../product/product-detail.html'
	//	}]
});

//初始化 
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	showAD();
});

var productList = null;

//初始化
function initPage(cityCode, cityName, lat, longt) {
	$('#lat').val(lat);
	$('#longt').val(longt);
	queryParam = " and (P_BelongCity='" + cityCode + "' or P_DestinationCity like'%" + cityName + "%')";
	currentCity = cityCode; //当前城市代码
	currentCityName = cityName; //当前城市名称
	loadData('1', queryParam, tmpOrderBy, 1, lat, longt);
}

$(function() {

	//过滤产品 
	$('.right-theme-item section').on('tap', function() {
		queryParam = "";
		//获取id
		var id = this.getAttribute("id");
		//儿童年龄
		if(id.indexOf('ETNL') > -1) {
			switch(id) {
				case 'ETNL1':
					tmpQueryParam = getQueryParams() + " and ((P_ChildrenAgeFrom=0 and P_ChildrenAgeTo=0) or (P_ChildrenAgeFrom<=0 and P_ChildrenAgeTo>=0) or (P_ChildrenAgeFrom<=2 and P_ChildrenAgeTo>=0)) ";
					openProductList("儿童年龄【0-2岁】", tmpQueryParam);
					break;
				case 'ETNL2':
					tmpQueryParam = getQueryParams() + " and ((P_ChildrenAgeFrom=0 and P_ChildrenAgeTo=0) or (P_ChildrenAgeFrom<=3 and P_ChildrenAgeTo>=3) or (P_ChildrenAgeFrom<=6 and P_ChildrenAgeTo>=6)) ";
					openProductList("儿童年龄【3-6岁】", tmpQueryParam);
					break;
				case 'ETNL3':
					tmpQueryParam = getQueryParams() + " and ((P_ChildrenAgeFrom=0 and P_ChildrenAgeTo=0) or (P_ChildrenAgeFrom<=7 and P_ChildrenAgeTo>=7) or (P_ChildrenAgeFrom<=14 and P_ChildrenAgeTo>=14)) ";
					openProductList("儿童年龄【7-14岁】", tmpQueryParam);
					break;
				case 'ETNL4':
					tmpQueryParam = getQueryParams() + " and ((P_ChildrenAgeFrom=0 and P_ChildrenAgeTo=0) or (P_ChildrenAgeFrom<=15 and P_ChildrenAgeTo>=15) or (P_ChildrenAgeFrom<=17 and P_ChildrenAgeTo>=17)) ";
					openProductList("儿童年龄【15-17岁】", tmpQueryParam);
					break;
			}
		}
	});

	//国内游 
	$("#HDLX01").on('tap', function() {
		//打开产品列表页面
		openProductList("国内游", getQueryParams() + " and P_Type like '%HDLX01%' ");
	});
	//境外游
	$("#HDLX02").on('tap', function() {
		//打开产品列表页面 
		openProductList("境外游", getQueryParams() + " and P_Type like '%HDLX02%' ");
	});
	//科普教育
	$("#HDLX03").on('tap', function() {
		//打开产品列表页面 
		openProductList("科普教育", getQueryParams() + " and P_Type like '%HDLX03%' ");
	});
	//手工DIY
	$("#HDLX04").on('tap', function() {
		//打开产品列表页面 
		openProductList("手工DIY", getQueryParams() + " and P_Type like '%HDLX04%' ");
	});
	//户外运动
	$("#HDLX05").on('tap', function() {
		//打开产品列表页面 
		openProductList("户外运动", getQueryParams() + " and P_Type like '%HDLX05%' ");
	});
	//郊区休闲
	$("#HDLX06").on('tap', function() {
		//打开产品列表页面 
		openProductList("郊区休闲", getQueryParams() + " and P_Type like '%HDLX06%' ");
	});

	//点击后隐藏城市选择
	$('.filter-bg').on('tap', function() {
		$('.jl-all-city').hide();
	});

	//乐园专区
	$('#HDLX07').on('tap', function() {
		//打开详情页面       
		openWin1('../product/product-list-baby.html', 'product-list-baby.html', {
			params: getQueryParams() + " and P_Type like '%HDLX07%' "
		});
	});

	//成长学院
	$('#HDLX08').on('tap', function() {
		//打开详情页面     
		openWin1('../product/product-list-develop.html', 'product-list-develop.html', {
			params: getQueryParams() + " and P_Type like '%HDLX08%' "
		});
	});

});

//获取查询条件
function getQueryParams() {
	var searchParam = "";
	if(currentCity != "" && currentCountryCode != "") {
		searchParam = " and ((P_BelongCity='" + currentCity + "' and P_StartingCounty='" + currentCountryCode + "') ";
		searchParam += " or (P_DestinationCity like '%" + currentCityName + "%' and P_DestinationCity like '%" + currentCountryName + "%')) ";
	} else {
		searchParam = " and (P_BelongCity='" + currentCity + "'";
		searchParam += " or P_DestinationCity like '%" + currentCityName + "%')";
	}
	return searchParam;
}

/**
 *打开产品列表页面 
 */
function openProductList(title, queryParam) {
	openWin1('../product/product-list.html', 'product-list.html', {
		params: queryParam,
		longt: $('#longt').val(),
		lat: $('#lat').val(),
		title: title
	});
}
//显示城市
function selectCity() {
	$('.jl-all-city').toggle();
}
/**
 * 加载城市列表
 */
function loadCity() {
	//显示当前城市
	$('#lblCity').text(currentCityName);
	var jsData1 = {
		queryParam: " and C_SupID=0 and C_IsHidder='0' "
	}
	app.callWebApi('AppProduct', 'ShowCityList', jsData1, null,
		function(result) {
			$('#liCity li').remove();
			var html = '<li class="title">已开通城市</li>';
			var jsonData = $.parseJSON(result);
			for(var key in jsonData) {
				html += '<li class="mui-table-view-cell" data-value="' + jsonData[key].id + '">' + jsonData[key].text + '</li>';
			}
			html += '<li class="bar">更多城市即将开通</li>';
			$('#liCity').append(html);
			//mui.toast($('#liCity').innerHTML);
			//加载下级市或县
			loadCounty(currentCity);
			//城市选择事件绑定
			$(".jl-all-city ul li[class!='title'][class!='bar']").on('tap', function() {
				plus.nativeUI.showWaiting("加载中...", {
					padlock: true,
					width: 120,
					height: 120
				});
				var cityCode = $(this).attr('data-value');
				var cityName = $(this).text();
				plus.webview.currentWebview().parent().evalJS("setCity('" + cityCode + "','" + cityName + "')");
				//mui('.mui-popover').popover('toggle');
				$('.jl-all-city').hide();
				//加载下级市或县
				loadCounty(cityCode);
				//根据城市查询 
				currentCity = cityCode;
				currentCityName = cityName;
				$('#lblCity').text(cityName);
				//滚动到顶部
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
				currentPage = "1";
				totalNum = 0;
				queryParam = getQueryParams();
				loadData(currentPage, queryParam, tmpOrderBy, 1, $('#lat').val(), $('#longt').val());
			});
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//加载下级市或县
function loadCounty(cityCode) {
	var html = '';
	html += '<li class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3 br5">';
	html += '	<a data-value="" class="active">全城</a>';
	html += '</li>';
	var jsData1 = {
		queryParam: " and C_IsHidder='0' and C_supid in(select id from jl_city where c_code='" + cityCode + "')"
	}
	app.callWebApi('AppProduct', 'ShowCityList', jsData1, null,
		function(result) {
			$('#liCounty li').remove();
			var jsonData = $.parseJSON(result);
			for(var key in jsonData) {
				html += '<li class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3 br5">';
				html += '	<a data-value="' + jsonData[key].id + '">' + jsonData[key].text + '</a>';
				html += '</li>';
			}
			$('#liCounty').append(html);
			$('#liCounty li').off();
			$('#liCounty li').on('tap', function() {
				plus.nativeUI.showWaiting("加载中...", {
					padlock: true,
					width: 120,
					height: 120
				});
				$('#liCounty li a').removeClass('active');
				$(this).children('a').addClass('active');
				$('.jl-all-city').hide();
				currentCountryCode = $(this).children('a').attr('data-value');
				currentCountryName = $(this).children('a').text();
				currentPage = "1";
				totalNum = 0;
				queryParam = getQueryParams();
				//滚动到顶部
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
				mui('#pullrefresh').pullRefresh().refresh(true);
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
				loadData(currentPage, queryParam, tmpOrderBy, 1, $('#lat').val(), $('#longt').val());
			});
		},
		function(xhr, type, errorThrown) {
			//mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 显示广告
 */
function showAD() {
	var jsData1 = {
		adpid: '6'
	}
	app.callWebApi('AppProduct', 'ShowAD', jsData1, null,
		function(result) {
			$('#slider').html(result);
			//循环轮播
			setTimeout(function() {
				var slider = mui("#slider");
				slider.slider({
					interval: 5000
				});
			}, 2000);
			$('.mui-slider-item a').on('tap', function() {
				if($(this).attr('data-val') != '') {
					//打开详情页面          
					openWin3('../product/product-detail.html', 'product-detail.html', {
						productId: $(this).attr('data-val')
					});
				}
			});
			//接口调用成功后显示所有界面
			$('#divContent').show();
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 *加载数据 
 */
function loadData(currentPage, queryParam, orderBy, reload, lat, longt) {
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$(".jl-table-view li").remove();
	}
	app.loadData(currentPage, pageSize, queryParam, orderBy, 1, lat, longt, function(result) {
			if(result != '') {
				var jsonList = $.parseJSON(result);
				totalNum = jsonList.total;
				if(totalNum == 0) {
					plus.nativeUI.closeWaiting();
					$(".notrecord").show();
					setTimeout("mui('#pullrefresh').pullRefresh().disablePullupToRefresh();", 200);
					return;
				}
				setTimeout("mui('#pullrefresh').pullRefresh().enablePullupToRefresh();", 200);
				$(".notrecord").hide();
				var html = '';
				for(var i = 0; i < jsonList.list.length; i++) {
					var label = '';
					if(jsonList.list[i].P_Label != '') {
						var list = jsonList.list[i].P_Label.split('$');
						for(var j = 0; j < list.length; j++) {
							label += '<label>' + list[j] + '</label>';
						}
					}
					html += '<li class="jl-table-view-cell" id="' + jsonList.list[i].ID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					html += '<a id="' + jsonList.list[i].ID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					html += '   <div class="product-img">';
					if(jsonList.list[i].P_MobileTitlePic != '' && jsonList.list[i].P_MobileTitlePic != null) {
						html += '	<img class="jl-media-object" src="../../images/logo-loading.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileTitlePic + '?width=600&height=300">';
					} else {
						html += '	<img class="mui-pull-left br5" data-lazyload="../../images/logo-loading.png">';
					}
					html += '		<div class="fee-view2">';
					html += '			<div class="top-body"><sup class="fz10 ftnormal">&yen;</sup>' + jsonList.list[i].P_Price + '<em class="fz10 ftnormal">起</em></div>';
					if(parseFloat(jsonList.list[i].P_SpecialTopicIds) > 0) {
						html += '		<div class="bottom-body"><em class="fz8 ftnormal">最高</em><span>返红包&nbsp;' + jsonList.list[i].P_SpecialTopicIds + '<em class="fz8 ftnormal"></em></span></div>';
					} else {
						html += '		<div class="bottom-body hide"></div>';
					}
					html += '		</div>';
					html += '   </div>';
					html += '	<div class="jl-media-body">';
					//拼团
					if(jsonList.list[i].P_IsSpellGroup == '1') {
						html += '   <h3 class="fz16"><i class="group-hit">拼团</i>' + jsonList.list[i].P_Name.replace('$', '') + '</h3>';
					} else {
						html += '   <h3 class="fz16">' + jsonList.list[i].P_Name.replace('$', '') + '</h3>';
					}
					html += '		<p style="margin-top: 1px;" class="fz13 color6 mr0"><i class="mui-icon mui-icon-location fz13">' + jsonList.list[i].P_Video + '</i> ' + jsonList.list[i].P_DestinationCity + '</p>';
					//html += '		<p class="fz10 color6 mr0"><i class="mui-icon mui-icon-location fz10">' + jsonList.list[i].P_Longitude + '</i> ' + jsonList.list[i].P_SpecialTopicNames + '</p>';
					//显示标签
					html += '       <p class="fz14 color6 mr0"><div class="jl-media-label">';
					html += label;
					if(jsonList.list[i].P_ChildrenAgeFrom == '0' && jsonList.list[i].P_ChildrenAgeTo == '0') {
						//html += '      <label>无年龄限制</label>';
					} else {
						html += '        <label>适合' + jsonList.list[i].P_ChildrenAgeFrom + '-' + jsonList.list[i].P_ChildrenAgeTo + '岁</label>';
					}
					html += '         </div></p>';
					html += '	</div>';
					if(jsonList.list[i].P_ChildrenRegisterNum != '0' && jsonList.list[i].P_AdultRegisterNum != '0') {
						html += '	<div class="jl-media-tips">累计' + jsonList.list[i].P_ChildrenRegisterNum + '名儿童，' + jsonList.list[i].P_AdultRegisterNum + '名父母报名</div>';
					} else if(jsonList.list[i].P_ChildrenRegisterNum != '0') {
						html += '	<div class="jl-media-tips">累计' + jsonList.list[i].P_ChildrenRegisterNum + '名儿童报名</div>';
					} else if(jsonList.list[i].P_AdultRegisterNum != '0') {
						html += '	<div class="jl-media-tips">累计' + jsonList.list[i].P_AdultRegisterNum + '名父母报名</div>';
					}
					html += '</a>';
					html += '</li>';
				}
				$(".jl-table-view").append(html);
				//加载事件
				addEvent();
				//lazyload（延迟加载）  
				//lazyLoadApi.refresh(true);
				lazyLoadApi.addElements();
				plus.nativeUI.closeWaiting();
				$('#divContent').show();
			} else {
				plus.nativeUI.closeWaiting();
			}
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		//window.location.reload();
		mui('#pullrefresh').pullRefresh().refresh(true);
		mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, getQueryParams(), tmpOrderBy, 1, $('#lat').val(), $('#longt').val());
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(totalNum != $(".jl-table-view li").length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, getQueryParams(), tmpOrderBy, 0, $('#lat').val(), $('#longt').val());
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}

/**
 * 加载事件
 */
function addEvent() {
	$('.jl-table-view-cell').off();
	//添加列表项的点击事件
	$('.jl-table-view-cell').on('tap', function(e) {
		var id = this.getAttribute('id');
		var type = $(this).attr('data-val');
		//打开详情页面（亲子卡类）
		if(type == 'QZKL') {
			openWin3('../product/product-detail--card.html', 'product-detail--card.html', {
				productId: id
			});
		} else {
			//打开详情页面   
			openWin3('../product/product-detail.html', 'product-detail.html', {
				productId: id
			});
		}
	});

}