//初始化
mui.init();

//初始化 
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	showQuestionInfo(self.qid);
});

/**
 *显示详情 
 */
function showQuestionInfo(id) {
	$('#questionInfo li').remove();
	var jsData1 = {
		id: id
	}
	app.callWebApi('AppUser', 'ShowQuestionInfo', jsData1, null,
		function(result) {
			var html = '';
			if(result != "") {
				result = $.parseJSON(result)[0];
				html = '<li class="mui-table-view-cell mui-media">';
				if(result.U_Icon != null && result.U_Icon != '') {
					if(result.U_Icon.indexOf('http:') < 0) {
						html += '	<img class="mui-media-object mui-pull-left br100" src="' + getUploadServer() + '/upload/UserPic/' + result.U_Icon + '?height=200&width=200">';
					} else {
						html += '	<img class="mui-media-object mui-pull-left br100" src="' + result.U_Icon + '">';
					}
				} else {
					html += '	<img class="mui-media-object mui-pull-left br100" src="' + getUploadServer() + '/upload/UserPic/none.png">';
				}
				html += '	<div class="mui-media-body fz12 color2">';
				html += result.U_Name + '：<span class="mui-pull-right color2 fz10">' + result.U_QuestionByTime.replace('T', ' ') + '</span>';
				html += '	<p class=" colorRed">' + result.U_QuestionContent + '</p>';
				html += '	</div>   ';
				html += '</li>';
				html += '<li class="mui-table-view-cell mui-media pdL15">';
				html += '	<img class="mui-media-object mui-pull-left br100" src="' + getUploadServer() + '/upload/UserPic/none.png">';
				html += '	<div class="mui-media-body fz12 color2">';
				html += '		回复 小捷：<span class="mui-pull-right color2 fz10">' + result.U_AnserByTime.replace('T', ' ') + '</span>';
				html += '		<p class="colorBule">' + result.U_AnserContent + '</p>';
				html += '	</div>';
				html += '</li>';
				$('#P_Name').text(result.P_Name);
				$('#linkProduct').off();
				$('#linkProduct').on('tap', function() {
					var id=result.U_ProductID;
					var type = result.P_Classify;
					//打开详情页面
					openProdcut(type,id);
				});
			}
			$('#questionInfo').append(html);
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}