mui.init();
mui.plusReady(function() {
	showCouponsList('0');
});
mui('body').on('tap', '.mui-popover-action li>a', function() {
	var a = this,
		parent;
	//根据点击按钮，反推当前是哪个actionsheet
	for (parent = a.parentNode; parent != document.body; parent = parent.parentNode) {
		if (parent.classList.contains('mui-popover-action')) {
			break;
		}
	}
	//关闭actionsheet
	mui('#' + parent.id).popover('toggle');
	if (a.innerHTML == '未使用') {
		$('#couponStatus').text('未使用');
		showCouponsList('0');
	} else if (a.innerHTML == '已使用') {
		$('#couponStatus').text('已使用');
		showCouponsList('1');
	} else if (a.innerHTML == '已过期') {
		$('#couponStatus').text('已过期');
		showCouponsList('2');
	}
	//mui.toast("你刚点击了\"" + a.innerHTML + "\"按钮");
});

//显示优惠劵列表
function showCouponsList(status) {
	$('.notrecord').hide();
	var userInfo = getUserInfo();
	if (userInfo != null) {
		plus.nativeUI.showWaiting("加载中...", {
			padlock: true,
			width: 120,
			height: 120
		});
		$("#couponsList li").remove();
		var jsData1 = {
				userId: userInfo.ID,
				status: status
			}
			//显示用户的优惠劵  
		app.callWebApi('AppProduct', 'ShowUserCouponsList', jsData1, null,
			function(result) {
				if (result.Result == "") {
					if (result.Coupons != '') {
						$('.notrecord').hide();
					} else {
						$('.notrecord').show();
					}
					$('#DoCouponNum').text(result.DoCouponNum);
					$('#TotalCouponNum').text(result.TotalCouponNum);
					$("#couponsList").append(result.Coupons)
				} else {
					mui.toast(result.Result);
				}
				plus.nativeUI.closeWaiting();
			},
			function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}
}