mui.init();
//初始化
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	//升级高级会员
	if (self.type == '1') {
		$('#userTitle').text('升级高级会员');
		$('#btn_upgrade1').text('立即升级');
		$('#btn_upgrade2').text('确认升级');
	} else {
		$('#userTitle').text('高级会员续费');
		$('#btn_upgrade1').text('立即续费');
		$('#btn_upgrade2').text('确认续费');
	}
	ShowUser();
});

//初始化单页view
var viewApi = mui('#app').view({
	defaultPage: '#senior_main'
});
//初始化单页的区域滚动
mui('.mui-scroll-wrapper').scroll();
var view = viewApi.view;
var oldBack = mui.back;
var isback = false;

//返回并刷新
function backFrush() {
	var wv = plus.webview.getWebviewById('index-me.html');
	if (wv != null) {
		wv.evalJS("ShowUser()");
	}
	oldBack();
}

$(function() {
	//处理view的后退与webview后退
	mui.back = function() {
		if (viewApi.canBack()) { //如果view可以后退，则执行view的后退
			viewApi.back();
		} else { //执行webview后退
			oldBack();
		}
	};
	/*立即升级*/
	$("#btn_upgrade1").on("tap", function() {
		viewApi.go("#senior_sub_page");
	});
	/*新建遮罩*/
	var mask = mui.createMask(function() {
		$("#payment_pop").removeClass("mui-active").hide();
	});
	/*关闭按钮*/
	$(".mui-media .icon-guanbi").on("tap", function() {
		mui('#payment_pop').popover('toggle');
	});
	/*密码输入*/
	$(".num-plane td[data-value]").on("tap", function() {
		var isIptOK = false;
		var payPs = '';
		if (!isIptOK) {
			$(".pwd-plane li:not(.set)").eq(0).attr("data-value", $(this).attr("data-value")).addClass("set");
			$("#txt_paypwd").attr("data-value", $(this).attr("data-value"));
			$("#txt_paypwd em").text((($(".pwd-plane .set").children().length == 1) ? "*" : $("#txt_paypwd em").text() + "*"));
			if ($(".pwd-plane .set").children().length == 6) {
				isIptOK = true;
				$(".pwd-plane li").each(function() {
					payPs += $(this).attr("data-value");
				});
				$('#payPs').val(payPs);
			}
		}
		if (isIptOK) {
			/*校验支付密码，支付密码正确，则退出输入，否则继续输入。最好是在点击 确认升级 按钮事件中再做一次支付密码校验*/
			//获取用户信息
			var userInfo = getUserInfo();
			if (userInfo != null) {
				var jsData1 = {
					userId: userInfo.ID,
					payPs: MD5(payPs)
				}
				app.callWebApi('AppUser', 'CheckPayPassword', jsData1, null,
					function(result) {
						if (result.RESULT == "") {
							mui('#payment_pop').popover('toggle');
						} else {
							mui.toast("支付密码不正确，请重新输入！");
							$(".pwd-plane li").removeClass("set");
							$("#txt_paypwd em").text("请输入");
							$("#txt_paypwd").attr("data-value", "");
						}
					},
					function(xhr, type, errorThrown) {
						mui.toast('获取数据失败，请检查网络是否正常！' + type);
					});
			} else {
				mui.toast('请登录后再操作！');
				mui.back();
			}
		}
	});
	/*退格键*/
	$(".num-plane .del").on("tap", function() {
		$(".pwd-plane .set").last().attr("data-value", "").removeClass("set");
	});
	/*升级高级会员*/
	$('#btn_upgrade2').on('tap', function() {
		if ($('#payPs').val() == '') {
			mui.toast('请输入支付密码！');
			return;
		}
		//获取用户信息
		var userInfo = getUserInfo();
		if (userInfo != null) {
			plus.nativeUI.showWaiting("加载中...", {
				padlock: true,
				width: 120,
				height: 120
			});
			var jsData1 = {
				userId: userInfo.ID,
				payPs: MD5($('#payPs').val())
			}
			app.callWebApi('AppUser', 'UpgradeRenewMemeber', jsData1, null,
				function(result) {
					plus.nativeUI.closeWaiting();
					if (result.RESULT == "") {
						mui.toast('升级成功，您已成功高级会员！');
						backFrush();
					} else {
						mui.toast(result.RESULT);
					}
				},
				function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('获取数据失败，请检查网络是否正常！' + type);
				});
		} else {
			mui.toast('请先登录后再操作！');
			mui.back();
		}
	});
});
/**
 *显示用户信息 
 */
function ShowUser() {
	//获取用户信息
	var userInfo = getUserInfo();
	if (userInfo != null) {
		var jsData1 = {
			id: userInfo.ID
		}
		app.callWebApi('AppUser', 'ShowUpgradeUser', jsData1, null,
			function(result) {
				if (result != "") {
					result = $.parseJSON(result);
					$('#U_Name').text(result.U_Name);
					$('#U_Name1').text(result.U_Name);
					$('#U_Code').text(result.U_Code);
					if (result.U_Icon != null && result.U_Icon != '') {
						if (result.U_Icon.indexOf('http:') < 0) {
							$('#U_Icon').attr('src', getUploadServer() + '/upload/UserPic/' + result.U_Icon + '?width=200&height=200');
						} else {
							$('#U_Icon').attr('src', result.U_Icon);
						}
					} else {
						$('#U_Icon').attr('src', '../../images/none.png');
					}
					if (result.U_MemberType == '2') {
						$('#U_MemberType').text('高级会员');
					} else {
						$('#U_MemberType').text('普通会员');
					}
					if (result.U_ValidityDate != null && result.U_ValidityDate != '') {
						$('#U_ValidityDate').text(result.U_ValidityDate.substring(0, 10));
					} else {
						$('#U_ValidityDate').text('');
					}
					$('#U_TotalAmount').text(result.U_TotalAmount);
					//会员年费
					$('#U_SeniorFee').text(result.U_Remark);
					$('#U_SeniorFee1').text(result.U_Remark);
				}
			},
			function(xhr, type, errorThrown) {
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}
}

