var jsonval = [];
mui.init();

mui.plusReady(function() {
	//初始化页面
	InitialPage(); 
});

function InitialPage() {

	//获取用户信息
	var userInfo = getUserInfo();
	if(userInfo != null) {
		plus.nativeUI.showWaiting("加载中...", {
			padlock: true,
			width: 120,
			height: 120
		});
		var jsData1 = {
			id: userInfo.ID
		}
		app.callWebApi('Member', 'ShowUser', jsData1, null,
			function(result) {
				if(result != null && result != '') {
					result = $.parseJSON(result);
					if(result.U_SignInfo != null && result.U_SignInfo != '') {
						//设置日期
						jsonval = $.parseJSON(result.U_SignInfo);
						showCalendar(jsonval[0].year, jsonval[0].month);
					} else {
						showCalendar(2000, 0);
					}
				} else {
					showCalendar(2000, 0);
				}
			},
			function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	} else {
		openWin1('../member/login-master.html', 'login-master.html', {});
		mui.toast('请先登录后再操作');
	}

	//显示奖励信息
	$('#rewardInfo').html('');
	var jsData1 = {}
	app.callWebApi('AppUser', 'UserSignInRewardInfo', jsData1, null,
		function(result) {
			var html = '签到奖励说明：<br/>';
			for(var i = 0; i < result.length; i++) {
				html += '<span style="color:red">(' + (i + 1).toString() + ')' + result[i] + '</span><br/>';
			}
			$('#rewardInfo').html(html);
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//签到
$('#btnSign').on('tap', function() {
	var gNow = new Date();
	var year = gNow.getFullYear();
	var day = gNow.getDate();
	var month = gNow.getMonth().toString();
	if($('#day' + day).text() == '已签到') {
		mui.toast('今天你已经签到，明天继续哦');
		return;
	}
	plus.nativeUI.showWaiting("正在处理...", {
		padlock: true,
		width: 120,
		height: 120
	});
	$('#day' + day).text('已签到');
	$('#day' + day).addClass('dateprice');
	$('#a' + day).addClass('sela');

	jsonval = [{
		"year": year,
		"month": month,
		"data": []
	}];
	//连续天数
	var count = 0;
	var tmp = 0;
	var countList = [];
	$('.dateprice').each(function(index, data) {
		var day = $(this).attr('data-day');
		var date = $(this).attr('data-date');
		var item = {
			"day": day,
			"date": date
		}
		jsonval[0].data.push(item);
		if(tmp == 0 || day == tmp) {
			count = count + 1;
			tmp = parseInt(day) + 1;
		} else {
			countList.push(count);
			count = 1;
			tmp = parseInt(day) + 1;
		}
	});
	countList.push(count);
	//获取最大的签到连续天数
	var maxSignDays = 0;
	for(var i = 0; i < countList.length; i++) {
		if(maxSignDays < countList[i]) {
			maxSignDays = countList[i];
		}
	}
	//获取用户信息
	var userInfo = getUserInfo();
	if(userInfo != null) {
		var jsData1 = {
			id: userInfo.ID,
			signInfo: JSON.stringify(jsonval),
			year: year,
			month: month,
			signDays: maxSignDays.toString()
		}
		app.callWebApi('AppUser', 'UserSignIn', jsData1, null,
			function(result) {
				if(result.RESULT == '') {
					mui.toast('今天您签到了，继续保持哦');
				} else {
					mui.toast(result.RESULT);
				}
				plus.nativeUI.closeWaiting();
			},
			function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	} else {
		plus.nativeUI.closeWaiting();
		openWin1('../member/login-master.html', 'login-master.html', {});
		mui.toast('请先登录后再操作');
	}

});

//签到奖励列表
$('#btnSignList').on('tap', function() {
	openWin1('../member/sign-reward-list.html', 'sign-reward-list.html', {});
});

//显示日期
function showCalendar(year, month) {
	var gNow = new Date();
	var m = gNow.getMonth();
	var y = gNow.getFullYear();
	//当前月份是否为签名月份
	if(year != y || month != m) {
		jsonval = [];
	}
	/*初始化日期*/
	show_calendar(1, m, y);
	plus.nativeUI.closeWaiting();
	$('.mui-content').show();
}

//jsonval = [{
//	"month": "9",
//	"data": [{
//		"day": "1",
//		"date": "2016-10-1"
//	}, {
//		"day": "2",
//		"date": "2016-10-2"
//	}, {
//		"day": "3",
//		"date": "2016-10-3"
//	}, {
//		"day": "4",
//		"date": "2016-10-4"
//	}, {
//		"day": "30",
//		"date": "2016-10-30"
//	}]
//}];