var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "a.N_OperatorDate desc";
var totalNum = 0;
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//初始化 
mui.plusReady(function() {
	//判断平台
	//	if(plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	var userInfo = getUserInfo();
	if(userInfo != null) {
		plus.nativeUI.showWaiting("加载中...", {
			padlock: true,
			width: 120,
			height: 120
		});
		queryParam = "";
		loadData(currentPage, queryParam, tmpOrderBy, 1)
	} else {
		mui.toast('请登录后再查看消息');
		mui.back();
	}
});
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, queryParam, tmpOrderBy, 1);
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(totalNum != $("#divNotice .text_note").length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, queryParam, tmpOrderBy, 0);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}
/**
 *加载数据 
 */
function loadData(currentPage, queryParam, orderBy, reload) {
	$('.notrecord').hide();
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$('#divNotice').html('');
	}
	app.commonLoadData(currentPage, '15', queryParam, orderBy, 'AppUser', 'ShowSystemNoticeList', function(result) {
			plus.nativeUI.closeWaiting();
			var jsonList = $.parseJSON(result);
			totalNum = jsonList.total;
			if(totalNum == 0) {
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				$('.notrecord').show();
				return;
			}
			var html = '';
			for(var i = 0; i < jsonList.list.length; i++) {
				html = '<div class="text_note qa-box-time"><span>' + jsonList.list[i].N_OperatorDate.replace('T', ' ') + '</span></div>';
				//html += '<div class="mui-card p10 posi-r new-qa">';
				html += '<div class="mui-card p10 posi-r">';
				html += '	 <p class="fz12 ellipsis">';
				html += '		【' + jsonList.list[i].N_Title + '】';
				html += '	 </p>';
				html += '	 <p class="color5">';
				html += jsonList.list[i].N_Content;
				html += '	 </p>';
				//html += '	 <a data-val="' + jsonList.list[i].ID + '" class="btn fz12 color2 pd10 line-top mui-block ">详情<span class="mui-icon mui-icon-arrowright mui-pull-right fz16"></span><a>';
				html += '</div>';
				$('#divNotice').append(html);
			}
			//			$("#QA_main .btn").off();
			//			$("#QA_main .btn").on("tap", function() {
			//				var id = $(this).attr('data-val');
			//				if (id != '') {
			//					showQuestionInfo(id);
			//					viewApi.go("#QA_detail_page");
			//				}
			//			});
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}