mui.init();

var oldBack = mui.back;
//处理view的后退与webview后退
mui.back = function() {
	var preWv = plus.webview.currentWebview().opener();
	preWv.evalJS("ShowUser()");
	oldBack();
};

$(function() {
	ShowUser();

	//设置支付密码
	$('#setPS').on('tap', function() {
		if($('#U_Code').text() == '未设置') {
			mui.toast('请先绑定手机后再设置支付密码！');
			return;
		}
		if($('#U_PayPass').text() == '未设置') {
			openWin2('wallet-reset-paypwd.html', 'wallet-reset-paypwd.html', {});
		} else {
			openWin2('wallet-paypassword-auth.html', 'wallet-paypassword-auth.html', {});
		}
	});
	//修改或设置安全手机
	$('#safePhone').on('tap', function() {
		openWin2('wallet-mobile-auth.html', 'wallet-mobile-auth.html', {
			U_Code: $('#U_Code1').val()
		});
	});
});

/**
 *显示用户信息 
 */
function ShowUser() {
	//获取用户信息
	var userInfo = getUserInfo();
	if(userInfo != null) {
		var jsData1 = {
			id: userInfo.ID
		}
		app.callWebApi('Member', 'ShowUser', jsData1, null,
			function(result) {
				if(result != "") {
					result = $.parseJSON(result);
					if(result.U_PayPass != null && result.U_PayPass != '') {
						$('#U_PayPass').text('已设置');
					} else {
						$('#U_PayPass').text('未设置');
					}
					if(result.U_Code != null && result.U_Code != '') {
						var mobile = result.U_Code.substr(0, 3) + '****' + result.U_Code.substr(7, 4);
						$('#U_Code').text(mobile);
						$('#U_Code1').val(result.U_Code);
					} else {
						$('#U_Code').text('未设置');
						$('#U_Code1').val('未设置');
					}
					$('#U_Name').text(result.U_Name);
					$('#U_TotalAmount').text(result.U_TotalAmount);
					//是否认证
					if(result.U_Code != null && result.U_Code != '' && result.U_RealName != null && result.U_RealName != '' && result.U_CardId != null && result.U_CardId != '') {
						$('#auth').text('已认证');
					} else {
						$('#auth').text('未认证');
						//绑定实名认证
						$('#setAuth').off();
						$('#setAuth').on('tap', function() {
							if($('#U_Code').text() == '未设置') {
								mui.toast('请先绑定手机后再认证！');
								return;
							}
							if($('#U_PayPass').text() == '未设置') {
								mui.toast('请先设置支付密码后再认证！');
								return;
							}
							openWin2('wallet-user-auth.html', 'wallet-user-auth.html', {
								userID: result.ID
							});
						});
					}
					showSafeGrade();
				}
			},
			function(xhr, type, errorThrown) {
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}
}

//显示设置或未设置状态
function SetStatus(type, value) {
	if(type == 'PAY') {
		if(value != '') {
			$('#U_PayPass').text('已设置');
		} else {
			$('#U_PayPass').text('未设置');
		}
	} else {
		if(value != '') {
			var phone = value.substr(0, 3) + '****' + value.substr(7, 4);
			$('#U_Code').text(phone);
		} else {
			$('#U_Code').text('未设置');
		}
	}
}

//显示安全等级
function showSafeGrade() {
	if($('#auth').text() == '已认证') {
		$('.a1').show();
		$('.a2').hide();
		$('.a3').hide();
		$('.a4').hide();
	} else if($('#U_PayPass').text() != '未设置' && $('#U_Code').text() != '未设置') {
		$('.a1').hide();
		$('.a2').show();
		$('.a3').hide();
		$('.a4').hide();
	} else if($('#U_PayPass').text() != '未设置' || $('#U_Code').text() != '未设置') {
		$('.a1').hide();
		$('.a2').hide();
		$('.a3').show();
		$('.a4').hide();
	} else {
		$('.a1').hide();
		$('.a2').hide();
		$('.a3').hide();
		$('.a4').show();
	}
}