mui.init();
//初始化单页view
var viewApi = mui('#app').view({
	defaultPage: '#user_auth_main'
});
//初始化单页的区域滚动
mui('.mui-scroll-wrapper').scroll();
var view = viewApi.view;
var oldBack = mui.back;
var isback = false;
//处理view的后退与webview后退
mui.back = function() {
	if (viewApi.canBack()) { //如果view可以后退，则执行view的后退
		viewApi.back();
	} else { //执行webview后退
		oldBack();
	}
};
$(function() {
	$("#user_auth_main .num-plane td[data-value]").on("tap", function() {
		$("#user_auth_main .pwd-plane li:not(.set)").eq(0).attr("data-value", $(this).attr("data-value")).addClass("set");
		if ($("#user_auth_main .pwd-plane .set").children().length == 6) {
			var payPs = '';
			$("#user_auth_main .pwd-plane .set").each(function() {
				payPs += $(this).attr("data-value");
			});
			var userInfo = getUserInfo();
			if (userInfo != null) {
				/*校验支付密码，支付密码正确，下一步*/
				var jsData1 = {
						userId: userInfo.ID,
						payPs: MD5(payPs)
					}
					//显示用户的银行卡
				app.callWebApi('AppUser', 'CheckPayPassword', jsData1, null,
					function(result) {
						if (result.RESULT == "") {
							mui.toast('密码验证成功');
							$('#name').val(result.U_RealName);
							mui.toast('进入账户实名认证');
							viewApi.go("#user_auth_nextpage");
						} else {
							$("#user_auth_main .pwd-plane").removeClass("bdred").children("li").removeClass("set");
							mui.toast(result.RESULT);
						}
					},
					function(xhr, type, errorThrown) {
						mui.toast('获取数据失败，请检查网络是否正常！' + type);
					});
			} else {
				$("#user_auth_main .pwd-plane").removeClass("bdred").children("li").removeClass("set");
				mui.toast('您还没有登录，请登录后再实名认证！');
				oldBack();
			}
		}
	});
	/*退格键*/
	$("#user_auth_main .num-plane .del").on("tap", function() {
		$("#user_auth_main .pwd-plane .set").last().attr("data-value", "").removeClass("set");
	});
	$("#btn_user_auth").on("tap", function() {
		if ($('#name').val() == '') {
			mui.toast('姓名不能为空！');
			return;
		}
		if ($('#cardno').val() == '' && $('#cardno').val().length==18) {
			mui.toast('身份证号码无效！');
			return;
		}
		var btnArray = ['取消', '确认'];
		/*WEB端支持显示*/
		var showmsg = "<dfn class='popup-name'>姓名</dfn><em class='popup-value'>" + $("#name").val() + "</em><br><dfn class='popup-name'>" + $("#cardtype").val() + "</dfn><em class='popup-value'>" + $("#cardno").val() + "</em>";
		/*APP支持显示*/
		showmsg = "姓名：" + $("#name").val() + "\r\n" + $("#cardtype").val() + "：" + $("#cardno").val();
		mui.confirm(showmsg, '请确定，一旦认证无法修改', btnArray, function(e) {
			if (e.index == 1) {
				var userInfo = getUserInfo();
				if (userInfo != null) {
					var jsData1 = {
							userId: userInfo.ID,
							realName: $('#name').val(),
							cardId: $('#cardno').val()
						}
						//显示用户的银行卡
					app.callWebApi('AppUser', 'UserCertification', jsData1, null,
						function(result) {
							if (result.RESULT == "") {
								mui.toast('实名认证成功!');
								var preWv = plus.webview.currentWebview().opener();
								preWv.evalJS("ShowUser()");
								oldBack();
							} else {
								mui.toast(result.RESULT);
							}
						},
						function(xhr, type, errorThrown) {
							mui.toast('获取数据失败，请检查网络是否正常！' + type);
						});
				} else {
					oldBack();
					mui.toast('您还没有登录，请登录后再实名认证！');
				}
			}
		})
	});
});