mui.init();

var oldBack = mui.back;
mui.back = function() {
	var wv = plus.webview.getWebviewById('wallet.html');
	if(wv != null) {
		wv.evalJS("ShowUser()");
	}
	oldBack();
};

$(function() {
	ShowUser();
	/**
	 *显示用户信息 
	 */
	function ShowUser() {
		//获取用户信息
		var userInfo = getUserInfo();
		if(userInfo != null) {
			var jsData1 = {
				id: userInfo.ID
			}
			app.callWebApi('AppUser', 'ShowWithdrawInfo', jsData1, null,
				function(result) {
					if(result != "") {
						result = $.parseJSON(result);
						//帐号金额
						var amount = result.U_TotalAmount.toString();
						$('#U_TotalAmount').val(amount);
						if(amount > 0) {
							if(amount.indexOf('.') > -1) {
								$('#yuan').text(amount.substr(0, amount.indexOf('.')));
								$('#jiao').text(amount.substr(amount.indexOf('.') + 1));
							} else {
								$('#yuan').text(amount);
								$('#jiao').text("00");
							}
						}
						$('#U_RealName').val(result.U_RealName);
						//是否认证
						if(result.U_InvitationCode == '1') {
							$('#rz').removeClass('pr_3_2 hide');
							$('#rz').addClass('pr_3_2');
							$('#wrz').removeClass('pr_3_2');
							$('#wrz').addClass('pr_3_2 hide');
						} else {
							$('#rz').removeClass('pr_3_2');
							$('#rz').addClass('pr_3_2 hide');
							$('#wrz').removeClass('pr_3_2 hide');
							$('#wrz').addClass('pr_3_2');
						}
						//最小提现金额
						$('#minAmount').text(result.U_LastLoginIP);
						//银行卡列表
						$('.banklist').html(result.U_Remark);
						$('#wrz').off();
						$('#wrz').on('tap', function() {
							openWin2('wallet-safety.html', 'wallet-safety.html', {
								userID: result.ID
							});
						});
						$(".banklist .bank").off();
						$(".banklist .bank").on("tap", function() {
							$(this).parent().children().removeClass("selected");
							$(this).addClass("selected");
						});
					}
				},
				function(xhr, type, errorThrown) {
					mui.toast('获取数据失败，请检查网络是否正常！' + type);
				});
		}
	}
	//***提现申请***//
	$('#btnApply').on('tap', function() {
		if($('#price').val() == '') {
			mui.toast('提现金额不能为空！');
			return;
		}
		if($('#password').val() == '') {
			mui.toast('支付密码不能为空！');
			return;
		}
		if($(".banklist .selected").length == 0) {
			mui.toast("请选择银行卡！");
			return;
		}
		var totalAmount = parseFloat($('#U_TotalAmount').val());
		var minAmount = parseFloat($('#minAmount').text());
		var withdrawAmount = parseFloat($('#price').val());
		//
		if(withdrawAmount < minAmount) {
			mui.toast('提现金额不能小于最低提现要求，操作失败！')
			return;
		}
		if(totalAmount <= 0 || totalAmount < withdrawAmount) {
			mui.toast('提现金额不足，操作失败！')
			return;
		}
		//获取用户信息
		var userInfo = getUserInfo();
		if(userInfo != null) {
			plus.nativeUI.showWaiting("加载中...", {
				padlock: true,
				width: 120,
				height: 120
			});
			var jsData1 = {
				id: userInfo.ID,
				price: withdrawAmount.toString(),
				pwd: MD5($('#pwd').val()),
				bankId: $(".banklist .selected").attr("data-id")
			}
			app.callWebApi('AppUser', 'SaveUserWithdraw', jsData1, null,
				function(result) {
					plus.nativeUI.closeWaiting();
					if(result.RESULT == "") {
						mui.toast("提现申请成功，我们将尽快给您转帐，请及时关注提现申请状态。");
						mui.back();
					} else {
						mui.toast(result.RESULT);
					}
				},
				function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('获取数据失败，请检查网络是否正常！' + type);
				});
		}
	});
	//提现记录
	$('#btnWithdraw').on('tap', function() {
		openWin1('withdraw-list.html', 'withdraw-list.html', {
			exParam: " and U_ConsType='XFLX1' "
		});
	});
	/*JQuery 限制文本框只能输入数字*/
	//          $("#pwd").keyup(function(){    
	//          	    alert('ok');
	//                  $(this).val($(this).val().replace(/D|^0/g,''));  
	//              }).bind("paste",function(){  //CTR+V事件处理    
	//                  $(this).val($(this).val().replace(/D|^0/g,''));     
	//              }).css("ime-mode", "disabled"); //CSS设置输入法不可用

	/*JQuery 限制文本框只能输入数字和小数点*/
	$("#price").keyup(function() {
		$(this).val($(this).val().replace(/[^0-9.]/g, ''));
	}).bind("paste", function() { //CTR+V事件处理    
		$(this).val($(this).val().replace(/[^0-9.]/g, ''));
	}).css("ime-mode", "disabled"); //CSS设置输入法不可用    
});