mui.init();
var times = 1;
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	//当前窗口
	var self = plus.webview.currentWebview();
	self.setStyle({
		'render': 'always',
		'scrollIndicator': 'none'
	});
	var id = self.orderId;
	var backStatus = self.backStatus; //返回特殊处理
	var oldBack = mui.back;
	//重写返回事件
	mui.back = function() {
		//如果标志为1，返回后到“我的”界面
		if(backStatus == '1') {
			var wvs = plus.webview.getLaunchWebview();
			wvs.evalJS('goMe()');
			closeAllWin();
		} else {
			oldBack();
		}
	};

	//显示订单信息
	ShowOrderDetail(id);
	//定时读取订单
	setTimeout("timingShowOrder('" + id + "')", 15000);
});

//定时读取订单
function timingShowOrder(id) {
	if(times < 4) {
		times += 1;
		ShowOrderDetail(id);
		setTimeout("timingShowOrder('" + id + "')", 5000);
	}
}

/**
 *显示订单信息 
 */
function ShowOrderDetail(id) {
	//$('.mui-content').hide();
	var jsData1 = {
		id: id
	}
	app.callWebApi('AppOrder', 'ShowOrderDetail', jsData1, null,
		function(result) {
			if(result != "") {
				result = $.parseJSON(result);
				$('#O_Source').text(result.O_Source); //临时保存中文状态
				$('#O_Status').val(result.O_Status);
				$('#O_ProductName').text(result.O_ProductName);
				$('#O_UserEMail').text(result.O_UserEMail); //临时保存活动地点
				$('#O_AddByIP').text(result.O_AddByIP); //临时保存日期类型
				$('#lblKF').text(result.O_ApprovalExplain); //临时保存客服
				$('#O_StartDate').text(result.O_StartDate);
				$('#O_TotalFees1').text(result.O_TotalFees);
				$('#O_OrderNo').text(result.O_OrderNo);
				$('#O_ActionTime').text(result.O_ActionTime);
				$('#O_JoinTraveler').text(result.O_JoinTraveler);
				$('#O_OrderDate').text(result.O_OrderDate);
				//联系人信息
				if(result.O_ProductType == 'QZKL') {
					$("#divLXR").hide();
					$("#ulLXR").hide();
					$("#btnQR").show();
					$("#btnQR1").hide();
				} else {
					$("#divLXR").show();
					$("#ulLXR").show();
					$("#O_UserName").text(result.O_UserName);
					$('#O_UserMobile').text(result.O_UserMobile);
					$("#btnQR").hide();
					$("#btnQR1").show();
				}
				//显示费用明细
				$('.price-detail li').remove(); //先清空
				$('.price-detail').append(result.O_Remark);
				$('#O_TotalFees').text(result.O_TotalFees);
				$('#O_OnlinePay').text(result.O_OnlinePay);
				$('#O_AccountFundsPay').text(result.O_AccountFundsPay);
				$('#O_FrontPay').text(result.O_FrontPay);
				$('#O_UseCardCoupons').text(result.O_UseCardCoupons);
				$('#O_SaveMoney').text(result.O_SaveMoney);
				//显示总价格
				$(".total-info em").text(result.O_UseBonus);
				$("#totalprice").text(result.O_UseBonus);
				//是否需要填写游客信息
				if(result.O_NeedPassenger == '0') {
					$('#divYK').hide();
					$('#ulYK').hide();
				} else {
					$('#divYK').show();
					$('#ulYK').show();
					if(result.O_RefundReason != '') {
						var yk = result.O_RefundReason.split('#');
						//成人数量
						if(yk[0] != '') {
							$("#adus").text(yk[0]);
							$('#ulTotalAdu').show();
						} else {
							$('#ulTotalAdu').hide();
						}
						//儿童数量
						if(yk[1] != '') {
							$('#ulTotalChi').show();
							$("#chis").text(yk[1]);
						} else {
							$('#ulTotalChi').hide();
						}
					}
				}
				/*订单并支付(状态为待付款)*/
				if($('#O_Status').val() == '1001') {
					$(".mui-bar-tab").show();
					$("#pay").off();
					$("#pay").on("tap", function() {
						var userInfo = getUserInfo();
						if(userInfo != null) {
							plus.nativeUI.showWaiting("加载中...", {
								padlock: true,
								width: 120,
								height: 120
							});
							var jsData1 = {
								UserId: userInfo.ID,
								OrderNo: $('#O_OrderNo').text()
							}
							app.callWebApi('AppOrder', 'PayOrder', jsData1, null,
								function(result) {
									plus.nativeUI.closeWaiting();
									if(result.Result == "") {
										openWin1('../booking/payment.html', 'payment.html', {
											PayID: result.PayID,
											OrderNo: result.OrderNo
										});
									} else {
										mui.toast(result.Result);
									}
								},
								function(xhr, type, errorThrown) {
									mui.toast('获取数据失败，请检查网络是否正常' + type);
								});
						} else {
							mui.toast('您没有登录，无法支付订单！请登录。');
						}
					});
				} else {
					$(".mui-bar-tab").hide();
					//如果为已经完成并且没有评价，就可以评价
					if($('#O_Status').val() == '6001' && result.O_IsComment == '0') {
						$("#btnCommon").show();
					} else {
						$("#btnCommon").hide();
					}
				}
				//产品信息
				$('#productInfo').off();
				$('#productInfo').on('tap', function() {
					var id=result.O_ProductID;
					var type = result.O_ProductType;
					//打开详情页面
					openProdcut(type,id);
				});
				//订单二维码（亲子卡类）
				$('#btnQR').off();
				$('#btnQR').on('tap', function() {
					var mask = mui.createMask(function() {
						$("#orderQR").removeClass("mui-active").hide();
					});
					mask.show(); //显示遮罩
					//显示主订单信息
					$("#O_ProductName1").text(result.O_ProductName);
					$("#O_ProductPriceName1").text(result.O_ProductPriceName);
					$("#O_TotalPriceTypeNum1").text(result.O_TotalPriceTypeNum);
					$("#O_JoinTraveler1").text(result.O_JoinTraveler);
					$("#orderQR").addClass("mui-active").show();
					$("#imgEWM").hide();
					$("#subOrderList").show();
					$("#subOrderList li").remove();
					var html = '';
					//显示子订单信息
					var jsData2 = {
						id: result.ID
					}
					app.callWebApi('AppOrder', 'ShowSubOrderList', jsData2, null,
						function(result) {
							if(result != '') {
								var jsonList = $.parseJSON(result);
								if(jsonList.length <= 0) {
									$('#subOrderList').append(html);
									return;
								}
								for(var i = 0; i < jsonList.length; i++) {
									html += '<li class="mui-table-view-cell mui-collapse">';
									html += '    <a class="mui-navigate-right taL color5 fz12">第' + (i + 1).toString() + '份：<b class="colorRed">' + jsonList[i].O_SubOrderNo + '</b>';
									if(jsonList[i].O_Status == '1') {
										html += '<i class="floatR pdR15 color6">已使用</i></a>';
									} else {
										html += '<i class="floatR pdR15 color6">未使用</i></a>';
									}
									html += '	<div class="mui-collapse-content">';
									html += '		<div class="floatL w40 taC">';
									html += '			<img src="' + getWebAppServer() + '/common/create_qrcode.ashx?code_url=' + jsonList[i].O_SubOrderNo + '" />';
									html += '		</div>';
									html += '		<div class="floatR ellipsis fz12 lh23 color2 w55 taL">';
									html += '			名称：' + jsonList[i].O_ProductName + '<br> 套餐：' + jsonList[i].O_ProductPriceName;
									if(jsonList[i].P_AdultNum != '0' && jsonList[i].P_ChildrenNum != '0') {
										html += '			<br> 人数：' + jsonList[i].P_AdultNum + '个成人' + jsonList[i].P_ChildrenNum + '个儿童';
									} else if(jsonList[i].P_AdultNum != '0') {
										html += '			<br> 人数：' + jsonList[i].P_AdultNum + '个成人';
									} else if(jsonList[i].P_ChildrenNum != '0') {
										html += '			<br> 人数：' + jsonList[i].P_ChildrenNum + '个儿童';
									}
									html += '		</div>';
									html += '	</div>';
									html += '</li>';
								}
								$('#subOrderList').append(html);
							}
						},
						function(xhr, type, errorThrown) {
							mui.toast('获取数据失败，请检查网络是否正常！' + type);
						});
				});
				//订单二维码（亲子活动类）
				$('#btnQR1').off();
				$('#btnQR1').on('tap', function() {
					var mask = mui.createMask(function() {
						$("#orderQR").removeClass("mui-active").hide();
					});
					mask.show(); //显示遮罩
					//显示主订单信息
					$("#O_ProductName1").text(result.O_ProductName);
					$("#O_ProductPriceName1").text(result.O_ProductPriceName);
					$("#O_TotalPriceTypeNum1").text(result.O_TotalPriceTypeNum);
					$("#O_JoinTraveler1").text(result.O_JoinTraveler);
					$("#orderQR").addClass("mui-active").show();
					$("#imgEWM").attr('src', getWebAppServer() + '/common/create_qrcode.ashx?code_url=' + $('#O_OrderNo').text());
					$("#imgEWM").show();
					$("#orderQR").addClass("mui-active").show();
					$("#subOrderList li").remove();
					$("#subOrderList").hide();
				});
				//评价
				$('#btnCommon').off();
				$('#btnCommon').on('tap', function() {
					var userInfo = getUserInfo();
					var id = result.ID;
					if(userInfo != null) {
						openWin2('../member/comment.html', 'comment.html', {
							orderId: id
						});
					} else {
						mui.toast('您没有登录，无法评价订单！请登录。');
					}
				});
			}
			plus.nativeUI.closeWaiting();
			$('.mui-content').show();
			//关闭支付窗口
			var wv = plus.webview.getWebviewById('payment.html');
			if(wv != null) {
				plus.webview.close(wv, "none");
			}
			wv = plus.webview.getWebviewById('payreturn.html');
			if(wv != null) {
				plus.webview.close(wv, "none");
			}
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			$('.mui-content').show();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}