mui.init();
//初始化
mui.plusReady(function() {
	$('.mui-content').hide();
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	plus.contacts.getAddressBook(plus.contacts.ADDRESSBOOK_PHONE, function(addressbook) {
			var contact = addressbook.find(["displayName", "phoneNumbers"], function(contacts) {
				var contact_arr_text = '';
				for (var i = 0; i < contacts.length; i++) {
					//contact_arr_text是contact_arr数据源中每一个item用于显示的值 此处为联系人名称+手机号
					//这里一定要判断联系人名称不为空 一旦漏判undefined后面所有逻辑都不会执行!!
					if (contacts[i] !== undefined && contacts[i].displayName !== undefined) {
						//判断用户的手机号码不为空时 取手机号码
						if (contacts[i].phoneNumbers[0] !== undefined) {
							contact_arr_text += showContact(contacts[i].displayName, contacts[i].phoneNumbers[0].value);
						}
						//若手机号为空 则判断住宅号是否为空 不为空就用住宅号码 若住宅号码也为空 这个用户就不显示了
						else if (contacts[i].phoneNumbers[1] !== undefined) {
							contact_arr_text += showContact(contacts[i].displayName, contacts[i].phoneNumbers[1].value);
						}
					}
				}
				$('.mui-table-view').append(contact_arr_text);
				$('.mui-table-view li').off();
				$('.mui-table-view li').on('tap', function() {
					var name = $(this).children('.mui-navigate-right').children('.name').text();
					var phone = $(this).children('.mui-navigate-right').children('.phone').text();
					var view = plus.webview.getWebviewById("booking-confirm.html");
					view.evalJS("setContact('" + name + "','" + phone + "')");
					mui.back();
				});
				plus.nativeUI.closeWaiting();				$('.mui-content').show();
			});
		},
		function(e) {
			mui.toast("Get address book failed: " + e.message);
			plus.nativeUI.closeWaiting();
			$('.mui-content').show();
		});
});

function showContact(name, phone) {
	var html = '';
	html += '<li class="mui-table-view-cell"><a class="mui-navigate-right"><span class="name">' + name + '</span><br/><span class="phone">' + phone + '</span></a>';
	html += '</li>';
	return html;
}