var currentCity = 'YY'; //'YY'; //当前城市代码
var currentCityName = '岳阳'; //'岳阳'; //当前城市名称
var currentCountryCode = ''; //当前二级城市代码
var currentCountryName = ''; //当前二级城市名称

var currentPage = [];
var queryParam = [];
var tmpOrderBy = [];
var totalNum = [];
var type = []; //菜单类型 (对应产品类型)
var pageSize = "20";
var lazyLoadApi = []; //懒加载
var itemShow = []; //改变标志位，下次直接显示
var longt = '0'; //经度
var lat = '0'; //纬度	
var currentItemIndex = 0;

mui.init({
	swipeBack: false, //启用右滑关闭功能
});

//回到顶部
var scrollToTopBox = document.getElementById('scrollToTop');
scrollToTopBox.addEventListener('tap', function(e) {
	e.stopPropagation();
	mui('#item' + (currentItemIndex + 1).toString() + 'Scroll').scroll().scrollTo(0, 0, 0);
	//scrollToTopBox.classList.add('hide');
});

//显示隐藏回到顶部
//window.addEventListener('touchmove', function(e) {
//	e.preventDefault();
//	//显示隐藏回到顶部
//	scrollToTopBox.classList.remove('hide');
//	var y = 0 - document.getElementById('scroll1').getBoundingClientRect().top;
//	if(y >= window.innerHeight && scrollToTopBox.classList.contains('hide')) {
//		scrollToTopBox.classList.remove('hide');
//	} else if(y < window.innerHeight && !scrollToTopBox.classList.contains('hide')) {
//		scrollToTopBox.classList.add('hide');
//	}
//});

//IOS先加载
if(mui.os.ios) {
	/*下拉刷新，上拉加载*/
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0005;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false, //是否反弹
		indicators: true, //是否显示滚动条 
		deceleration: deceleration
	});
}

//Android后加载
if(mui.os.android) {
	/*下拉刷新，上拉加载*/
	//阻尼系数
	var deceleration = mui.os.ios ? 0.003 : 0.0005;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false, //是否反弹
		indicators: true, //是否显示滚动条 
		deceleration: deceleration
	});
}

mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	self.setStyle({
		'render': 'always'
	});
	initPage(self.cityCode, self.cityName, self.lat, self.longt, self.A_Type, self.A_OrderId, self.queryParams);
});

window.addEventListener('touchstart', function(e) {
	e.preventDefault();
});

//初始化
function initPage(cityCode, cityName, lat, longt, a_type, a_orderid, queryParams) {
	currentItemIndex = parseInt(a_orderid);
	var jsData1 = {
		queryParams: " and A_IsHidder='0' "
	}
	app.callWebApi('SystemMgr', 'ShowAppMenuList', jsData1, null,
		function(result) {
			if(result != '') {
				var jsonList = $.parseJSON(result);
				var html1 = ''; //Tab的显示名字
				var html2 = ''; //Tab内容信息
				var html3 = ''; //下拉显示菜单
				$('#ulMenu li').remove();
				for(var i = 0; i < jsonList.length; i++) {
					if(parseInt(a_orderid) == i) {
						html1 += '<a class="mui-control-item mui-active" href="#item' + (i + 1).toString() + '">';
						html3 += '<li class="mui-table-view-cell mui-media mui-col-xs-3 mui-col-sm-3 br5">';
						html3 += '	<a class="mui-control-item mui-active" href="#item' + (i + 1).toString() + '">' + jsonList[i].A_Name + '</a>';
						html3 += '</li>';
					} else {
						html1 += '<a class="mui-control-item" href="#item' + (i + 1).toString() + '">';
						html3 += '<li class="mui-table-view-cell mui-media mui-col-xs-3 mui-col-sm-3 br5">';
						html3 += '	<a class="mui-control-item"  href="#item' + (i + 1).toString() + '">' + jsonList[i].A_Name + '</a>';
						html3 += '</li>';
					}
					html1 += '     <div id="title_' + i.toString() + '">' + jsonList[i].A_Name + '</div>';
					html1 += '</a>';

					//加载标签内容项目
					if(parseInt(a_orderid) == i) {
						html2 += '<div id="item' + (i + 1).toString() + '" class="mui-slider-item mui-control-content mui-active">';
					} else {
						html2 += '<div id="item' + (i + 1).toString() + '" class="mui-slider-item mui-control-content">';
					}
					html2 += ' <div id="item' + (i + 1).toString() + 'Scroll" class="mui-scroll-wrapper">';
					html2 += '	<div id="scroll' + (i + 1).toString() + '" class="mui-scroll">';
					html2 += '	  <ul id="jl-table-view' + (i + 1).toString() + '" data-val="' + (i).toString() + '" class="mui-table-view mui-table-view-chevron">';
					html2 += '	  </ul>';
					html2 += '	</div>';
					html2 += ' </div>';
					html2 += '</div>';

					//初始化变量
					type[i] = jsonList[i].A_Type;
					currentPage[i] = "1";
					queryParam[i] = "";
					tmpOrderBy[i] = "P_OrderId";
					totalNum[i] = 0;
					itemShow[i] = false;
				}
				$('#divMenu').html(html1);
				$('#divGroup').html(html2);
				$('#ulMenu').append(html3);
				//显示界面（必须放在mui('#slider1').slider()初始化之前）
				$('#divContent').show();

				//懒加载
				for(var i = 0; i < jsonList.length; i++) {
					lazyLoadApi[i] = mui('#jl-table-view' + (i + 1).toString()).imageLazyload({
						autoDestroy: false,
						placeholder: '../../images/logo-loading-70-70.png'
					});
				}
				//保存位置
				$('#lat').val(lat);
				$('#longt').val(longt);
				currentCity = cityCode; //当前城市代码
				currentCityName = cityName; //当前城市名称

				//设置选择的菜单项目
				$('#ulMenu li a').first().css("background-color", "#fff");
				$('#ulMenu li a').first().css("color", "#10A200");
				$('#ulMenu li a').first().css("border", "1px solid #10A200");
				//菜单点击事件
				$('#ulMenu li a').on('tap', function() {
					$('#jl-all-menu').hide();
					$('#ulMenu li a').removeAttr("style");
					$(this).css("background-color", "#fff");
					$(this).css("color", "#10A200");
					$(this).css("border", "1px solid #10A200");
					$("#divMenu").show();
					$("#divMenu1").hide();
					$("#updown").removeClass("mui-icon-arrowup");
					$("#updown").addClass("mui-icon mui-icon-arrowdown");
				});

				//标签切换事件
				document.querySelector('#slider1').addEventListener('slide', function(event) {
					//索引从0开始 
					var index = event.detail.slideNumber;
					currentItemIndex = index;
					if(!itemShow[index]) {
						if(type[index] == '') {
							queryParam[index] = getQueryParams() + queryParams;
						} else {
							queryParam[index] = getQueryParams() + " and a.P_Type like '%" + type[index] + "%' " + queryParams;;
						}
						mui('#scroll' + (index + 1).toString()).pullToRefresh().pullDownLoading();
						setTimeout("mui('#scroll" + (index + 1).toString() + "').pullToRefresh().endPullDownToRefresh()", 1000);
						//改变标志位，下次直接显示
						itemShow[index] = true;
					}
					$("#divMenu div").removeClass("scroll-label");
					$('#title_' + index.toString()).addClass("scroll-label");
				});

				//上拉刷新下拉加载
				updownMethod();

				//初始化默认标签 				
				mui('#slider1').slider();
				$('#title_' + a_orderid.toString()).addClass("scroll-label");
				itemShow[parseInt(a_orderid)] = true;
				queryParam[parseInt(a_orderid)] = getQueryParams() + " and a.P_Type like '%" + a_type + "%' " + queryParams;
				mui('#scroll' + (parseInt(a_orderid) + 1).toString()).pullToRefresh().pullDownLoading();
				setTimeout("mui('#scroll" + (parseInt(a_orderid) + 1).toString() + "').pullToRefresh().endPullDownToRefresh()", 1000);
				mui("#slider1").slider().gotoItem(a_orderid);

			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//下拉刷新上拉加载方法
function updownMethod() {
	//循环初始化所有下拉刷新，上拉加载。
	mui.each(document.querySelectorAll('#divGroup .mui-scroll'), function(index, pullRefreshEl) {
		mui(pullRefreshEl).pullToRefresh({
			down: {
				callback: function() {
					var self = this;
					setTimeout(function() {
						var id = self.element.querySelector('.mui-table-view-chevron').id;
						var item = parseInt(self.element.querySelector('.mui-table-view-chevron').getAttribute('data-val'));
						self.refresh(true);
						currentPage[item] = "1";
						totalNum[item] = 0;
						loadData(id, item, currentPage[item], queryParam[item], tmpOrderBy[item], 1, $('#lat').val(), $('#longt').val());
						self.endPullDownToRefresh(true);
						self.endPullUpToRefresh(false);
					}, 1000);
				}
			},
			up: {
				contentnomore: '已加载全部',
				callback: function() {
					var self = this;
					setTimeout(function() {
						var id = self.element.querySelector('.mui-table-view-chevron').id;
						var item = parseInt(self.element.querySelector('.mui-table-view-chevron').getAttribute('data-val'));
						if(totalNum[item] != $("#" + id + " li").length) {
							//mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); 
							self.endPullUpToRefresh(false); //参数为true代表没有更多数据了。
							currentPage[item] = (parseInt(currentPage[item]) + 1).toString();
							loadData(id, item, currentPage[item], queryParam[item], tmpOrderBy[item], 0, $('#lat').val(), $('#longt').val());
						} else {
							self.endPullUpToRefresh(true);
						}
					}, 1000);
				}
			}
		});
	});
}

/**
 *加载产品数据   
 */
function loadData(cid, item, currentPage, queryParams, orderBy, reload, lat, longt) {
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$('#' + cid + ' li').remove();
	}
	app.loadData(currentPage, pageSize, queryParams, orderBy, 1, lat, longt, function(result) {
			if(result != '') {
				var jsonList = $.parseJSON(result);
				totalNum[item] = jsonList.total;
				if(totalNum[item] == 0) {
					plus.nativeUI.closeWaiting();
					$(".notrecord").show();
					return;
				}

				$(".notrecord").hide();
				var html = '';
				for(var i = 0; i < jsonList.list.length; i++) {
					var label = '';
					//是否支持年卡 
					if(jsonList.list[i].P_YearCard == '1') {
						label += '<label><span style="border:1px solid #FF7F00;color:#FF7F00; background:#FFF;font-size:6px;">&nbsp;年卡&nbsp;</span>&nbsp;</label>';
					}
					if(jsonList.list[i].P_Label != '') {
						var list = jsonList.list[i].P_Label.split('$');
						for(var j = 0; j < list.length; j++) {
							label += '<label>' + list[j] + '</label>';
						}
					}
					if(jsonList.list[i].P_ChildrenAgeFrom == '0' && jsonList.list[i].P_ChildrenAgeTo == '0') {
						label += '<label>&nbsp;|&nbsp;无年龄限制</label>'
					} else {
						label += '<label>&nbsp;|&nbsp;' + jsonList.list[i].P_ChildrenAgeFrom + '-' + jsonList.list[i].P_ChildrenAgeTo + '岁</label>';
					}
					html += '<li id="' + jsonList.list[i].ID + '" data-val="' + jsonList.list[i].P_Classify + '" data-latitude="' + jsonList.list[i].P_Latitude + '" data-longitude="' + jsonList.list[i].P_Longitude + '" data-name="' + jsonList.list[i].P_Name.replace('&', '') + '"  class="mui-table-view-cell mui-media pdR50">';
					html += '	<a class="mui-navigate-right mui-slider-handle">';
					if(jsonList.list[i].P_MobileMinPic != null && jsonList.list[i].P_MobileMinPic != '') {
						html += '	<img style="width: 87px;height: 87px;" class="mui-pull-left br0" src="../../images/logo-loading-70-70.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileMinPic + '?width=160&height=160">';
					} else if(jsonList.list[i].P_MobileTitlePic != null && jsonList.list[i].P_MobileTitlePic != '') {
						html += '	<img style="width: 87px;height: 87px;" class="mui-pull-left br0" src="../../images/logo-loading-70-70.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileTitlePic + '?width=500&height=273&c=1&x=113&y=0&w=273&h=273">';
					} else {
						html += '	<img class="mui-pull-left br0" data-lazyload="../../images/logo-loading-70-70.png" height="70">';
					}
					if(jsonList.list[i].P_SpecialTopicNames.indexOf('已售完') > -1) {
						html += '	<i class="p-status p-status-over br0"></i>';
					} else {
						html += '	<i class="p-status p-status-ok br0"></i>';
					}
					//if(jsonList.list[i].P_ChildrenAgeFrom == '0' && jsonList.list[i].P_ChildrenAgeTo == '0') {
					//	html += '	<i class="p-age">无年龄限制</i>'
					//} else {
					//	html += '	<i class="p-age">适合' + jsonList.list[i].P_ChildrenAgeFrom + '-' + jsonList.list[i].P_ChildrenAgeTo + '岁</i>';
					//}

					html += '	<div class="mui-media-body ellipsis pdL10 posi-r">';
					if(jsonList.list[i].P_IsSpellGroup == '1') {
						html += '<i class="group-hit">拼团</i>' + '<label>' + jsonList.list[i].P_Name.replace('$', '') + '</label>';
					} else {
						html += '	  <label>' + jsonList.list[i].P_Name.replace('$', '') + '</label>';
					}
					html += '	  <p class="mui-ellipsis fz12 lh21">';
					//html += '        <i class="mui-icon mui-icon-location fz12"></i>'+jsonList.list[i].P_Video + '(' + jsonList.list[i].P_Destination + ')';
					html += jsonList.list[i].P_Destination;
					html += '	  </p>';
					html += '	  <p class="fz12 lh21">';
					html += label;
					if(jsonList.list[i].P_DirectSeeding == '1') {
						html += '	   <i class="fz12 colorMoney">直播中</i>';
					}
					html += '	  </p>';
					html += '	  <p class="mui-ellipsis fz12 lh21">';
					if(jsonList.list[i].P_TotalRegisterNum != '0') {
						if(jsonList.list[i].P_Classify != 'QZKL')
							html += '累计' + jsonList.list[i].P_TotalRegisterNum + '人报名';
						else
							html += '已售' + jsonList.list[i].P_TotalRegisterNum + '份';
					} else {
						html += '&nbsp;';
					}
					html += '	  </p>';
					html += '	  <p class="mui-ellipsis lh21">';
					if(parseFloat(jsonList.list[i].P_SpecialTopicIds) > 0) {
						html += '	<span class="fanxian fz12">';
						html += '	   <i>返</i>最高返红包' + jsonList.list[i].P_SpecialTopicIds + '元';
						html += '	</span>';
					}
					html += '	  </p>';
					html += '  </div>';
					html += '  <p class="money-box posi-r-right fz17">';
					html += '	 <span><s style="color:#AAAAAA;font-size:13px;">原价:' + jsonList.list[i].P_RetailPrice + '</s>&nbsp;&nbsp;<i class="fz11">&yen;</i><b>' + jsonList.list[i].P_Price + '</b><i class="fz10">起</i></span>';
					html += '  </p>';
					html += ' </a>';
					html += '</li>';
				}
				$('#' + cid).append(html);

				//加载事件
				addEvent(cid);
				//lazyload（延迟加载）  
				lazyLoadApi[item].addElements();
				plus.nativeUI.closeWaiting();
			} else {
				plus.nativeUI.closeWaiting();
			}
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 加载事件（活动）
 */
function addEvent(cid) {
	$('#' + cid + ' li').off();
	//添加列表项的点击事件
	$('#' + cid + ' li').on('tap', function(e) {
		var id = this.getAttribute('id');
		var type = $(this).attr('data-val');
		//打开详情页面
		openProdcut(type,id);
	});
}

//获取查询条件
function getQueryParams() {
	var searchParam = "";
	if(currentCity != "" && currentCountryCode != "") {
		searchParam = " and ((P_BelongCity='" + currentCity + "' and P_StartingCounty='" + currentCountryCode + "') ";
		searchParam += " or (P_DestinationCity like '%" + currentCityName + "%' and P_DestinationCity like '%" + currentCountryName + "%')) ";
	} else {
		searchParam = " and (P_BelongCity='" + currentCity + "'";
		searchParam += " or P_DestinationCity like '%" + currentCityName + "%')";
	}
	return searchParam;
}

//重新设置标签
function resetItems() {
	//转到第一个标签
	mui('#slider1').slider().gotoItem(0);
	mui('#item1Scroll').scroll().scrollTo(0, 0, 100);
	//alert(mui('#slider1').slider().itemLength);
	var items = $("#divMenu a").length;
	for(var i = 1; i < items; i++) {
		itemShow[i] = false;
		$("#jl-table-view" + (i + 1).toString()).html('');
	}
	//重置
	mui('#scroll1').pullToRefresh().pullDownLoading();
	setTimeout("mui('#scroll1').pullToRefresh().endPullDownToRefresh()", 1000);
	//默认第一项菜单
	$('#ulMenu li a').removeAttr("style");
	$('#ulMenu li a').first().css("background-color", "#fff");
	$('#ulMenu li a').first().css("color", "#10A200");
	$('#ulMenu li a').first().css("border", "1px solid #10A200");
}

$(function() {
	//选择菜单
	$(".nav-btn-list").on('tap', function() {
		$("#jl-all-menu").toggle();
		if($("#jl-all-menu").is(":visible")) {
			$("#divMenu").hide();
			$("#divMenu1").show();
			$("#updown").removeClass("mui-icon-arrowdown");
			$("#updown").addClass("mui-icon mui-icon-arrowup");
		} else {
			$("#divMenu").show();
			$("#divMenu1").hide();
			$("#updown").removeClass("mui-icon-arrowup");
			$("#updown").addClass("mui-icon mui-icon-arrowdown");
		}

	});
	//隐藏菜单
	$("#bg").on('tap', function() {
		$("#jl-all-menu").hide();
		$("#divMenu").show();
		$("#divMenu1").hide();
		$("#updown").removeClass("mui-icon-arrowup");
		$("#updown").addClass("mui-icon mui-icon-arrowdown");
	});

});

/**
 *打开产品列表页面 
 */
function openProductList(title, qParam) {
	openWin1('../product/product-list.html', 'product-list.html', {
		params: qParam,
		longt: $('#longt').val(),
		lat: $('#lat').val(),
		title: title
	});
}