var pageSize="20";
var currentPage = "1";
var queryParam = " and (select COUNT(1) from JL_Coupons b where b.C_Status='0' and b.C_UseProductIds like '%'+a.ID+'%')>0 ";
var tmpQueryParam = "";
var tmpOrderBy = "a.P_OrderId";
var totalNum = 0;
var longt = '0'; //经度
var lat = '0'; //纬度	
var detailPage = null;

//懒加载
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});
mui.previewImage();

mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh : "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});
$('#main_supp').hide();
var code = '';
//初始化 
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var self = plus.webview.currentWebview();
	code = self.code;
	$('#totalRegisterNum').text(self.totalRegisterNum);
	//显示供应商信息
	ShowSuppliers(code);
	var userPosition = getUserPosition(); //获取位置信息
	longt = userPosition.longt;
	lat = userPosition.lat;
	tmpQueryParam = queryParam + " and a.P_Organization='" + code + "' ";
	//加载数据
	loadData('1', pageSize,tmpQueryParam, tmpOrderBy, 1, lat, longt);
	setTimeout("$('#main_supp').show();", 1300);
});

$(function() {
	$(".more-next").on("tap", function() {
		var d = $('.partner-detail>div'),
			e = $(this);
		if (e.hasClass('mui-icon-arrowup')) {
			d.animate({
				height: '80px'
			}, 200);
			e.addClass('mui-icon-arrowdown').removeClass('mui-icon-arrowup');
		} else {
			d.animate({
				height: $('.partner-detail .content')[0].offsetHeight + 'px'
			}, 500);
			e.addClass('mui-icon-arrowup').removeClass('mui-icon-arrowdown');
		}
	});

});

/** 
 * 获取地理坐标信息； 
 */
//function geoInf(position) {
//	var str = "";
//	var codns = position.coords; //获取地理坐标信息；
//	lat = codns.latitude.toString(); //获取到当前位置的纬度；
//	longt = codns.longitude.toString(); //获取到当前位置的经度	
//	tmpQueryParam = queryParam + " and a.P_Organization='" + code + "' ";
//	//加载数据
//	loadData('1', pageSize,tmpQueryParam, tmpOrderBy, 1, lat, longt);
//}

/**
 *显示供应商信息 
 */
function ShowSuppliers(code) {
	var jsData1 = {
		code: code
	}
	app.callWebApi('Suppliers', 'ShowSuppliers4Code', jsData1, null,
		function(result) {
			if (result != "") {
				result = $.parseJSON(result);
				if (result.S_Icon != null && result.S_Icon != '') {
					$('#S_Icon').attr('src', getUploadServer() + '/upload/SuppliersPic/' + result.S_Icon + '?width=200');
				} else {
					$('#S_Icon').attr('src', '../../images/none.png');
				}
				$('#S_CompName').text(result.S_CompName);
				$('#S_OperatingRange').text(result.S_OperatingRange);
				$('#S_Remark').text(result.S_Remark);
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}