mui.init();

var video = null;
var playing = false;

//初始化
mui.plusReady(function() {
	var wv = plus.webview.currentWebview();
	wv.setStyle({
		'render': 'always'
	});
	//$('.mui-content').hide();
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var self = plus.webview.currentWebview();
	var videoId = self.videoId;
	$('#videoId').val(self.videoId);

    var backStatus = self.backStatus; //返回特殊处理
	var oldBack = mui.back;
	//重写返回事件
	mui.back = function() {
		//如果标志为1，返回后到“我的”界面
		if(backStatus == '1') {
			closeAllWin();
		} else {
			oldBack();
		}
	};

	//获取用户信息
	var userId = "";
	var userInfo = getUserInfo();
	if (userInfo != null) {
		userId = userInfo.ID;
	}

	var jsData1 = {
		videoId: $('#videoId').val(),
		userid: userId
	}
	//获取预订确认信息
	app.callWebApi('AppProduct', 'ShowVideoInfo', jsData1, null,
		function(result) {
			if (result != null && result != '') {
				result = JSON.parse(result);
				$('#title').text(result.V_NAME);
				$('#detail').html(result.V_CONTENT);
				$('#totalprice').text(result.V_PRICE);
				//免费播放时间
				timel = parseFloat(result.V_WATCH_TIME);
                
				if (result.V_FEE_TYPE == '1') //免费
				{
					$("#mui-bar-tab").hide();
				} else {
					if (result.V_REMARK == '1') {
						$("#mui-bar-tab").hide();
					} else {
						$("#mui-bar-tab").show();
					}
				}
				//console.log(result.V_ADDRESS);
				//视频加载
				videoReady(result.V_ADDRESS,timel);
			} else {
				alert(result);
			}
			plus.nativeUI.closeWaiting();
			$('.mui-content').show();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			$('.mui-content').show();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
});


function videoReady(url,time) {
	// 创建视频播放控件
	video = new plus.video.VideoPlayer('video', {
		src: url
	});
	console.log(url);
	video.addEventListener('play', function() {
		updatePlaying(true);
	}, false);
	video.addEventListener('pause', function() {
		updatePlaying(false);
	}, false);
	// 监听播放进度更新事件
	video.addEventListener('timeupdate', function(e) {
		console.log(e.detail.currentTime);
		if (time!=0 && parseFloat(e.detail.currentTime) > time) {
			video.pause();
			mui.toast('请付费后再观看');
		}
		//console.log(JSON.stringify(e));
	}, false);
}

// 播放
function playVideo1() {
	var path = document.getElementById('path1').value;
	if (path && path.length > 0) {
		video.setOptions({
			src: path
		});
		video.play();
	}
}

function playVideo2() {
	var path = document.getElementById('path2').value;
	if (path && path.length > 0) {
		video.setOptions({
			src: path
		});
		video.play();
	}
}
// 更新为播放状态
function updatePlaying(play) {
	playing = play;
	//document.getElementById('pp').innerText = playing ? '暂停' : '播放';
}
// 播放/暂停
function ppVideo() {
	playing ? video.pause() : video.play();
}
// 全屏
function fullscreenVideo() {
	video.requestFullScreen(-90);
}
// 创建子创建覆盖在视频控件上
var wsub = null;

function createSubview() {
	if (!wsub) {
		var topoffset = document.getElementById('video').offsetTop;
		wsub = plus.webview.create('video_videoplayer_sub.html', 'sub', {
			top: topoffset,
			height: '300px',
			position: 'static',
			scrollIndicator: 'none',
			background: 'transparent'
		});
		plus.webview.currentWebview().append(wsub);
	}
	wsub.isVisible() ? wsub.hide() : wsub.show();
}



$(function() {


	/*提交订单并支付*/
	$("#pay").off();
	$("#pay").on("tap", function() {

		//禁用事件
		$('#pay').hide();

		//获取用户信息
		var userInfo = getUserInfo();
		if (userInfo != null) {
			var jsData1 = {
				userid: userInfo.ID,
				videoid: $('#videoId').val(),
				source: 'app'
			}
			app.callWebApi('AppOrder', 'SubmitVideoOrder', jsData1, null,
				function(result) {
					if (result.Result == "") {
						mui.toast('订单已生成，请支付');
						$('#pay').show();
						
						openWin1('payment-video.html', 'payment-video.html', {
							PayID: result.PayID,
							OrderNo: result.OrderNo,
							BackStatus: '1' //1:表示返回时显示订单信息  0:表示返回时不显示订单信息
						});
					} else {
						mui.toast(result.Result);
						if (result.Result.indexOf('绑定手机') > -1) {
							openWin1('../member/bind-mobile.html', 'bind-mobile.html', {});
						}
						//启用事件
						$('#pay').show();
					}
				},
				function(xhr, type, errorThrown) {
					//启用事件
					$('#pay').show();
					mui.toast('获取数据失败，请检查网络是否正常' + type);
				});
		} else {
			//启用事件
			$('#pay').show();
			mui.toast('请先登录后，再下订单！');
		}
	});

	//*平台须知*/ 
	$(".know").on("tap", function() {
		openWin2('../member/member-note.html', 'member-note.html', {});
	});


});
