mui.init();
var pays = {};
var PAYSERVER = "";

//初始化
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	//判断是否安装微信 
	plus.oauth.getServices(function(services) {
		for(var i in services) {
			var service = services[i];
			if(service.id == "weixin") {
				$('#wxpay').show();
			}
		}
	});

	var self = plus.webview.currentWebview();
	var OrderNo = self.OrderNo;
	var BackStatus = self.BackStatus; //1:表示返回时显示订单信息  0:表示返回时不显示订单信息
	$('#PayRecordID').val(self.PayID); //支付记录ID

	var oldBack = mui.back;
	//重写返回事件
	mui.back = function() {
		if(BackStatus == '1') {
			var wv = plus.webview.getWebviewById('order-detail.html');
			if(wv != null) {
				plus.webview.close(wv, "none");
			}
			openWin1('../orders/order-detail.html', 'order-detail.html', {
				orderId: $('#ID').val(),
				backStatus: '1' //标志:0:正常返回   1：特殊处理返回到“我的”界面 
			});
		} else {
			oldBack();
		}
	};

	//获取订单信息  
	var jsData1 = {
		OrderNo: OrderNo
	}
	app.callWebApi('AppOrder', 'ShowOrderInfo', jsData1, null,
		function(result) {
			if(result != "") {
				result = $.parseJSON(result);
				$('#ID').val(result.ID);
				$('#O_OrderNo').val(result.O_OrderNo);
				$('#O_ProductName').text(result.O_ProductName);
				$('#O_StartDate').text(result.O_Remark);
				//剩余要支付的金额
				$('#O_TotalFees').text(result.O_UseBonus);
				$('#O_TotalFees1').text(result.O_UseBonus);
				//会员资金帐户支付金额
				$('#O_AccountFundsPay').text(result.O_AccountFundsPay);
				if(result.O_AccountFundsPay == 0) {
					$('.pay-comp').hide();
				} else {
					$('.pay-comp').show();
				}
				//会员资金帐户
				$('#U_TotalAmount').text(result.O_ApprovalUser);
				$('#U_TotalAmount1').text(result.O_ApprovalUser);
				if(parseFloat($('#U_TotalAmount').text()) <= 0) {
					$(".mui-table-view-cell[data-method='wallet']").removeClass('mui-selected');
					$(".mui-table-view-cell[data-method='wallet']").addClass("mui-disabled");
					$(".mui-table-view-cell[data-method='wxpay']").addClass("mui-selected");
				}
				//会员头像
				if(result.O_OtherRequire != null && result.O_OtherRequire != '') {
					if(result.O_OtherRequire.indexOf('http:') < 0) {
						$("#headPic").attr('src', getUploadServer() + '/upload/UserPic/' + result.O_OtherRequire + '?width=200&height=200');
					} else {
						$("#headPic").attr('src', result.O_OtherRequire);
					}
				}
				//是否允许余额支付
				if(result.O_AllowBalancePay == "1") {
					$('#yePay').show();
					$('#yePay1').show();
				} else {
					$('#yePay').hide();
					$('#yePay1').hide();
					$(".mui-table-view-cell[data-method='wallet']").removeClass('mui-selected');
					$(".mui-table-view-cell[data-method='wxpay']").addClass("mui-selected");
				}
				//支付链接
				PAYSERVER = getApiServer() + '/Common/PayService.ashx?PayRecordID=' + $('#PayRecordID').val() + '&OrderNo=' + result.O_OrderNo + '&PayId=';

				//关闭其它窗口除了当前和首页
				//closeOtherWin("payment.html");
				var wvs = plus.webview.all();
				for(var i = 0; i < wvs.length; i++) {
					if(wvs[i].id == null || wvs[i].id.indexOf("booking-confirm") > -1 || wvs[i].id.indexOf("booking") > -1 || wvs[i].id.indexOf("booking-card") > -1 || wvs[i].id.indexOf("book-date") > -1) {
						//wvs[i].hide();
						//wvs[i].close();
						plus.webview.close(wvs[i], "none");
					}
				}
				plus.nativeUI.closeWaiting();
			} else {
				plus.nativeUI.closeWaiting();
				mui.toast('获取订单信息出现错误');
			}
			//$('.mui-content').show();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
	// 获取支付通道
	plus.payment.getChannels(function(channels) {
		for(var i in channels) {
			var channel = channels[i];
			pays[channel.id] = channel;
			checkServices(channel);
		}
	}, function(e) {
		mui.toast("获取支付通道失败：" + e.message);
	});
});

// 检测是否安装支付服务
function checkServices(pc) {
	if(!pc.serviceReady) {
		var txt = null;
		switch(pc.id) {
			case "alipay":
				txt = "检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？";
				break;
			default:
				txt = "系统未安装“" + pc.description + "”服务，无法完成支付，是否立即安装？";
				break;
		}
		plus.nativeUI.confirm(txt, function(e) {
			if(e.index == 0) {
				pc.installService();
			}
		}, pc.description);
	}
}

var w = null;
// 支付
function pay(id) {
	if(w) {
		return;
	}
	if(id === 'appleiap') {
		//outSet("应用内支付");
		//clicked('payment_iap.html');
		return;
	}
	//outLine("----- 请求支付 -----");
	var url = PAYSERVER;
	if(id == 'alipay' || id == 'wxpay') {
		url += id;
	} else {
		plus.nativeUI.alert("不支持此支付通道！", null, "支付通道");
		return;
	}
	var appid = plus.runtime.appid;
	if(navigator.userAgent.indexOf('StreamApp') >= 0) {
		appid = 'Stream';
	}
	url += '&appid=' + appid + '&total=';
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	// 请求支付订单
	var amount = $('#O_TotalFees').text();
	var xhr = new XMLHttpRequest();
	xhr.onreadystatechange = function() {
		plus.nativeUI.closeWaiting();
		switch(xhr.readyState) {
			case 4:
				if(xhr.status == 200) {
					//outLine("----- 请求订单成功 -----");
					var order = xhr.responseText;
					if(order.indexOf('FAIL') > -1) {
						order = order.replace('FAIL:', '');
						plus.nativeUI.alert("支付失败:" + order, function() {
							mui.back();
						}, "订单支付");
					}
					//outLine('订单信息：' + order);
					plus.payment.request(pays[id], order, function(result) {
						//outLine("----- 支付成功 -----");
						//outLine(JSON.stringify(result));						
						//plus.nativeUI.alert("支付成功！", function() {
						//	mui.back();
						//}, "支付订单");
						openWin1('../booking/payreturn.html', 'payreturn.html', {
							orderId: $('#ID').val()
						});
					}, function(e) {
						//outLine("----- 支付失败 -----");
						//outLine("[" + e.code + "]：" + e.message);
						plus.nativeUI.alert("支付失败", function() {
							mui.back();
						}, "支付失败：" + e.code);
					});
				} else {
					//outLine("----- 请求订单失败 -----");
					//outLine(xhr.status);
					plus.nativeUI.alert("获取订单信息失败！", function() {
						mui.back();
					}, "订单支付");
				}
				break;
			default:
				break;
		}
	}
	xhr.open('GET', url + amount);
	console.log("请求支付订单：" + url + amount);
	xhr.send();
}

$(function() {
	//$(".mui-table-view-cell").off();
	$(".mui-table-view-cell").on("tap", function() {
		if(!$(this).hasClass("mui-disabled")) {
			$(this).parent().children().removeClass("mui-selected")
			$(this).addClass("mui-selected");
		}
		return false;
	});
	var mask = mui.createMask(function() {
		$("#wallet-pay").removeClass("mui-active").hide();
	});
	/*点击确认支付按钮*/
	$(".jl-payment-btn").on("tap", function() {
		var payType = $(".mui-table-view-cell.mui-selected").attr("data-method");
		switch(payType) {
			case 'alipay':
				pay('alipay');
				break;
			case 'wxpay':
				pay('wxpay');
				break;
			case 'wallet':
				if($('#O_TotalFees').text() != '') {
					var totalFees = parseFloat($('#O_TotalFees').text());
					var totalAmount = 0;
					if($('#U_TotalAmount').text() != '') {
						totalAmount = parseFloat($('#U_TotalAmount').text());
					}
					if(totalFees > totalAmount) {
						var btnArray = ['否', '是'];
						mui.confirm('您的捷驴钱包余额不足，剩余款是否通过其他方式支付？', '订单捷驴钱包支付', btnArray, function(e) {
							if(e.index == 1) {
								mask.show(); //显示遮罩
								$("#wallet-pay").addClass("mui-active").show();
							}
						});
					} else {
						mask.show(); //显示遮罩
						$("#wallet-pay").addClass("mui-active").show();
					}
				}
				break;
			default:
				break;
		}
	});
	/*关闭按钮*/
	$(".mui-media .icon-guanbi").on("tap", function() {
		mask.close();
	});
	/*密码输入*/
	$(".num-plane td[data-value]").on("tap", function() {
		$(".pwd-plane li:not(.set)").eq(0).attr("data-value", $(this).attr("data-value")).addClass("set");
		if($(".pwd-plane .set").children().length == 6) {
			var Password = '';
			$('.pwd-plane li').each(function() {
				Password += $(this).attr('data-value');
			});
			var jsData1 = {
				OrderNo: $('#O_OrderNo').val(),
				Password: MD5(Password)
			}
			//获取订单信息 
			app.callWebApi('AppOrder', 'AccountFundsPay', jsData1, null,
				function(result) {
					if(result.Result == "") {
						mui.toast('支付成功！')
						mask.close();
						openWin1('../booking/payreturn.html', 'payreturn.html', {
							orderId: $('#ID').val()
						});
					} else {
						mui.toast(result.Result);
						$(".pwd-plane .set").attr("data-value", "").removeClass("set");
					}
				},
				function(xhr, type, errorThrown) {
					mask.close();
					mui.toast('获取数据失败，请检查网络是否正常！' + type);
				});
		}
	});
	/*退格键*/
	$(".num-plane .del").on("tap", function() {
		$(".pwd-plane .set").last().attr("data-value", "").removeClass("set");
	});
	/*捷驴钱包说明*/
	$(".pay-detail .pay-i").on("tap", function() {
		mui.alert('若当前捷驴钱包余额不足以付清，剩余款需通过其他方式支付。', '温馨提示');
	});
	//	setTimeout(function() {
	//		$(".sec-safe").animate({
	//			height: 'hide'
	//		}, 1000);
	//	}, 5000);
});