
mui.init();
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});

	var oldBack = mui.back;

	var self = plus.webview.currentWebview();
	var orderId = self.orderId;
	if (orderId != null && orderId != '') {
		//关闭其它所有打开过的窗口除了当前和首页
		closeOtherWin("payreturn-video.html");

		if (orderId != null && orderId != '') {
			//获取订单信息
			var jsData1 = {
				id: orderId
			}
			app.callWebApi('AppOrder', 'ShowVideoOrderInfo4ID', jsData1, null,
				function(result) {
					if (result != "") {
						result = $.parseJSON(result);
						$("#ID").val(result.ID);
						$("#V_VIDEO_ID").val(result.V_VIDEO_ID);
						plus.nativeUI.closeWaiting();
					} else {
						plus.nativeUI.closeWaiting();
						mui.toast('没有找到订单信息');
					}
				},
				function(xhr, type, errorThrown) {
					plus.nativeUI.closeWaiting();
					mui.toast('获取数据失败，请检查网络是否正常' + type);
				});
		}

	} else {
		plus.nativeUI.closeWaiting();
	}
	
	
	//返回
	$('#btnReturn').on('tap', function() {
		mui.back();
	});
	
	//重写返回事件
	mui.back = function() {
		var wv = plus.webview.getWebviewById('booking-video.html');
		if (wv != null) {
			plus.webview.close(wv, "none");
		}
		openWin1('../booking/booking-video.html', 'booking-video.html', {
			videoId: $("#V_VIDEO_ID").val(),
			backStatus: '1' //标志:0:正常返回   1：特殊处理返回到“我的”界面
		});
	};
});
