//分享操作
var shares = {};

mui.init();
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	//分享
	plus.share.getServices(function(s) {
		if(s && s.length > 0) {
			for(var i = 0; i < s.length; i++) {
				var t = s[i];
				shares[t.id] = t;
			}
		}
	}, function() {
		console.log("获取分享服务列表失败");
	});
	var self = plus.webview.currentWebview();
	var orderId = self.orderId;
	if(orderId != null && orderId != '') {

		var oldBack = mui.back;
		//重写返回事件
		mui.back = function() {
			var wv = plus.webview.getWebviewById('order-detail.html');
			if(wv != null) {
				plus.webview.close(wv, "none");
			}
			openWin1('../orders/order-detail.html', 'order-detail.html', {
				orderId: orderId,
				backStatus: '1' //标志:0:正常返回   1：特殊处理返回到“我的”界面 
			});
		};

		//关闭其它所有打开过的窗口除了当前和首页
		closeOtherWin("payreturn.html");
		//获取订单信息
		var jsData1 = {
			id: orderId
		}
		app.callWebApi('AppOrder', 'ShowOrder', jsData1, null,
			function(result) {
				if(result != "") {
					result = $.parseJSON(result);
					$("#ID").val(result.ID);
					$("#O_ProductType").val(result.O_ProductType);
					$("#O_ProductPriceID").val(result.O_ProductPriceID);
					$("#O_DateID").val(result.O_DateID);
					$("#O_TimeID").val(result.O_TimeID);
					$("#O_ProductName").text(result.O_ProductName);
					$("#O_StartDate").text(result.O_StartDate);
					$("#O_ProductPriceName").text(result.O_ProductPriceName);
					var pic = getUploadServer() + "/upload/ProductPic/" + result.O_RefundReason + "?width=200&height=200";
					$("#O_Pic").attr('src', pic);
					//订单状态
					if(result.O_Remark == '1001') {
						$("#lblPay").text(result.O_UseCardCoupons);
						$("#lblNeedPay").text(result.O_AccountFundsPay);
						$('#payDec').show();
					} else {
						$('#payDec').hide();
					}
					//显示卡预订信息
					if (result.O_ProductType == 'QNCZK') {
						$('#divJeelvCard').show();
						$('#btnJeelvCard').show();
					} else if (result.O_ProductType == 'QZNK') {
						$('#divYearCard').show();
						$('#btnCoupons').show();
					} else {
						$('#divJeelvCard').hide();
						$('#btnJeelvCard').hide();
						$('#divYearCard').hide();
						$('#btnCoupons').hide();
					}
					//拼团状态
					if(result.O_IsSpellGroup == '0') {
						$("#O_UseBonus1").text(result.O_UseBonus); //原价
						$("#group-price").hide();
						$("#price").show();
						$("#btnGroupView").hide();
						$("#btnGroup").hide();
						$("#btnShare").hide();
						plus.nativeUI.closeWaiting();
						return;
					}
					//参团编号
					$("#O_SpellGroupNo").val(result.O_SpellGroupNo);
					$("#group-price").show();
					$("#price").hide();
					$("#O_UseBonus").text(result.O_UseBonus); //原价
					$("#O_FrontPay").text(result.O_FrontPay); //团购价
					$("#O_Source").text(result.O_Source); //拼团数量
					$("#sm").val(result.O_OnlinePay); //拼团省X元
					$("#sg").val(result.O_TotalNum); //还差X组家庭
					
					//拼团状态
					if(result.O_Status == '2') { //未开团
						$("#y0").text(parseInt(result.O_Source) - 1); //邀请X组家庭
						$("#s0").text(result.O_OnlinePay); //拼团省X元
						$("#p0").show();
						$("#p1").hide();
						$("#p2").hide();
						$("#p3").hide();
						$("#btnShare").hide();
						//付款后才可以开团
						if(result.O_Remark == '2001') {
							$("#btnGroup").show();
						} else {
							$("#btnGroup").hide();
						}
						$("#btnGroupView").hide();
					} else if(result.O_Status == '0') { //拼团中
						$("#y1").text(result.O_TotalNum); //还差X组家庭
						$("#s1").text(result.O_OnlinePay);
						$("#p0").hide();
						$("#p1").show();
						$("#p2").hide();
						$("#p3").hide();
						$("#btnShare").show();
						$("#btnGroup").hide();
						$("#btnGroupView").show();
					} else if(result.O_Status == '1') { //成功
						$("#s2").text(result.O_OnlinePay);
						$("#p0").hide();
						$("#p1").hide();
						$("#p2").show();
						$("#p3").hide();
						$("#btnShare").hide();
						$("#btnGroup").hide();
						$("#btnGroupView").show();
					} else //失败
					{
						$("#s2").text(result.O_OnlinePay);
						$("#p0").hide();
						$("#p1").hide();
						$("#p2").hide();
						$("#p3").show();
						$("#btnShare").hide();
						$("#btnGroup").hide();
						$("#btnGroupView").hide();
					}
				} else {
					mui.toast('没有找到订单信息');
				}
				plus.nativeUI.closeWaiting();
			},
			function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				mui.toast('获取数据失败，请检查网络是否正常' + type);
			});

		//查看订单
		$('#btnView').on('tap', function() {
			openWin1('../orders/order-detail.html', 'order-detail.html', {
				orderId: orderId,
				backStatus: '1' //标志:0:正常返回   1：特殊处理返回到“我的”界面
			});
		});

		//查看优惠卷
		$('#btnCoupons').on('tap', function() {
			openWin1('../member/promocode.html', 'promocode.html', {});
		});

		//我要发起拼团
		$('#btnGroup').on('tap', function() {
			var jsData1 = {
				id: orderId
			}
			app.callWebApi('AppOrder', 'GoSpellGroup', jsData1, null,
				function(result) {
					if(result.RESULT != "") {
						mui.toast(result.RESULT);
						return;
					} else {
						openWin1('groupinfo.html', 'groupinfo.html', {
							orderId: orderId
						});
						mui.toast('发起拼团成功，你已成为团长');
					}
				},
				function(xhr, type, errorThrown) {
					mui.toast('获取数据失败，请检查网络是否正常' + type);
				});

		});

		//查看拼团结果
		$('#btnGroupView').on('tap', function() {
			openWin1('groupinfo.html', 'groupinfo.html', {
				orderId: orderId
			});
		});
		
		//查看全能成长卡
		$('#btnJeelvCard').on('tap', function() {
			openWin1('../main/my-growup-card-list.html', 'my-growup-card-list.html', {
				orderId: orderId
			});
		});

		//邀请参团
		$('#btnShare').on('tap', function() {
			//分享拼团链接
			var ids = [{
					id: "weixin",
					ex: "WXSceneSession"
				}, {
					id: "weixin",
					ex: "WXSceneTimeline"
				}],
				bts = [{
					title: "发送给微信好友"
				}, {
					title: "发送到微信朋友圈"
				}];
			plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: bts
			}, function(e) {
				var i = e.index;
				if(i > 0) {
					var s_id = ids[i - 1].id;
					var share = shares[s_id];
					if(share) {
						if(share.authenticated) {
							shareMessage(share, ids[i - 1].ex);
						} else {
							share.authorize(function() {
								shareMessage(share, ids[i - 1].ex);
							}, function(e) {
								console.log("认证授权失败：" + e.code + " - " + e.message);
							});
						}
					} else {
						mui.toast("无法获取分享服务，请检查manifest.json中分享插件参数配置，并重新打包")
					}
				}
			});
		});
	} else {
		plus.nativeUI.closeWaiting();
	}
});

//分享
function shareMessage(share, ex) {
	var msg = {
		extra: {
			scene: ex
		}
	};
	var pic = '../../images/none.png';
	if($("#O_Pic").val() != null && $("#O_Pic").val() != '') {
		if($("#O_Pic").val().indexOf('http:') < 0) {
			pic = getWebAppServer() + '/upload/UserPic/' + $("#O_Pic").val() + '?width=200&height=200';
		} else {
			pic = $("#O_Pic").val();
		}
	}
	//if($("#O_ProductType").val() == 'QZKL') {
	//	msg.href = getWebAppServer() + "/views/booking/booking-card-group.html?pdate=" + $("#O_DateID").val() + "&priceId=" + $("#O_ProductPriceID").val() + "&tId=" + $("#O_TimeID").val() + "&spellGroupNo=" + $("#O_SpellGroupNo").val();
	//} else {
	//msg.href = getWebAppServer() + "/views/booking/booking-group.html?pdate=" + $("#O_DateID").val() + "&priceId=" + $("#O_ProductPriceID").val() + "&tId=" + $("#O_TimeID").val() + "&spellGroupNo=" + $("#O_SpellGroupNo").val();
	msg.href = getWebAppServer() + "/views/booking/groupinfo.html?orderId=" + $("#ID").val();
	//}
	msg.title = '【火爆拼团】我在捷驴亲子发起了“拼团”活动，每家能省' + $("#sm").val() + '元！';
	msg.content = "[还差" + $("#sg").val() + "组家庭]" + $("#O_ProductName").text();
	//if (~share.id.indexOf('weibo')) {
	//	msg.content += "；体验地址：" + getWebAppServer() +"/views/booking/booking-group.html?pdate=" + $("#O_DateID").val() + "&priceId=" + $("#O_ProductPriceID").val() + "&tId=" + $("#O_TimeID").val() + "&spellGroupNo=" + $("#O_SpellGroupNo").val();
	//}
	//msg.thumbs = ["_www/images/logo2.png"];
	msg.thumbs = [$("#O_Pic").attr('src')];
	share.send(msg, function() {
		console.log("发送邀请拼团到\"" + share.description + "\"成功！ ");
	}, function(e) {
		console.log("发送邀请拼团到\"" + share.description + "\"失败: " + e.code + " - " + e.message);
	});
}