var currentCity = 'YY'; //'YY'; //当前城市代码
var currentCityName = '岳阳'; //'岳阳'; //当前城市名称
var currentCountryCode = ''; //当前二级城市代码
var currentCountryName = ''; //当前二级城市名称

var currentPage = "0";
var queryParam = "";
var tmpOrderBy = "P_OrderId";
var totalNum = 0;
var pageSize = "20";
var longt = '0'; //经度
var lat = '0'; //纬度	
var lazyLoadApi = null;
var lazyLoadApiSpecial = null;
var lazyLoadApiSpecial1 = null; //主题
var lazyLoadApiNear = null;
var start = 1;

//初始化
mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		mui('#pullrefresh').pullRefresh().refresh(true);
		//显示广告
		showAD(currentCity);
		//显示插入广告
		showInsertAD(currentCity);
		//加载主题
		lazyLoadApiSpecial1 = mui('#SpecialTopic').imageLazyload({
			autoDestroy: false,
			placeholder: '../../images/logo-loading-70-70.png'
		});
		//显示主题
		showSpecialTopic(currentCity);
		//加载专题
		var queryParam1 = " and P_BelongCity='" + currentCity + "'";
		var queryParam2 = " and a.S_CityCode='" + currentCity + "' and (a.S_Recommend like '%1%' or a.S_Recommend like '%2%') ";
		loadSpecialData("1", queryParam1, queryParam2, "a.S_OrderId", 1);
		//加载附近
		//loadNearData(queryParam1);
		//加载产品
		currentPage = "1";
		totalNum = 0;
		loadData(currentPage, queryParam, tmpOrderBy, 1, lat, longt);
	}, 1500);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		//第一次执行了（正常应该不会执行）
		if(start == 1 || totalNum != $("#jl-table-view li").length) {
			start = 0;
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//新修改
			queryParam = getQueryParams() + " and P_Characteristic like '%CPTD1%' ";
			//加载数据
			loadData(currentPage, queryParam, tmpOrderBy, 0, lat, longt);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
		}
	}, 1500);
}

//回到顶部
var scrollToTopBox = document.getElementById('scrollToTop');
scrollToTopBox.addEventListener('tap', function(e) {
	e.stopPropagation();
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
	scrollToTopBox.classList.add('hide');
});

//回到顶部按钮显示
document.getElementById("pullrefresh").addEventListener("touchmove", function(e) {
	//e.preventDefault();
	//显示隐藏回到顶部
	scrollToTopBox.classList.remove('hide');
	var y = 0 - document.getElementById('scroll1').getBoundingClientRect().top;
	if(y >= window.innerHeight && scrollToTopBox.classList.contains('hide')) {
		scrollToTopBox.classList.remove('hide');
	} else if(y < window.innerHeight && !scrollToTopBox.classList.contains('hide')) {
		scrollToTopBox.classList.add('hide');
	}
});

//window.addEventListener('touchstart', function(e) {
//	e.preventDefault();
//	$('#jl-all-city').hide();
//});

//初始化
function initPage(cityCode, cityName, lat, longt, addresses) {
    
	//搜索框事件 
	$("#divSearch").off();
	$("#divSearch").on('tap', function() {
		openWin2('../product/video-main.html', 'video-main.html', {
			queryParam: ''
		});
		// openWin2('../product/search.html', 'search.html', {
		// 	queryParam: " and P_BelongCity='" + cityCode + "'",
		// 	longt: longt, //经度
		// 	lat: lat //纬度
		// });
	});
	//显示未读消息标志
	showUnreadMsg();
	//显示广告
	showAD(cityCode);
	//显示插入广告
	showInsertAD(cityCode);
	//加载菜单
	//showMenu(cityCode, cityName, lat, longt);
	//加载主题
	lazyLoadApiSpecial1 = mui('#SpecialTopic').imageLazyload({
		autoDestroy: false,
		placeholder: '../../images/logo-loading-70-70.png'
	});
	showSpecialTopic(cityCode);
	//加载年龄
	//showChildAge(cityCode, cityName, lat, longt);
	//显示公告
	//showNotice();
	//显示推荐
	showUserRecommend(cityCode);

	$('#lat').val(lat);
	$('#longt').val(longt);
	$('#addresses').val(addresses);
	currentCity = cityCode; //当前城市代码
	currentCityName = cityName; //当前城市名称
	//显示提醒信息
	var userInfo = getUserInfo();
	if(userInfo != null) {
		showRemind(userInfo.U_Name);
	} else {
		showRemind('');
	}

	//加载专题数据
	lazyLoadApiSpecial = mui('#divSpecial').imageLazyload({
		autoDestroy: false,
		placeholder: '../../images/logo-loading2.png'
	});
	var queryParam1 = " and P_BelongCity='" + currentCity + "'";
	var queryParam2 = " and a.S_CityCode='" + currentCity + "' and (a.S_Recommend like '%1%' or a.S_Recommend like '%2%') ";
	loadSpecialData("1", queryParam1, queryParam2, "a.S_OrderId", 1);

	//加载附件数据
	lazyLoadApiNear = mui('#divNear').imageLazyload({
		autoDestroy: false,
		placeholder: '../../images/logo-loading2.png'
	});
	//loadNearData(queryParam1);

	//初始化产品  
	lazyLoadApi = mui('#jl-table-view').imageLazyload({
		autoDestroy: false,
		placeholder: '../../images/logo-loading.png'
	});
	//queryParam = getQueryParams() + " and P_Characteristic like '%CPTD1%' ";
	//loadData(currentPage, queryParam, tmpOrderBy, 1, lat, longt);

	//接口调用成功后显示所有界面
	$('#divContent').show();
}

//显示菜单
function showMenu(cityCode, cityName, lat, longt) {
	var jsData1 = {
		queryParams: " and A_IsHidder='0' "
	}
	app.callWebApi('SystemMgr', 'ShowAppMenuList', jsData1, null,
		function(result) {
			if(result != '') {
				var jsonList = $.parseJSON(result);
				var html = '<div class="mui-slider-group">';
				for(var i = 0; i < jsonList.length; i++) {
					if(i == 0 || i % 5 == 0) {
						if(i != 0) {
							html += '   </ul>';
							html += '</div>';
						}
						html += '<div class="mui-slider-item">';
						html += '	<ul class="mui-table-view mui-grid-view mui-grid-9">';
						html += '		<li data-val="menu" data-type="' + jsonList[i].A_Type + '" data-orderid="' + jsonList[i].A_OrderId + '" class="mui-table-view-cell mui-media w20 ">';
						html += '			<a>';
						html += '   			<span class="mui-icon"><img src="../../images/' + jsonList[i].A_Img + '" /></span>';
						html += '				<div style="margin: 0px 0px 0px 0px;" class="mui-media-body">' + jsonList[i].A_Name + '</div>';
						html += '			</a>';
						html += '	    </li>';
					} else {
						html += '		<li data-val="menu" data-type="' + jsonList[i].A_Type + '" data-orderid="' + jsonList[i].A_OrderId + '" class="mui-table-view-cell mui-media w20 ">';
						html += '			<a>';
						html += '   			<span class="mui-icon"><img src="../../images/' + jsonList[i].A_Img + '" /></span>';
						html += '				<div style="margin: 0px 0px 0px 0px;" class="mui-media-body">' + jsonList[i].A_Name + '</div>';
						html += '			</a>';
						html += '	    </li>';
					}
				}
				html += '   </ul>';
				html += ' </div>';
				html += '</div>';
				html += '<div class="mui-slider-indicator">';
				html += '   <div class="mui-indicator mui-active"></div>';
				html += '	<div class="mui-indicator"></div>';
				html += '</div>';
				$('#AppMenu').html(html);
				mui('#AppMenu').slider();

				//绑定事件
				$("li[data-val='menu']").off();
				//添加列表项的点击事件
				$("li[data-val='menu']").on('tap', function(e) {
					var type = $(this).attr('data-type');
					var orderid = $(this).attr('data-orderid');
					openWin3('../product/product-classify.html', 'product-classify.html', {
						cityCode: cityCode,
						cityName: cityName,
						lat: lat,
						longt: longt,
						A_Type: type,
						A_OrderId: orderid,
						queryParams: ''
					});
				});
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 显示未读消息
 */
function showUnreadMsg() {
	var userInfo = getUserInfo();
	if(userInfo != null) {
		var jsData1 = {
			queryParam: " and M_Flag=0 and M_UserID='" + userInfo.ID + "' "
		}
		app.callWebApi('AppUser', 'IsUnreadMessage', jsData1, null,
			function(result) {
				if(result == "1") {
					/*显示消息显示标志*/
					var wv = plus.webview.getWebviewById('index-tabbar.html');
					if(wv != null) {
						wv.evalJS("showMessageFlag('1')");
					}
				} else {
					/*显示消息显示标志*/
					var wv = plus.webview.getWebviewById('index-tabbar.html');
					if(wv != null) {
						wv.evalJS("showMessageFlag('0')");
					}
				}
			},
			function(xhr, type, errorThrown) {
				//mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}
}

/**
 * 显示提醒信息
 */
function showRemind(name) {
	var jsData1 = {
		name: name
	}
	app.callWebApi('AppProduct', 'ShowFirstPageRemind', jsData1, null,
		function(result) {
			if(result.length > 0) {
				$("#remind1").text(result[0]);
				$("#remind2").text(result[1]);
				$("#remind").show();
			} else {
				$("#remind").hide();
			}
		},
		function(xhr, type, errorThrown) {
			$("#remind").hide();
			$("#remind1").text('欢迎使用捷驴亲子');
			$("#remind2").text('');
			//mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 显示首页推荐
 */
function showUserRecommend(cityCode) {
	var jsData1 = {
		queryParams1: " and a.O_BelongCity='" + cityCode + "'",
		queryParams2: " and a.B_ProductID in (select ID from JL_Product where P_BelongCity='" + cityCode + "')"
	}
	app.callWebApi('AppProduct', 'ShowUserRecommend', jsData1, null,
		function(result) {
			if(result != '') {
				result = $.parseJSON(result);
				var html = "";
				for(var i = 0; i < result.length; i++) {
					html += '<div data-click="UserRecommend" class="swiper-slide" data-ProductID="' + result[i].O_ProductID + '" data-ProductType="' + result[i].O_ProductType + '" >';
					if(result[i].O_ProductType == 'PXTYK') {
						html += '  <p style="color:#000000;">@用户' + result[i].U_Name + '<i>预约了</i><br /> ' + result[i].O_ProductName + '</p>';
					} else if(result[i].O_ProductType == 'QZNK') {
						html += '  <p style="color:#000000;">@用户' + result[i].U_Name + '<i>购买了</i><br /> ' + result[i].O_ProductName + '</p>';
					} else {
						if(result[i].O_IsComment == '1') {
							html += '  <p style="color:#000000;">@用户' + result[i].U_Name + '<i>评论了</i><br /> ' + result[i].O_ProductName + '</p>';
						} else {
							html += '  <p style="color:#000000;">@用户' + result[i].U_Name + '<i>参加了</i><br /> ' + result[i].O_ProductName + '</p>';
						}
					}
					html += '</div>';
				}
				$('#recommend').html(html);
				//滚动
				var Recommend = new Swiper('.jl-muit-box-right', {
					direction: 'vertical',
					autoplay: 3000,
					loop: true,
				});
				//事件
				$('div[data-click=UserRecommend]').off();
				$('div[data-click=UserRecommend]').on('tap', function() {
					var productID = $(this).attr('data-ProductID');
					var productType = $(this).attr('data-ProductType');
					openProdcut(productType, productID);
				});
			}
		},
		function(xhr, type, errorThrown) {
			//mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 显示公告
 */
function showNotice() {
	var jsData1 = {
		Code: '9002'
	}
	app.callWebApi('AppProduct', 'ShowParams', jsData1, null,
		function(result) {
			if(result != '') {
				result = $.parseJSON(result);
				result = result.Value1.split(",");
				var html = "";
				for(var i = 0; i < result.length; i++) {
					html += '<div class="swiper-slide">';
					html += '  <p>' + result[i] + '</p>';
					html += '</div>';
				}
				$('#Notice').html(html);
				//滚动
				var Recommend = new Swiper('.recommend_list', {
					direction: 'vertical',
					autoplay: 3000,
					loop: true,
				});
			}
		},
		function(xhr, type, errorThrown) {
			//mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//显示主题
function showSpecialTopic(cityCode) {
	var jsData1 = {
		queryParams: " and S_CityCode='" + cityCode + "' and S_ThemeShow='1' "
	}
	app.callWebApi('AppProduct', 'ShowSpecialTopic', jsData1, null,
		function(result) {
			if(result != '') {
				var jsonList = $.parseJSON(result);
				var html = '';
				for(var i = 0; i < jsonList.length; i++) {
					html += '<div class="swiper-slide">';
					html += '	<div class="item">';
					html += '	    <div class="pic">';
					//html += '	        <img class="specialPic" data-val="' + jsonList[i].ID + '" style="width: 87px;height: 87px;" src="../../images/logo-loading-70-70.png" data-lazyload="' + getUploadServer() + '/upload/SpecialPic/' + jsonList[i].S_Pic + '?width=500&height=273&c=1&x=113&y=0&w=273&h=273">';
					html += '	        <img class="specialPic" data-val="' + jsonList[i].ID + '" style="width: 95px;height: 95px;" src="../../images/logo-loading-70-70.png" data-lazyload="' + getUploadServer() + '/upload/SpecialPic/' + jsonList[i].S_Pic + '?width=500&height=500">';
					html += '	    </div>';
					html += '	    <h3 class="fz13" style="margin-top:10px;color:#000000;">' + jsonList[i].S_Title + '</h3>';
					html += '	</div>';
					html += '</div>';
				}
				$('#SpecialTopic').html(html);
				lazyLoadApiSpecial1.addElements();
				//滚动
				var Special = new Swiper('.speciallist', {
					slidesPerView: 'auto',
					freeMode: true,
					resistance: true,
					resistanceRatio: 0
				});
				//绑定事件
				$("img[class='specialPic']").off();
				//添加列表项的点击事件
				$("img[class='specialPic']").on('tap', function(e) {
					var id = $(this).attr("data-val");
					if(id != '') {
						//显示所有专题活动        
						openWin1('../product/product-special-detail.html', 'product-special-detail.html', {
							specialTopicId: id,
							pic: '',
							title: '主题活动'
						});
					}
				});
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//显示儿童年龄
function showChildAge(cityCode, cityName, lat, longt) {
	var jsData1 = {
		queryParams: " and Code<>'ETNL0' "
	}
	app.callWebApi('AppProduct', 'ShowChildAge', jsData1, null,
		function(result) {
			if(result != '') {
				var jsonList = $.parseJSON(result);
				$('#ChildAge li').remove();
				var html = '';
				for(var i = 0; i < jsonList.length; i++) {
					html = ' <li class="mui-table-view-cell mui-media w20" style="text-align:center;">';
					html += '	<a class="AGE" data-val="' + jsonList[i].Name + '" style="width:75px;text-align:center;margin-left:-18px">';
					html += '		<span class="mui-icon"><img style="width:30px;height:30px;" src="../../images/age_' + jsonList[i].OrderIndex + '.png" /></span>';
					html += '		<div class="mui-media-body" style="margin-top: -5px;"><label style="font-size:12px;">' + jsonList[i].Remark + '</label></div>';
					html += '	</a>';
					html += '</li>';
					$('#ChildAge').append(html);
				}

				//绑定事件
				$("a[class='AGE']").off();
				//添加列表项的点击事件
				$("a[class='AGE']").on('tap', function(e) {
					var age = $(this).attr('data-val').split('-');
					var exQueryParam = '';
					if(age[1] == '0') {
						exQueryParam = " and ((P_ChildrenAgeFrom=0 and P_ChildrenAgeTo=0) or (P_ChildrenAgeTo>=" + age[0] + ")) ";
					} else {
						exQueryParam = " and ((P_ChildrenAgeFrom=0 and P_ChildrenAgeTo=0) or (P_ChildrenAgeFrom<=" + age[0] + " and P_ChildrenAgeTo>=" + age[0] + ") or (P_ChildrenAgeFrom<=" + age[1] + " and P_ChildrenAgeTo>=" + age[1] + ")) ";
					}
					openWin3('../product/product-classify.html', 'product-classify.html', {
						cityCode: cityCode,
						cityName: cityName,
						lat: lat,
						longt: longt,
						A_Type: '',
						A_OrderId: '0',
						queryParams: exQueryParam
					});
				});
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 显示广告
 */
function showAD(cityCode) {
	var jsData1 = {
		adpid: '6',
		queryParam: " and citycode='" + cityCode + "' "
	}
	app.callWebApi('AppProduct', 'ShowAD1', jsData1, null,
		function(result) {
			if(result != '') {
				var jsonList = $.parseJSON(result);
				var html = '<div class="mui-slider-group mui-slider-loop">';
				//<!-- 额外增加的一个节点(循环轮播：第一个节点是最后一张轮播) -->
				html += '<div class="mui-slider-item mui-slider-item-duplicate"  style="border: none">';
				html += '  <a class="adv" data-name="' + jsonList[jsonList.length - 1].adname + '" data-val="' + jsonList[jsonList.length - 1].adcode + '" data-img="' + jsonList[jsonList.length - 1].img + '" data-target="' + jsonList[jsonList.length - 1].target + '"><img height="192px" class="w100" src="' + getUploadServer() + '/upload/Advpic/' + jsonList[jsonList.length - 1].img + '?width=750&height=400" /></a>';
				html += '</div>';
				//播放内容
				for(var i = 0; i < jsonList.length; i++) {
					html += '<div class="mui-slider-item" style="border: none">';
					html += '  <a class="adv" data-name="' + jsonList[i].adname + '" data-val="' + jsonList[i].adcode + '" data-img="' + jsonList[i].img + '" data-target="' + jsonList[i].target + '"><img height="192px" class="w100" src="' + getUploadServer() + '/upload/Advpic/' + jsonList[i].img + '?width=750&height=400" /></a>';
					html += '</div>';
				}
				//<!-- 额外增加的一个节点(循环轮播：最后一个节点是第一张轮播) -->
				html += '<div class="mui-slider-item mui-slider-item-duplicate"  style="border: none">';
				html += '  <a class="adv" data-name="' + jsonList[0].adname + '" data-val="' + jsonList[0].adcode + '" data-img="' + jsonList[0].img + '" data-target="' + jsonList[0].target + '"><img height="192px" class="w100" src="' + getUploadServer() + '/upload/Advpic/' + jsonList[0].img + '?width=750&height=400" /></a>';
				html += '</div>';
				html += '</div>';
				//添加第一个圆点
				html += '<div class="mui-slider-indicator">';
				for(var j = 0; j < jsonList.length; j++) {
					if(j == 0) {
						html += '<div class="mui-indicator mui-active"></div>';
					} else {
						html += '<div class="mui-indicator"></div>';
					}
				}
				html += '</div>';
				$('#ad').html(html);
				//清除定时器
				//clearTimeout(time1);
				//循环轮播
				var timer1 = setTimeout(function() {
					var slider = mui("#ad");
					slider.slider({
						interval: 5000
					});
				}, 2000);
				$('.mui-slider-item .adv').off();
				$('.mui-slider-item .adv').on('tap', function() {
					var id = $(this).attr("data-val");
					var name = $(this).attr("data-name");
					var target = $(this).attr("data-target");
					var pic = $(this).attr("data-img");
					if(id != '') {
						//(0:亲子活动  1:培训体验课  2:产品浏览 3:专题活动 4:培训课  9:亲子年卡)
						if(target == '1') {
							//培训体验课          
							openWin3('../product/TrainingCourses-detail.html', 'TrainingCourses-detail.html', {
								productId: id
							});
						} else if(target == '2') {
							//产品浏览       
							openWin3('../product/product-view.html', 'product-view.html', {
								productId: id,
								title: name,
								pic: pic
							});
						} else if(target == '3') {
							//专题活动        
							openWin1('../product/product-special-detail.html', 'product-special-detail.html', {
								specialTopicId: id,
								pic: getUploadServer() + '/upload/Advpic/' + pic + '?width=500&height=250',
								title: '专题活动'
							});
						} else if(target == '4') {
							//培训课          
							openWin3('../product/courses-detail.html', 'courses-detail.html', {
								productId: id
							});
						} else if(target == '9') {
							//亲子年卡
							var param = " and P_Classify='QZNK' and P_Status='1' ";
							openProductList('亲子年卡', param);
						} else {
							//亲子活动          
							openWin3('../product/product-detail.html', 'product-detail.html', {
								productId: id
							});
						}
					}
				});
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//显示界面插入广告
function showInsertAD(cityCode) {
	var jsData1 = {
		queryParam: " and adpid=1 and citycode='" + cityCode + "' "
	}
	app.callWebApi('AppProduct', 'ShowInsertAD', jsData1, null,
		function(result) {
			//先做隐藏
			$("#GG0").hide();
			$("#GG1").hide();
			if(result != '') {
				var jsonList = $.parseJSON(result);
				var tmpImg = '';
				var id = '';
				var pic = '';
				var name = '';
				var target = '';
				for(var i = 0; i < jsonList.length; i++) {
					if(jsonList[i].img != "") {
						tmpImg = getUploadServer() + '/upload/Advpic/' + jsonList[i].img + '?width=650&height=350';
					} else {
						tmpImg = "";
					}
					id = jsonList[i].adcode;
					pic = jsonList[i].img;
					name = jsonList[i].name;
					target = jsonList[i].target;
					//绑定事件
					$("#GG" + i.toString()).show();
					$("#GG" + i.toString()).off();
					$("#GG" + i.toString()).on('tap', {
						id: id,
						pic: pic,
						name: name,
						target: target
					}, clickHandler);

					if(tmpImg != "") {
						$("#GG" + i.toString() + " img").attr('src', tmpImg);
					}
				}
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}
//事件绑定
function clickHandler(event) {
	var id = event.data.id;
	var pic = event.data.pic;
	var name = event.data.name;
	var target = event.data.target;
	//(0:亲子活动  1:培训体验课  2:产品浏览 3:专题活动 4:培训课  9:亲子年卡)
	if(target == '1') {
		//培训体验课          
		openWin3('../product/TrainingCourses-detail.html', 'TrainingCourses-detail.html', {
			productId: id
		});
	} else if(target == '2') {
		//产品浏览       
		openWin3('../product/product-view.html', 'product-view.html', {
			productId: id,
			title: name,
			pic: pic
		});
	} else if(target == '3') {
		//专题活动        
		openWin1('../product/product-special-detail.html', 'product-special-detail.html', {
			specialTopicId: id,
			pic: getUploadServer() + '/upload/Advpic/' + pic + '?width=500&height=250',
			title: '专题活动'
		});
	} else if(target == '4') {
		//培训课          
		openWin3('../product/courses-detail.html', 'courses-detail.html', {
			productId: id
		});
	} else if(target == '9') {
		//亲子年卡
		var param = " and P_Classify='QZNK' and P_Status='1' and P_BelongCity='" + currentCity + "' ";
		openProductList('亲子年卡', param);
	} else {
		//亲子活动          
		openWin3('../product/product-detail.html', 'product-detail.html', {
			productId: id
		});
	}
}

/**
 *加载产品数据   
 */
function loadData(currentPage, queryParams, orderBy, reload, lat, longt) {
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$('#jl-table-view li').remove();
	}
	app.loadData(currentPage, pageSize, queryParams, orderBy, 1, lat, longt, function(result) {
			if(result != '') {
				var jsonList = $.parseJSON(result);
				totalNum = jsonList.total;
				if(totalNum == 0) {
					plus.nativeUI.closeWaiting();
					$(".notrecord").show();
					return;
				}
				$(".notrecord").hide();
				var html = '';
				for(var i = 0; i < jsonList.list.length; i++) {
					var label = '';
					if(jsonList.list[i].P_Label != '') {
						var list = jsonList.list[i].P_Label.split('$');
						for(var j = 0; j < list.length; j++) {
							label += '<label>' + list[j] + '</label>';
						}
					}
					html += '<li class="jl-table-view-cell" id="' + jsonList.list[i].ID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					html += ' <a id="' + jsonList.list[i].ID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					//主图片
					html += '    <div class="product-img">';
					if(jsonList.list[i].P_MobileTitlePic != '' && jsonList.list[i].P_MobileTitlePic != null) {
						html += '	<img class="jl-media-object" src="../../images/logo-loading.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileTitlePic + '?width=750&height=400">';
					} else {
						html += '	<img class="mui-pull-left" data-lazyload="../../images/logo-loading.png">';
					}
					var left = '10px';
					//是否支持年卡 
					if(jsonList.list[i].P_YearCard == '1') {
						html += '<div style="position:absolute;width:40px;height:40px;z-indent:2;left:10px;top:0px;background: rgba(250,175,58,0.9);color: #fff;text-align: center;font-size:14px;font-weight:bold;">';
						html += '<div style="width:100%;margin-top:3px">';
						html += '   <span>支持</span>';
						html += '</div>';
						html += '<div style="width:100%;margin-top:-3px">';
						html += '   <span>年卡</span>';
						html += '</div>';
						html += '</div>';
						left = '60px';
					}
					//是否支持年卡
					if (jsonList.list[i].P_JeelvCard == '1') {
						html += '<div style="position:absolute;width:50px;height:40px;z-indent:2;left:' + left +
							';top:0px;background: rgba(250,175,58,0.9);color: #fff;text-align: center;font-size:14px;font-weight:bold;">';
						html += '<div style="width:100%;margin-top:3px">';
						html += '   <span>支持</span>';
						html += '</div>';
						html += '<div style="width:100%;margin-top:-3px">';
						html += '   <span>成长卡</span>';
						html += '</div>';
						html += '</div>';
					}
					//红包
					html += '		<div class="fee-view2">';
					html += '			<div class="top-body"><sup class="fz10 ftnormal">&yen;</sup>' + jsonList.list[i].P_Price + '<em class="fz10 ftnormal">起</em></div>';
					//是否支持年卡(最高省X无)
					if(jsonList.list[i].P_YearCard == '1') {
						html += '		<div class="bottom-body"><span>用券省&nbsp;&yen;' + jsonList.list[i].P_AduSettlementPrice + '<em class="fz8 ftnormal"></em></span></div>';
					} else {
						//拼团
						if(jsonList.list[i].P_IsSpellGroup == '1') {
							html += '		<div class="bottom-body"><span>拼团省&nbsp;&yen;' + jsonList.list[i].P_SpellGroupProvinceMoney + '<em class="fz8 ftnormal"></em></span></div>';
						} else {
							if(parseFloat(jsonList.list[i].P_SpecialTopicIds) > 0) {
								html += '		<div class="bottom-body"><em class="fz8 ftnormal">最高</em><span>返红包&nbsp;' + jsonList.list[i].P_SpecialTopicIds + '<em class="fz8 ftnormal"></em></span></div>';
							} else {
								html += '		<div class="bottom-body hide"></div>';
							}
						}
					}
					html += '		</div>';
					html += '    </div>';
					html += '	 <div class="jl-media-body">';
					//拼团
					if(jsonList.list[i].P_IsSpellGroup == '1') {
						html += '   <p style="margin:1px 0px 1px 10px;color:#000" class="fz16"><i class="group-hit">拼团</i>' + jsonList.list[i].P_Name.replace('$', '') + '</p>';
					} else {
						html += '   <p style="margin:1px 0px 1px 10px;color:#000" class="fz16">' + jsonList.list[i].P_Name.replace('$', '') + '</p>';
					}
					html += '		<p style="margin:5px 0px 5px 10px;color:#696969;" class="fz13" >' + jsonList.list[i].P_Subtitle + '</p>';
					//html += '		<p style="margin:5px 0px 5px 10px;color:#696969;" class="fz13" >' + jsonList.list[i].P_DestinationCity + '</p>';
					//html += '		<p style="margin-top: 1px;" class="fz13 color6 mr0"><i class="mui-icon mui-icon-location fz13">' + jsonList.list[i].P_Video + '</i> ' + jsonList.list[i].P_DestinationCity + '</p>';
					//html += '		<p class="fz10 color6 mr0"><i class="mui-icon mui-icon-location fz10">' + jsonList.list[i].P_Longitude + '</i> ' + jsonList.list[i].P_SpecialTopicNames + '</p>';

					//显示标签
					html += '       <p style="margin:1px 0px 1px 0px;" class="fz14 color6">';
					html += '         <div class="jl-media-label">';
					//适合年龄
					if(jsonList.list[i].P_ChildrenAgeFrom == '0' && jsonList.list[i].P_ChildrenAgeTo == '0') {
						//label += '      <label>无年龄限制</label>';
					} else {
						label += '<label>适合' + jsonList.list[i].P_ChildrenAgeFrom + '-' + jsonList.list[i].P_ChildrenAgeTo + '岁</label>';
					}
					//是否拼团中
					if(jsonList.list[i].P_PreviewPic == '1') {
						label += '<label><b>拼团中...</b></label>';
					}
					//是否直播
					if(jsonList.list[i].P_DirectSeeding == '1') {
						label += '<label>直播中</label>';
					}
					html += label;
					html += '         </div>';
					html += '       </p>';
					html += '	 </div>';
					//累计报名人数
					if(jsonList.list[i].P_TotalRegisterNum != '0') {
						if(jsonList.list[i].P_Classify != 'QZKL')
							html += '<div class="jl-media-tips">累计' + jsonList.list[i].P_TotalRegisterNum + '人报名</div>';
						else
							html += '<div class="jl-media-tips">已售' + jsonList.list[i].P_TotalRegisterNum + '份</div>';
					}
					html += ' </a>';
					html += '</li>';
					//console.log(html);
				}
				$('#jl-table-view').append(html);

				//加载事件
				addEvent();
				//lazyload（延迟加载）  
				lazyLoadApi.addElements();
				plus.nativeUI.closeWaiting();
			} else {
				plus.nativeUI.closeWaiting();
			}
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 加载事件（活动）
 */
function addEvent() {
	$('#jl-table-view li').off();
	//添加列表项的点击事件
	$('#jl-table-view li').on('tap', function(e) {
		var id = this.getAttribute('id');
		var type = $(this).attr('data-val');
		openProdcut(type, id);
	});
}

/**
 *加载专题数据 
 */
function loadSpecialData(currentPage, queryParam1, queryParam2, orderBy, reload) {
	$('.notrecord').hide();
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$('#divSpecial').html('');
	}
	app.commonLoadData2(currentPage, '100', queryParam1, queryParam2, orderBy, 'AppProduct', 'ShowSpecialTopicList', function(result) {
			var jsonList = $.parseJSON(result);
			if(jsonList.total == 0) {
				plus.nativeUI.closeWaiting();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				$('.notrecord').show();
				return;
			}
			var html = '';
			var ID = '';
			var S_Pic = '';
			var title = '';
			for(var i = 0; i < jsonList.list.length; i++) {
				if(jsonList.list[i].ID != ID) {
					if(html != '') {
						html += ' </div>';
						html += ' <div class="taC p10" data-more="more" data-val="' + ID + '" data-img="' + S_Pic + '" data-title="' + title + '">';
						html += '	<button type="button" class="mui-btn mui-btn-success">查看更多</button>';
						html += ' </div>';
						html += '</div>';
					}
					html += '<div class="activity-theme">';
					html += '    <div class="title">';
					html += '        <div class="place"></div>';
					html += '        <h1><b>' + jsonList.list[i].S_Title + '</b></h1>';
					//html += '        <div data-val="' + jsonList.list[i].ID + '" data-img="' + jsonList.list[i].S_Pic + '" data-more="more" class="more floatR"><i class="fz13">更多 ></i></div>';
					html += '    </div>';
					html += '    <div style="clear:both"></div>';
					html += '    <div class="content">';
					if(i % 2 == 0) {
						html += '	<div class="item floatL"  data-box="sub-box" id="' + jsonList.list[i].P_ProductID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					} else {
						html += '	<div class="item"  data-box="sub-box" id="' + jsonList.list[i].P_ProductID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					}
					html += '			<div class="actpic">';
					if(jsonList.list[i].P_MobileMinPic != null && jsonList.list[i].P_MobileMinPic != '') {
						html += '	         <img src="../../images/logo-loading2.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileMinPic + '?width=650&height=370">';
					} else if(jsonList.list[i].P_MobileTitlePic != null && jsonList.list[i].P_MobileTitlePic != '') {
						html += '	         <img src="../../images/logo-loading2.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileTitlePic + '?width=650&height=370">';
					} else {
						html += '		     <img src="../../images/logo-loading2.png"/>';
					}
					html += '           </div>';
					html += '			<h3 style="font-weight:100;" class="nk">' + jsonList.list[i].P_Name + '</h3>';
					if(parseFloat(jsonList.list[i].P_Price) > 0) {
						html += '		<div class="price"><sup class="paymoney fz8">&yen;</sup><i class="paymoney">' + jsonList.list[i].P_Price + '</i><i class="dw" style="font-size:9px">起</i>&nbsp;&nbsp;';
						if(parseFloat(jsonList.list[i].P_TotalRegisterNum) > 0) {
							html += '<span style="color:#AAAAAA;font-size:12px;">累计' + jsonList.list[i].P_TotalRegisterNum + '人报名</span>';
						}
						html += '</div>';
					} else {
						html += '		<div class="price"><i class="paymoney">免费</i>&nbsp;&nbsp;';
						if(parseFloat(jsonList.list[i].P_TotalRegisterNum) > 0) {
							html += '<span style="color:#AAAAAA;font-size:12px;">累计' + jsonList.list[i].P_TotalRegisterNum + '人报名</span>';
						}
						html += '</div>';
					}
					//html += '	    	<div class="price"><sup class="paymoney fz8">&yen;</sup><i class="paymoney">' + jsonList.list[i].P_Price + '</i><i class="dw" style="font-size:9px">起</i>&nbsp;&nbsp;<s style="color:#AAAAAA;font-size:12px;">原价:' + jsonList.list[i].P_RetailPrice + '</s></div>';
					html += '		</div>';
					ID = jsonList.list[i].ID;
					S_Pic = jsonList.list[i].S_Pic;
					title = jsonList.list[i].S_Title;
				} else {
					if(i % 2 == 0) {
						html += '	<div class="item floatL"  data-box="sub-box" id="' + jsonList.list[i].P_ProductID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					} else {
						html += '	<div class="item"  data-box="sub-box" id="' + jsonList.list[i].P_ProductID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					}
					html += '			<div class="actpic">';
					if(jsonList.list[i].P_MobileMinPic != null && jsonList.list[i].P_MobileMinPic != '') {
						html += '	        <img src="../../images/logo-loading2.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileMinPic + '?width=650&height=370">';
					} else if(jsonList.list[i].P_MobileTitlePic != null && jsonList.list[i].P_MobileTitlePic != '') {
						html += '	        <img src="../../images/logo-loading2.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileTitlePic + '?width=650&height=370">';
					} else {
						html += '		    <img src="../../images/logo-loading2.png"/>';
					}
					html += '           </div>';
					html += '			<h3 style="font-weight:100;" class="nk">' + jsonList.list[i].P_Name + '</h3>';
					if(parseFloat(jsonList.list[i].P_Price) > 0) {
						html += '		<div class="price"><sup class="paymoney fz8">&yen;</sup><i class="paymoney">' + jsonList.list[i].P_Price + '</i><i class="dw" style="font-size:9px">起</i>&nbsp;&nbsp;';
						if(parseFloat(jsonList.list[i].P_TotalRegisterNum) > 0) {
							html += '<span style="color:#AAAAAA;font-size:12px;">累计' + jsonList.list[i].P_TotalRegisterNum + '人报名</span>';
						}
						html += '</div>';
					} else {
						html += '		<div class="price"><i class="paymoney">免费</i>&nbsp;&nbsp;';
						if(parseFloat(jsonList.list[i].P_TotalRegisterNum) > 0) {
							html += '<span style="color:#AAAAAA;font-size:12px;">累计' + jsonList.list[i].P_TotalRegisterNum + '人报名</span>';
						}
						html += '</div>';
					}
					//html += '		    <div class="price"><sup class="paymoney fz8">&yen;</sup><i class="paymoney">' + jsonList.list[i].P_Price + '</i><i class="dw" style="font-size:9px">起</i>&nbsp;&nbsp;<s style="color:#AAAAAA;font-size:12px;">原价:' + jsonList.list[i].P_RetailPrice + '</s></div>';
					html += '		</div>';
					ID = jsonList.list[i].ID;
					S_Pic = jsonList.list[i].S_Pic;
					title = jsonList.list[i].S_Title;
				}
			}
			if(html != '') {
				html += ' </div>';
				html += ' <div class="taC p10" data-more="more" data-val="' + ID + '" data-img="" data-title="' + title + '">';
				html += '	<button type="button" class="mui-btn mui-btn-success">查看更多</button>';
				html += ' </div>';
				html += '</div>';
			}
			$('#divSpecial').html(html);
			lazyLoadApiSpecial.addElements();
			addSpecialEvent();
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 加载事件（主题）
 */
function addSpecialEvent() {
	$("div[data-box='sub-box']").off();
	//添加列表项的点击事件
	$("div[data-box='sub-box']").on('tap', function(e) {
		var id = this.getAttribute('id');
		var type = $(this).attr('data-val');
		openProdcut(type, id);
	});
	//更多
	$("div[data-more='more']").on('tap', function() {
		var id = $(this).attr("data-val");
		var pic = $(this).attr("data-img");
		var title = $(this).attr("data-title");
		if(id != '') {
			//显示所有专题活动        
			openWin1('../product/product-special-detail.html', 'product-special-detail.html', {
				specialTopicId: id,
				pic: pic,
				title: title
			});
		}
	});
}

//获取查询条件
function getQueryParams() {
	var searchParam = "";
	if(currentCity != "" && currentCountryCode != "") {
		searchParam = " and ((P_BelongCity='" + currentCity + "' and P_StartingCounty='" + currentCountryCode + "') ";
		searchParam += " or (P_DestinationCity like '%" + currentCityName + "%' and P_DestinationCity like '%" + currentCountryName + "%')) ";
	} else {
		searchParam = " and (P_BelongCity='" + currentCity + "')";
		//searchParam += " or P_DestinationCity like '%" + currentCityName + "%')";
	}
	return searchParam;
}

//显示城市
function selectCity() {
	if($("#jl-all-city").is(":hidden")) {
		$('#jl-all-city').show();
	} else {
		$('#jl-all-city').hide();
	}
	//$('#jl-all-city').toggle();
}

//隐藏城市
function hideCity() {
	$('#jl-all-city').hide();
}

/**
 * 加载城市列表
 */
function loadCity() {
	//显示当前城市
	$('#lblCity').text(currentCityName);
	var jsData1 = {
		queryParam: " and C_SupID=0 and C_IsHidder='0' "
	}
	app.callWebApi('AppProduct', 'ShowCityList', jsData1, null,
		function(result) {
			$('#liCity li').remove();
			var html = '<li class="title">已开通城市</li>';
			var jsonData = $.parseJSON(result);
			for(var key in jsonData) {
				html += '<li class="mui-table-view-cell" data-value="' + jsonData[key].id + '">' + jsonData[key].text + '</li>';
			}
			html += '<li class="bar">更多城市即将开通</li>';
			$('#liCity').append(html);
			//mui.toast($('#liCity').innerHTML);
			//加载下级市或县
			loadCounty(currentCity);
			//城市选择事件绑定
			$("#jl-all-city ul li[class!='title'][class!='bar']").on('tap', function() {
				//plus.nativeUI.showWaiting("加载中...", {
				//	padlock: true,
				//	width: 120,
				//	height: 120
				//});
				var cityCode = $(this).attr('data-value');
				var cityName = $(this).text();
				plus.webview.currentWebview().parent().evalJS("setCity('" + cityCode + "','" + cityName + "')");
				//mui('.mui-popover').popover('toggle');
				$('#jl-all-city').hide();
				//加载下级市或县
				loadCounty(cityCode);
				//根据城市查询 
				currentCity = cityCode;
				currentCityName = cityName;
				$('#lblCity').text(cityName);
				$('#selCity').text(cityName);
				//重新设置标签
				resetItems();

				//显示广告
				showAD(currentCity);
				//显示插入广告
				showInsertAD(currentCity);
				//显示推荐
				showUserRecommend(currentCity);
				//加载年龄
				//showChildAge(currentCity, currentCityName, lat, longt);
				//加载主题
				lazyLoadApiSpecial1 = mui('#SpecialTopic').imageLazyload({
					autoDestroy: false,
					placeholder: '../../images/logo-loading-70-70.png'
				});
				showSpecialTopic(currentCity);
				//加载专题数据
				var queryParam1 = " and P_BelongCity='" + currentCity + "'";
				var queryParam2 = " and a.S_CityCode='" + currentCity + "' and (a.S_Recommend like '%1%' or a.S_Recommend like '%2%') ";
				loadSpecialData("1", queryParam1, queryParam2, "a.S_OrderId", 1);
				//加载附近
				//loadNearData(queryParam1);

				mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
				mui('#pullrefresh').pullRefresh().refresh(true);
				//加载产品
				currentPage = "1";
				totalNum = 0;
				queryParam = getQueryParams() + " and P_Characteristic like '%CPTD1%' ";
				loadData(currentPage, queryParam, tmpOrderBy, 1, lat, longt);

				//搜索框事件 
				$("#divSearch").off();
				$("#divSearch").on('tap', function() {
					openWin2('../product/search.html', 'search.html', {
						queryParam: " and P_BelongCity='" + cityCode + "'",
						longt: longt, //经度
						lat: lat //纬度
					});
				});
				//亲子活动
				$("#QZHD").off();
				$("#QZHD").on('tap', function() {
					var params = '';
					openWin3('../product/product-classify.html', 'product-classify.html', {
						cityCode: currentCity,
						cityName: currentCityName,
						lat: lat,
						longt: longt,
						A_Type: '',
						A_OrderId: '0',
						queryParams: ''
					});
				});
				//儿童乐园
				$("#ETLY").off();
				$('#ETLY').on('tap', function() {
					var params = getQueryParams() + " and P_Type like '%HDLX07%' ";
					openProductList('儿童乐园', params);
				});
				//周边游
				$("#ZBY").off();
				$('#ZBY').on('tap', function() {
					var params = getQueryParams() + " and P_Type like '%HDLX08%' ";
					openProductList('周边游', params);
				});
				//课外班
				$("#PXB").off();
				$('#PXB').on('tap', function() {
					var params = getQueryParams() + " and (P_Classify like '%PXTYK%' or P_Classify like '%PXK%') ";
					openWin1('../product/courses-list.html', 'courses-list.html', {
						params: params,
						longt: $('#longt').val(),
						lat: $('#lat').val(),
						title: '课外班',
						city: currentCity
					});
				});
				//营地教育
				$("#YDJY").off();
				$('#YDJY').on('tap', function() {
					var params = getQueryParams() + " and P_Classify like '%QZHD%' and (P_Type like '%HDLX11%' or P_Type like '%HDLX12%') ";
					openProductList('营地教育', params);
				});
			});
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//加载下级市或县
function loadCounty(cityCode) {
	var html = '';
	html += '<li class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3 br5">';
	html += '	<a data-value="" class="active">全城</a>';
	html += '</li>';
	var jsData1 = {
		queryParam: " and C_IsHidder='0' and C_supid in(select id from jl_city where c_code='" + cityCode + "')"
	}
	app.callWebApi('AppProduct', 'ShowCityList', jsData1, null,
		function(result) {
			$('#liCounty li').remove();
			var jsonData = $.parseJSON(result);
			for(var key in jsonData) {
				html += '<li class="mui-table-view-cell mui-media mui-col-xs-4 mui-col-sm-3 br5">';
				html += '	<a data-value="' + jsonData[key].id + '">' + jsonData[key].text + '</a>';
				html += '</li>';
			}
			$('#liCounty').append(html);
			$('#liCounty li').off();
			$('#liCounty li').on('tap', function() {
				//plus.nativeUI.showWaiting("加载中...", {
				//	padlock: true,
				//	width: 120,
				//	height: 120
				//});
				$('#liCounty li a').removeClass('active');
				$(this).children('a').addClass('active');
				$('#jl-all-city').hide();
				currentCountryCode = $(this).children('a').attr('data-value');
				currentCountryName = $(this).children('a').text();
				currentPage = "1";
				totalNum = 0;
				queryParam = getQueryParams() + " and P_Characteristic like '%CPTD1%' ";
				//重新设置标签
				resetItems();
				loadData(currentPage, queryParam, tmpOrderBy, 1, lat, longt);
			});
		},
		function(xhr, type, errorThrown) {
			//mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//重新设置标签
function resetItems() {
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
}

$(function() {

	$("#divselcity").off();
	//选择城市事件
	$("#divselcity").on('tap', function() {
		selectCity();
	});

	//公告
	$('#Notice').on('tap', function() {
		openWin1('../main/notice.html', 'notice.html', {
			params: getQueryParams() + " and P_Type like '%HDLX07%' "
		});
	});

	//活动消息
	$('#productNotice').on('tap', function() {
		var userInfo = getUserInfo();
		if(userInfo != null) {
			openWin1('../member/product-notice.html', 'product-notice.html', {});
		} else {
			mui.toast('请登录后再查看消息！');
			openWin2('../member/login-master.html', 'login-master.html', {});
		}
	});

	//选择菜单
	$(".nav-btn-list").on('tap', function() {
		$("#jl-all-menu").toggle();
		if($("#jl-all-menu").is(":visible")) {
			$("#divMenu").hide();
			$("#divMenu1").show();
			$("#updown").removeClass("mui-icon-arrowdown");
			$("#updown").addClass("mui-icon mui-icon-arrowup");
		} else {
			$("#divMenu").show();
			$("#divMenu1").hide();
			$("#updown").removeClass("mui-icon-arrowup");
			$("#updown").addClass("mui-icon mui-icon-arrowdown");
		}

	});
	//隐藏菜单
	$("#bg").on('tap', function() {
		$("#jl-all-menu").hide();
		$("#divMenu").show();
		$("#divMenu1").hide();
		$("#updown").removeClass("mui-icon-arrowup");
		$("#updown").addClass("mui-icon mui-icon-arrowdown");
	});

	//成长学院
	$('#CZXY').on('tap', function() {
		//打开详情页面     
		openWin1('../product/product-list-develop.html', 'product-list-develop.html', {
			params: getQueryParams() + " and P_Type like '%HDLX08%' "
		});
	});

	//微课堂 
	$("#JLWKT").on('tap', function() {
		//打开产品列表页面
		openProductList("捷驴微课堂", getQueryParams() + " and P_Type like '%HDLX09%' ");
	});

	//活动定制 
	$("#HDDZ").on('tap', function() {
		openWin1('../product/product-customize.html', 'product-customize.html', {});
	});

	//活动日历
	$("#HDRL").on('tap', function() {
		openWin1('../product/product-date-list.html', 'product-date-list.html', {});
	});

	//亲子活动
	$("#QZHD").on('tap', function() {
		var params = '';
		openWin3('../product/product-classify.html', 'product-classify.html', {
			cityCode: currentCity,
			cityName: currentCityName,
			lat: lat,
			longt: longt,
			A_Type: '',
			A_OrderId: '0',
			queryParams: ''
		});
	});

	//儿童乐园
	$('#ETLY').on('tap', function() {
		var params = getQueryParams() + " and P_Type like '%HDLX07%' ";
		openProductList('儿童乐园', params);
		//location.href = "views/product/product-list-baby.html?param=" + params + "&rnd=" + Math.round(Math.random() * 10000).toString();
	});

	//周边游
	$('#ZBY').on('tap', function() {
		var params = getQueryParams() + " and P_Type like '%HDLX08%' ";
		openProductList('周边游', params);
	});

	//课外班
	$('#PXB').on('tap', function() {
		var params = getQueryParams() + " and (P_Classify like '%PXTYK%' or P_Classify like '%PXK%') ";
		//openProductList('课外班', params);
		openWin1('../product/courses-list.html', 'courses-list.html', {
			params: params,
			longt: $('#longt').val(),
			lat: $('#lat').val(),
			title: '课外班',
			city: currentCity
		});
	});

	//营地教育
	$('#YDJY').on('tap', function() {
		var params = getQueryParams() + " and P_Classify like '%QZHD%' and (P_Type like '%HDLX11%' or P_Type like '%HDLX12%') ";
		openProductList('营地教育', params);
	});

	//附近机构
	$('#FJJG').on('tap', function() {
		mui.toast('该模块正在升级中...');
	});
	
	//视频专区
	$("#SPJQ").on('tap', function() {
		openWin1('../product/video-main.html', 'video-main.html', {});
	});

});

/**
 *打开产品列表页面 
 */
function openProductList(title, qParam) {
	openWin1('../product/product-list.html', 'product-list.html', {
		params: qParam,
		longt: $('#longt').val(),
		lat: $('#lat').val(),
		title: title
	});
}

/*
加载附近活动数据
*/
function loadNearData(queryParam) {
	var jsData1 = {
		queryParam: queryParam,
		longt: $('#longt').val(),
		lat: $('#lat').val()
	}
	app.callWebApi('AppProduct', 'ShowNearProductList', jsData1, null,
		function(result) {
			var jsonList = $.parseJSON(result);
			var html = '';

			html += '<div id="divNearList" class="activity-theme">';
			html += '    <div class="title">';
			html += '        <div class="place"></div>';
			html += '        <h1><b>附近活动推荐</b></h1>';
			//html += '        <div id="nearMore" data-more="more1" class="more floatR"><i class="fz13">更多 ></i></div>';
			html += '    </div>';
			if($("#addresses").val() != '') {
				html += '	 <br><div class="address"><div style="float:left"><i class="mui-icon mui-icon-location fz12"></i><label id="lbAddresses">' + $("#addresses").val() + '</label></div><div style="float:right"><span class="mui-icon mui-icon-loop floatr fz20 mrt1"></span></div></div>';
			} else {
				html += '	 <br><div class="address"><div style="float:left"><i class="mui-icon mui-icon-location fz12"></i><label id="lbAddresses">获取定位失败</label></div><div style="float:right"><span class="mui-icon mui-icon-loop floatr fz20 mrt1"></span></div></div>';
			}
			html += '    <div style="clear:both"></div>';
			html += '    <div class="content">';
			for(var i = 0; i < jsonList.length; i++) {
				if(i % 2 == 0) {
					html += '	<div class="item floatL"  data-box="sub-box1" id="' + jsonList[i].id + '" data-val="' + jsonList[i].P_Classify + '">';
				} else {
					html += '	<div class="item"  data-box="sub-box1" id="' + jsonList[i].id + '" data-val="' + jsonList[i].P_Classify + '">';
				}
				html += '			<div class="actpic">';
				if(jsonList[i].P_MobileMinPic != null && jsonList[i].P_MobileMinPic != '') {
					html += '	      <img src="../../images/logo-loading2.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList[i].P_MobileMinPic + '?width=344&height=200">';
				} else if(jsonList[i].P_MobileTitlePic != null && jsonList[i].P_MobileTitlePic != '') {
					html += '	      <img src="../../images/logo-loading2.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList[i].P_MobileTitlePic + '?width=344&height=200">';
				} else {
					html += '		  <img src="../../images/logo-loading2.png"/>';
				}
				html += '           </div>';
				html += '			<h3 style="font-weight:100;" class="nk">' + jsonList[i].P_Name + '</h3>';
				html += '			<div class="price"><sup class="paymoney fz8">&yen;</sup><i class="paymoney">' + jsonList[i].P_Price + '</i><i class="dw" style="font-size:9px">起</i></div>';
				if(jsonList[i].distance != '0') {
					html += '		<label class="total">' + jsonList[i].distance + '米</label>';
				}
				html += '		</div>';
			}
			if(html != '') {
				html += ' </div>';
				html += ' <div class="taC p10" id="nearMore" data-more="more1">';
				html += '	<button type="button" class="mui-btn mui-btn-success">查看更多</button>';
				html += ' </div>';
				html += '</div>';
			}
			$('#divNear').html(html);
			lazyLoadApiNear.addElements();
			addNearEvent();
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 加载事件（附近活动）
 */
function addNearEvent() {
	$("div[data-box='sub-box1']").off();
	//添加列表项的点击事件 
	$("div[data-box='sub-box1']").on('tap', function(e) {
		var id = this.getAttribute('id');
		var type = $(this).attr('data-val');
		openProdcut(type, id);
	});
	//更多
	$("div[data-more='more1']").on('tap', function() {
		//显示所有附件活动        
		openWin1('../product/product-near.html', 'product-near.html', {
			longt: $('#longt').val(),
			lat: $('#lat').val(),
			currentCity: currentCity,
			addresses: $('#addresses').val()
		});
	});
	//地址刷新
	$(".address").on('tap', function() {
		getCurrentPosition();
	});
}

//获取位置信息  
function getCurrentPosition() {
	plus.nativeUI.showWaiting("获取中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	plus.geolocation.getCurrentPosition(geoInf, function(e) {
		plus.nativeUI.closeWaiting();
		//设置用户位置信息
		localStorage.setItem('userPosition', '{"cityCode":"YY","cityName":"岳阳","lat":"' + lat + '","longt":"' + longt + '"}');
		console.log("获取位置信息失败：" + e.message);
		mui.toast("获取位置信息失败！");
	}, {
		timeout: 3000
	});
}
/**  
 * 获取地理坐标信息回调方法； 
 */
function geoInf(position) {
	var str = "";
	if(position.address != undefined) {
		city = position.address.city;
	}
	var codns = position.coords; //获取地理坐标信息；
	$('#lat').val(codns.latitude.toString()); //获取到当前位置的纬度；
	$('#longt').val(codns.longitude.toString()); //获取到当前位置的经度	
	$('#addresses').val(position.addresses); //详细地址
	$('#lbAddresses').text(position.addresses);
	//设置用户位置信息
	localStorage.setItem('userPosition', '{"cityCode":"YY","cityName":"岳阳","lat":"' + $('#lat').val() + '","longt":"' + $('#longt').val() + '"}');
	plus.nativeUI.closeWaiting();
}