var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "a.M_Date desc";
var totalNum = 0;
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//初始化 
mui.plusReady(function() {
	//判断平台
	//	if(plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	//返回
	mui.back = function() {
		var wv = plus.webview.getLaunchWebview();
		wv.evalJS('goHome()');
	};
});

/**  
 * 页面初始化； 
 */
function initPage(cityCode, lat, longt) {
	var userInfo = getUserInfo();
	if(userInfo != null) {
		plus.nativeUI.showWaiting("加载中...", {
			padlock: true,
			width: 120,
			height: 120
		});
		queryParam = " and M_UserID='" + userInfo.ID + "' ";
		loadData(currentPage, queryParam, tmpOrderBy, 1);
	} else {
		$('.notrecord').show();
		mui.toast('请登录后再查看消息');
		plus.nativeUI.closeWaiting();
		//mui.back();
	}
}

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		mui('#pullrefresh').pullRefresh().refresh(true);
		var userInfo = getUserInfo();
		if(userInfo != null) {
			queryParam = " and M_UserID='" + userInfo.ID + "' ";
		} else {
			queryParam = " and 1=2 ";
		}
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, queryParam, tmpOrderBy, 1);
		showUnreadMsg();
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(totalNum != $("#divMessage .mui-card").length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, queryParam, tmpOrderBy, 0);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}
/**
 *加载数据 
 */
function loadData(currentPage, queryParam, orderBy, reload) {
	$('.notrecord').hide();
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$('#divMessage').html('');
	}
	app.commonLoadData(currentPage, '15', queryParam, orderBy, 'AppUser', 'ShowMessageList', function(result) {
			plus.nativeUI.closeWaiting();
			var jsonList = $.parseJSON(result);
			totalNum = jsonList.total;
			if(totalNum == 0) {
				setTimeout("mui('#pullrefresh').pullRefresh().disablePullupToRefresh();", 200);
				$('.notrecord').show();
				return;
			}
			var html = '';
			for(var i = 0; i < jsonList.list.length; i++) {
				//html = '<div class="text_note qa-box-time"><span>' + jsonList.list[i].M_Date.replace('T', ' ') + '</span></div>';
				//html += '<div class="mui-card p10 posi-r new-qa">';
				html += '<div data-val="' + jsonList.list[i].ID + '" class="mui-card p10 posi-r" style="margin-top:20px">';
				html += '	 <p class="fz13 ellipsis">';
				html += '		【' + jsonList.list[i].M_Title + '】   ' + jsonList.list[i].M_Date.replace('T', ' ');
				html += '	 </p>';
				html += '	 <p class="color5">';
				html += jsonList.list[i].M_Text;
				html += '	 </p>';
				if(jsonList.list[i].M_Flag == '1') {
					html += '      <p class="fz13" style="text-align:right;">';
					html += '<label id="l' + jsonList.list[i].ID + '">【已读】</label>';
					html += '	 </p>';
				} else {
					html += '      <p class="fz13" style="text-align:right;">';
					html += '<label id="l' + jsonList.list[i].ID + '" style="color:red">【未读】</label>';
					html += '	 </p>';
				}
				html += '	 <a data-val="' + jsonList.list[i].ID + '" class="btn fz12 color2 pd10 line-top mui-block ">查看<span class="mui-icon mui-icon-arrowright mui-pull-right fz16"></span><a>';
				html += '</div>';
			}
			$('#divMessage').append(html);
			/*绑定编辑按钮*/
			$(".mui-card").on("tap", function() {
				var id = $(this).attr('data-val');
				var jsData1 = {
					id: id
				}
				app.callWebApi('AppUser', 'SetMessageRead', jsData1, null,
					function(result) {
						if(result == "") {
							//$(this).find('label').text('【已读】');
							//$(this).find('label').removeAttr('style');
							$('#l' + id).text('【已读】');
							$('#l' + id).removeAttr('style');
							showUnreadMsg();
						} else {
							mui.toast(result);
						}
					},
					function(xhr, type, errorThrown) {
						mui.toast('获取数据失败，请检查网络是否正常！' + type);
					});
			});
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 显示未读消息
 */
function showUnreadMsg() {
	var userInfo = getUserInfo();
	if(userInfo != null) {
		var jsData1 = {
			queryParam: " and M_Flag=0 and M_UserID='" + userInfo.ID + "' "
		}
		app.callWebApi('AppUser', 'IsUnreadMessage', jsData1, null,
			function(result) {
				if(result == "1") {
					/*显示消息显示标志*/
					var wv = plus.webview.getWebviewById('index-tabbar.html');
					if(wv != null) {
						wv.evalJS("showMessageFlag('1')");
					}
				} else {
					/*显示消息显示标志*/
					var wv = plus.webview.getWebviewById('index-tabbar.html');
					if(wv != null) {
						wv.evalJS("showMessageFlag('0')");
					}
				}
			},
			function(xhr, type, errorThrown) {
				//mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}
}