mui.init();
//初始化
mui.plusReady(function() {
	//返回
	mui.back = function() {
		var wv = plus.webview.getLaunchWebview();
		wv.evalJS('goHome()');
	};
});

var queryParam = "";
/**  
 * 页面初始化； 
 */
function initPage(cityCode, lat, longt, addresses) {
	queryParam = " and P_BelongCity='" + cityCode + "'";
	ShowTheme();
}

/**
 *显示主题 
 */
function ShowTheme() {
	//	plus.nativeUI.showWaiting("加载中...", {
	//		padlock: true,
	//		width: 120,
	//		height: 120
	//	});
	var html = "";
	var jsData1 = {}
	app.callWebApi('AppProduct', 'ShowThemeList', jsData1, null,
		function(result) {
			if(result != "") {
				var jsonList = $.parseJSON(result);
				var title = "";
				for(var i = 0; i < jsonList.length; i++) {
					if(jsonList[i].aTitle != title) {
						if(i != 0) {
							html += '      </p>';
							html += '    </div>';
							html += '  </li>';
							html += '</ul>';
						}
						html += '<ul class="mui-table-view mui-table-view-chevron mrt15">';
						html += '	<li class="mui-table-view-cell mui-media pdR5">';
						if(jsonList[i].aPic != '' && jsonList[i].aPic != null) {
							html += '	<img class="mui-media-object mui-pull-left" width="42" height="42" id="head-img" src="' + getUploadServer() + '/upload/ThemePic/' + jsonList[i].aPic + '?width=150&height=150">';
						} else {
							html += '	<img class="mui-pull-left br5" data-lazyload="../../images/none.png" style="width: 70px;height: 70px;">';
						}
						html += '		<div class="mui-media-body">';
						html += '			<b class="Theme0" data-code="' + jsonList[i].aCode + '">' + jsonList[i].aTitle + '</b>';
						html += '			<p>';
						html += '			   <a class="Theme1" data-title="' + jsonList[i].bTitle + '" data-code="' + jsonList[i].bCode + '">' + jsonList[i].bTitle + '</a>';
						title = jsonList[i].aTitle;
					} else {
						html += '			   <a class="Theme1" data-title="' + jsonList[i].bTitle + '" data-code="' + jsonList[i].bCode + '">' + jsonList[i].bTitle + '</a>';
					}
				}
				html += '      </p>';
				html += '    </div>';
				html += '  </li>';
				html += '</ul>';
			}
			$("#content").html(html);
			addEvent();
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 加载事件（活动）
 */
function addEvent() {
	$('.Theme0').off();
	//添加标题的点击事件
	$('.Theme0').on('tap', function(e) {
		var code = this.getAttribute('data-code');
		var title = $(this).text();
		var param = " and P_TopicsID like '%" + code + "%' " + queryParam;
		openProductList(title, param);
	});

	$('.Theme1').off();
	//添加列表项的点击事件
	$('.Theme1').on('tap', function(e) {
		var code = this.getAttribute('data-code');
		var title = this.getAttribute('data-title');
		var param = " and P_TopicsID like '%" + code + "%' " + queryParam;
		openProductList(title, param);
	});
}

/**
 *打开产品列表页面 
 */
function openProductList(title, queryParam) {
	var userPosition = getUserPosition(); //获取位置信息
	openWin1('../product/product-list.html', 'product-list.html', {
		params: queryParam,
		longt: userPosition.longt,
		lat: userPosition.lat,
		title: title
	});
}