var currentPage = "1";
var queryParam1 = "";
var queryParam2 = "";
var tmpQueryParam = "";
var tmpOrderBy = "a.S_OrderId";
var totalNum = 0;
var detailPage = null;
var currentCity='YY';

//懒加载
var lazyLoadApi = mui('#divSpecial').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading2.png'
});

//初始化
mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh : "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//初始化 
mui.plusReady(function() {
	//	plus.nativeUI.showWaiting("加载中...", {
	//		padlock: true,
	//		width: 120,
	//		height: 120
	//	});
	//返回
	mui.back = function() {
		var wv = plus.webview.getLaunchWebview();
		wv.evalJS('goHome()');
	};
});

/**  
 * 页面初始化； 
 */
function initPage(cityCode, lat, longt) {
	currentCity=cityCode;
	//显示用户年卡
	showUserYearCard();

	queryParam1 = " and P_BelongCity='" + cityCode + "'";
	queryParam2 = " and a.S_CityCode='" + cityCode + "' and a.S_Recommend like '%2%' ";
	//加载数据
	currentPage = "1";
	totalNum = 0;
	loadData(currentPage, queryParam1, queryParam2, tmpOrderBy, 1);
}

/**
 *显示用户年卡 
 */
function showUserYearCard() {
	//获取用户信息
	var userInfo = getUserInfo();
	if(userInfo != null) {
		var jsData1 = {
			id: userInfo.ID
		}
		app.callWebApi('AppUser', 'ShowUser4ID', jsData1, null,
			function(result) {
				if(result != "") {
					result = $.parseJSON(result);
					$("#userInfo").text(result.U_Name);
					//是否购买过年卡
					if(result.U_IsBuyYearCard == '1') {
						$("#buyInfo").text("剩余年卡优惠券: " + result.U_Working + '张');
						$("#btnBuy").text('再次购买');
					} else {
						$("#buyInfo").text("还没买过年卡");
					}
					//图像
					if(result.U_Icon != null && result.U_Icon != '') {
						if(result.U_Icon.indexOf('http:') < 0) {
							$('#U_Icon').attr('src', getUploadServer() + '/upload/UserPic/' + result.U_Icon + '?width=200&height=200');
						} else {
							$('#U_Icon').attr('src', result.U_Icon);
						}
					} else {
						$('#U_Icon').attr('src', '../../images/none.png');
					}

				}
			},
			function(xhr, type, errorThrown) {
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	} else {
		$("#userInfo").html('<u>点击登录</u>');
		$("#buyInfo").text("剩余年卡优惠券:-");
		$("#userInfo").on('tap', function() {
			openWin1('../member/login-master.html', 'login-master.html', {});
			return;
		});
	}
	//购买
	$("#btnBuy").off();
	$("#btnBuy").on('tap', function() {	
		var param = " and P_BelongCity='"+currentCity+"' and P_Classify='QZNK' and P_Status='1' ";
		openProductList('亲子年卡', param);
	});
}

/**
 *打开产品列表页面 
 */
function openProductList(title, qParam) {
	openWin1('../product/product-list.html', 'product-list.html', {
		params: qParam,
		longt: $('#longt').val(),
		lat: $('#lat').val(),
		title: title
	});
}

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		//window.location.reload();
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, queryParam1, queryParam2, tmpOrderBy, 1);
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(totalNum != $("#divSpecial .activity-theme").length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, queryParam1, queryParam2, tmpOrderBy, 0);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}
/**
 *加载数据 
 */
function loadData(currentPage, queryParam1, queryParam2, orderBy, reload) {
	$('.notrecord').hide();
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$('#divSpecial').html('');
	}
	app.commonLoadData2(currentPage, '10', queryParam1, queryParam2, orderBy, 'AppProduct', 'ShowYearCardPorductList', function(result) {
			var jsonList = $.parseJSON(result);
			totalNum = jsonList.total;
			if(totalNum == 0) {
				plus.nativeUI.closeWaiting();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				$('.notrecord').show();
				return;
			}
			mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
			var html = '';
			var ID = '';
			var S_Pic = '';
			var k = 0;
			for(var i = 0; i < jsonList.list.length; i++) {
				if(jsonList.list[i].ID != ID) {
					if(html != '') {
						k = 0;
						html += ' </div>';
						html += ' <div class="taC p10" data-more="more" data-val="' + ID + '" data-img="">';
						html += '	<button type="button" class="mui-btn mui-btn-success">查看更多</button>';
						html += ' </div>';
						html += '</div>';
					}
					html += '<div class="activity-theme">';
					html += '    <div class="title">';
					html += '        <div class="place"></div>';
					html += '        <h1><b>' + jsonList.list[i].S_Title + '</b></h1>';
					//html += '        <div data-val="' + jsonList.list[i].ID + '" data-img="' + jsonList.list[i].S_Pic + '" data-more="more" class="more floatR"><i class="fz13">更多 ></i></div>';
					html += '    </div>';
					html += '    <div style="clear:both"></div>';
					html += '    <div class="content">';
					if(k % 2 == 0) {
						html += '	<div class="item floatL"  data-val="sub-box" id="' + jsonList.list[i].P_ProductID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					} else {
						html += '	<div class="item"  data-val="sub-box" id="' + jsonList.list[i].P_ProductID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					}
					html += '			<div class="actpic">';
					if(jsonList.list[i].P_MobileMinPic != null && jsonList.list[i].P_MobileMinPic != '') {
						html += '	         <img src="../../images/logo-loading2.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileMinPic + '?width=650&height=370">';
					} else if(jsonList.list[i].P_MobileTitlePic != null && jsonList.list[i].P_MobileTitlePic != '') {
						html += '	         <img src="../../images/logo-loading2.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileTitlePic + '?width=650&height=370">';
					} else {
						html += '		     <img src="../../images/logo-loading2.png"/>';
					}
					html += '           </div>';
					html += '			<h3 style="font-weight:100;" class="nk">' + jsonList.list[i].P_Name + '</h3>';
					html += '			<div class="price"><sup class="paymoney fz8">&yen;</sup><i class="paymoney">' + jsonList.list[i].P_Price + '</i><i class="dw" style="font-size:9px">起</i></div>';
					if(parseFloat(jsonList.list[i].P_Price) <= jsonList.list[i].CouponMaxAmount) {
						html += '		<label class="total" style="text-align: right;">用券省 <sup class="paymoney fz10">&yen;</sup>' + jsonList.list[i].P_Price + '&nbsp;&nbsp;&nbsp;&nbsp;</label>';
					} else {
						html += '		<label class="total" style="text-align: right;">用券省 <sup class="paymoney fz10">&yen;</sup>'+jsonList.list[i].CouponMaxAmount+'&nbsp;&nbsp;&nbsp;&nbsp;</label>';
					}
					html += '		</div>';
					ID = jsonList.list[i].ID;
					S_Pic = jsonList.list[i].S_Pic;
					k += 1;
				} else {
					if(k % 2 == 0) {
						html += '	<div class="item floatL"  data-val="sub-box" id="' + jsonList.list[i].P_ProductID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					} else {
						html += '	<div class="item"  data-val="sub-box" id="' + jsonList.list[i].P_ProductID + '" data-val="' + jsonList.list[i].P_Classify + '">';
					}
					html += '			<div class="actpic">';
					if(jsonList.list[i].P_MobileMinPic != null && jsonList.list[i].P_MobileMinPic != '') {
						html += '	        <img src="../../images/logo-loading2.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileMinPic + '?width=650&height=370">';
					} else if(jsonList.list[i].P_MobileTitlePic != null && jsonList.list[i].P_MobileTitlePic != '') {
						html += '	        <img src="../../images/logo-loading2.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileTitlePic + '?width=650&height=370">';
					} else {
						html += '		    <img src="../../images/logo-loading2.png"/>';
					}
					html += '           </div>';
					html += '			<h3 style="font-weight:100;" class="nk">' + jsonList.list[i].P_Name + '</h3>';
					html += '			<div class="price"><sup class="paymoney fz8">&yen;</sup><i class="paymoney">' + jsonList.list[i].P_Price + '</i><i class="dw" style="font-size:9px">起</i></div>';
					if(parseFloat(jsonList.list[i].P_Price) <= jsonList.list[i].CouponMaxAmount) {
						html += '		<label class="total" style="text-align: right;">用券省 <sup class="paymoney fz10">&yen;</sup>' + jsonList.list[i].P_Price + '&nbsp;&nbsp;&nbsp;&nbsp;</label>';
					} else {
						html += '		<label class="total" style="text-align: right;">用券省 <sup class="paymoney fz10">&yen;</sup>'+jsonList.list[i].CouponMaxAmount+'&nbsp;&nbsp;&nbsp;&nbsp;</label>';
					}
					html += '		</div>';
					ID = jsonList.list[i].ID;
					S_Pic = jsonList.list[i].S_Pic;
					k += 1;
				}
			}
			if(html != '') {
				html += ' </div>';
				html += ' <div class="taC p10" data-more="more" data-val="' + ID + '" data-img="">';
				html += '	<button type="button" class="mui-btn mui-btn-success">查看更多</button>';
				html += ' </div>';
				html += '</div>';
			}
			$('#divSpecial').html(html);
			lazyLoadApi.addElements();
			addEvent();
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

/**
 * 加载事件（活动）
 */
function addEvent() {
	$("div[data-val='sub-box']").off();
	//添加列表项的点击事件
	$("div[data-val='sub-box']").on('tap', function(e) {
		var id = this.getAttribute('id');
		var type = $(this).attr('data-val');
		//打开详情页面（亲子卡类）
		openWin3('../product/product-detail.html', 'product-detail.html', {
			productId: id
		});
	});
	//更多
	$("div[data-more='more']").on('tap', function() {
		var id = $(this).attr("data-val");
		var pic = $(this).attr("data-img");
		if(id != '') {
			//显示年卡活动   
			var param = " and P_YearCard='1' and P_Status='1' ";
			openProductList('年卡优惠券可用产品', param);
			//			openWin1('../product/product-special-detail.html', 'product-special-detail.html', {
			//				specialTopicId: id,
			//				pic: pic,
			//				title: '年卡优惠券可用产品'
			//			});
		}
	});
}

/**
 *打开产品列表页面 
 */
function openProductList(title, qParam) {
	openWin1('../product/product-list.html', 'product-list.html', {
		params: qParam,
		longt: '0',
		lat: '0',
		title: title
	});
}