mui.init();
mui.plusReady(function() {
	showJeelvCardList();
});

//显示列表
function showJeelvCardList() {
	$('.notrecord').hide();
	var userInfo = getUserInfo();
	if (userInfo != null) {
		var jsData1 = {
			userId: userInfo.ID
		}
		//获取预订确认信息  
		app.callWebApi('AppUser', 'ShowJeelvCardList', jsData1, null,
			function(result) {
				if (result != '') {
					$('#jsonList li').remove();
					var jsonList = $.parseJSON(result);
					var html = '';
					for (var i = 0; i < jsonList.length; i++) {
						html += '<li data-val="' + jsonList[i].Y_CARD_NO + '" class="mui-table-view-cell mui-media">';
						html += '	<a  class="mui-navigate-right" href="javascript:;">';
						html += '		<img style="width:400px;" class="mui-media-object mui-pull-left" src="' + getUploadServer() +
							'/Upload/UserPic/' +
							jsonList[i].Y_CHILD_PHOTO + '">';
						html += '		<div class="mui-media-body">';
						html += '           <span style="font-size:18px">' + jsonList[i].Y_CHILD_NAME +
							'</span><span style="float:right;color:red">' +
							jsonList[i].NAME + '</span>';
						html += '			<p  style="font-size:14px" class="mui-ellipsis">卡&nbsp;&nbsp;&nbsp;&nbsp;号：' + jsonList[i].Y_CARD_NO +
							'</p>';
						html += '			<p  style="font-size:14px" class="mui-ellipsis">有效期：' + jsonList[i].Y_VALIDITY_DATE.substring(0, 10) +
							'</p>';
						html += '		</div>';
						html += '	</a>';
						html += '</li>';

					}
					$('#jsonList').append(html);

					$("#jsonList li").off();
					/*绑定编辑按钮*/
					$("#jsonList li").on("tap", function() {
						openWin1('my-growup-card.html', 'my-growup-card.html', {
							cardNo: $(this).attr('data-val')
						});
					});
				} else {
					$('.notrecord').show();
				}
			},
			function(xhr, type, errorThrown) {
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}
}
