var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "a.U_QuestionByTime desc";
var totalNum = 0;
var detailPage = null;
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//初始化单页view
//var viewApi = mui('#app').view({
//	defaultPage: '#QA_main'
//});
////初始化单页的区域滚动
//mui('.mui-scroll-wrapper').scroll();
//var view = viewApi.view;
//var oldBack = mui.back;
//var isback = false;
//$(function() {
//	//处理view的后退与webview后退
//	mui.back = function() {
//		if (viewApi.canBack()) { //如果view可以后退，则执行view的后退
//			viewApi.back();
//		} else { //执行webview后退
//			oldBack();
//		}
//	};
//
//});

//初始化 
mui.plusReady(function() {
	//判断平台
	//	if(plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var userInfo = getUserInfo();
	if(userInfo != null) {
		plus.nativeUI.closeWaiting();
		queryParam = " and a.U_UserID='" + userInfo.ID + "'";
		loadData(currentPage, queryParam, tmpOrderBy, 1)
	}
});
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		//window.location.reload();
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, queryParam, tmpOrderBy, 1);
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(totalNum != $("#divQuestion .text_note").length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, queryParam, tmpOrderBy, 0);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}
/**
 *加载数据 
 */
function loadData(currentPage, queryParam, orderBy, reload) {
	$('.notrecord').hide();
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$('#divQuestion').html('');
	}
	app.commonLoadData(currentPage, '15', queryParam, orderBy, 'AppUser', 'ShowQuestionList', function(result) {
			var jsonList = $.parseJSON(result);
			totalNum = jsonList.total;
			if(totalNum == 0) {
				plus.nativeUI.closeWaiting();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				$('.notrecord').show();
				return;
			}
			var html = '';
			for(var i = 0; i < jsonList.list.length; i++) {
				if(jsonList.list[i].U_IsAnswer == '1') {
					html = '<div class="text_note qa-box-time"><span>' + jsonList.list[i].U_QuestionByTime.replace('T', ' ') + '</span></div>';
					html += '<div class="mui-card p10 posi-r new-qa">';
					html += '	 <p class="fz12 ellipsis">';
					html += '		@' + jsonList.list[i].P_Name;
					html += '	 </p>';
					html += '	 <p class="color5">';
					html += jsonList.list[i].U_AnserContent;
					html += '	 </p>';
					html += '	 <a data-val="' + jsonList.list[i].ID + '" class="btn fz12 color2 pd10 line-top mui-block ">详情<span class="mui-icon mui-icon-arrowright mui-pull-right fz16"></span><a>';
					html += '</div>';
				} else {
					html = '<div class="text_note qa-box-time"><span>' + jsonList.list[i].U_QuestionByTime.replace('T', ' ') + '</span></div>';
					html += '<div class="mui-card p10 bj-gray">';
					html += '  <p class="fz12 ellipsis">';
					html += '		@' + jsonList.list[i].P_Name;
					html += '  </p>';
					html += '  <p class="color5">';
					html += '	暂未回复';
					html += '  </p>';
					html += '  <a data-val="" class="btn fz12 color2 pd10 line-top mui-block">详情<span class="mui-icon mui-icon-arrowright mui-pull-right fz16"></span></a>';
					html += '</div>';
				}
				$('#divQuestion').append(html);
			}
			$(".mui-card .btn").off();
			$(".mui-card .btn").on("tap", function() {
				var id = $(this).attr('data-val');
				if(id != '') {
					openWin2('QA-detail.html', 'QA-detail.html', {
						qid: id
					});
				}
			});
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}