var pageSize = "20";
var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "P_OrderId";
var totalNum = 0;
var detailPage = null;
var lat = '0';
var longt = '0';

//懒加载
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//初始化 
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var self = plus.webview.currentWebview();
	self.setStyle({
		'render': 'always'
	});
	//判断平台
	//	if(plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	var browseProduct = getBrowseProduct();
	if(browseProduct != null && browseProduct != '') {
		queryParam = " and a.id in(" + browseProduct + ")";
		loadData(currentPage, pageSize, queryParam, tmpOrderBy, 1, lat, longt);
	} else {
		plus.nativeUI.closeWaiting();
	}
});

//拖拽后显示操作图标，点击操作图标删除元素；
var btnArray = ['确认', '取消'];
mui('#jl-table-view').on('tap', '.mui-btn', function(event) {
	var id = $(this).attr('data-id');
	var elem = this;
	var li = elem.parentNode.parentNode;
	mui.confirm('确认删除活动浏览吗？', '请确认', btnArray, function(e) {
		if(e.index == 0) {
			delBrowseProduct(id);
			li.parentNode.removeChild(li);
			mui.toast('删除成功！');
		} else {
			setTimeout(function() {
				mui.swipeoutClose(li);
			}, 0);
		}
	});
});

/*清空*/
$("#btn_del_all").on("tap", function() {
	mui.confirm('确认清空所有记录？', '温馨提示', btnArray, function(e) {
		/*清空缓存后，删除HTML*/
		if(e.index == 0) {
			clearBrowseProduct();
			$("#jl-table-view li").remove();
			$(".notrecord").show();
			$(".notrecord").text("已清空所有浏览历史");
		}
	});
});