var pageSize = "20";
var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "P_OrderId";
var totalNum = 0;
var detailPage = null;
var lat = '0';
var longt = '0';
//懒加载
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//初始化 
mui.plusReady(function() {
	//判断平台
	//	if(plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	var self = plus.webview.currentWebview();
	self.setStyle({
		'render': 'always'
	});
	var userInfo = getUserInfo();
	if(userInfo != null) {
		queryParam = " and a.id in(select U_ProductID from JL_UserProductCollection where U_UserID='" + userInfo.ID + "')";
		loadData(currentPage, pageSize, queryParam, tmpOrderBy, 1, lat, longt);
	}
});

//拖拽后显示操作图标，点击操作图标删除元素；
var btnArray = ['确认', '取消'];
mui('#jl-table-view').on('tap', '.mui-btn', function(event) {
	var id = $(this).attr('data-id');
	var elem = this;
	var li = elem.parentNode.parentNode;
	mui.confirm('确认删除该收藏？', '请确认', btnArray, function(e) {
		if(e.index == 0) {
			var userId = '';
			var userInfo = getUserInfo();
			if(userInfo != null) {
				userId = userInfo.ID
			}
			/*校验支付密码，支付密码正确，下一步*/
			var jsData1 = {
				productId: id,
				userId: userId
			}
			//显示用户的银行卡
			app.callWebApi('AppUser', 'DelUserProductCollection', jsData1, null,
				function(result) {
					if(result.RESULT == "") {
						li.parentNode.removeChild(li);
						mui.toast('删除成功！');
					} else {
						mui.toast(result.RESULT);
					}
				},
				function(xhr, type, errorThrown) {
					mui.toast('获取数据失败，请检查网络是否正常！' + type);
				});
		} else {
			setTimeout(function() {
				mui.swipeoutClose(li);
			}, 0);
		}
	});
});