var server = getUploadServer() + "/Common/UploadFile.ashx";
var files = [];
var zipfiles = [];
var zipDir = "_zipDoc";
var zipFullPath = "";
// 添加文件
var index = 1;
mui.init();

//默认为好评
$(".jl-star-feed li").removeClass("notborder");
$(".jl-star-feed li").last().addClass("notborder");
$(".jl-star-feed li").last().parent().children("li").children().removeClass("color3");
$(".jl-star-feed li").last().children().addClass("color3");
$(".jl-star-item").show();
for(var i = 0; i < (5 - 0); i++) {
	var li = document.createElement("li");
	var img = document.createElement("img");
	img.src = "../../images/star_s_on.png";
	$(".jl-star-item").append(img);
}

mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	$('#orderId').val(self.orderId);

	var oldBack = mui.back;
	//处理view的后退与webview后退
	mui.back = function() {
		//删除压缩文件
		for(var i = 0; i < zipfiles.length; i++) {
			deleteFile(zipfiles[i].path);
		}
		oldBack();
	};
	//删除备份文件
	deleteDirectory();
});
mui(".jl-feed-images").on("tap", ".feed-btnadd-img", function(e) {
	if(mui.os.plus) {
		var a = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}];
		plus.nativeUI.actionSheet({
			title: "上传活动照片",
			cancel: "取消",
			buttons: a
		}, function(b) {
			switch(b.index) {
				case 0:
					break;
				case 1:
					/*拍照*/
					plus.nativeUI.showWaiting("加载中...", {
						padlock: true,
						width: 120,
						height: 120
					});
					getImage();
					break;
				case 2:
					plus.nativeUI.showWaiting("加载中...", {
						padlock: true,
						width: 120,
						height: 120
					});
					galleryImgs();
					break;
				default:
					break
			}
		})
	}
});

//直接拍照图片
function getImage() {
	var rnd = new Date().getTime();
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		//plus.gallery.save(e);
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			if(zipfiles.length >= 3) {
				plus.nativeUI.closeWaiting();
				mui.toast('最多添加3张图片。');
				return;
			}
			document.getElementById("feed_images").style.display = 'block';
			var s = entry.toLocalURL();
			/*将该头像文件上传到服务器端，远程读取图片地址*/
			var li = document.createElement("li");
			var img = document.createElement("img");
			img.src = s;
			li.appendChild(img);
			document.getElementById("feed_images").appendChild(li);
			$(li).on("tap", function() {
				var ol = $(this);
				mui.confirm("确定要移除吗？", function(e) {
					if(e.index == 1) {
						var src = ol.find('img').attr('src');
						src = src.substring(src.lastIndexOf('/') + 1);
						for(var i = 0; i < zipfiles.length; i++) {
							if(zipfiles[i].path.indexOf(src) > -1) {
								zipfiles.pop(zipfiles[i]);
							}
						}
						ol.remove();
					}
					$("#feed_images").css("display", ($("#feed_images").children().length == 0 ? "none" : "block"));
				})
			});
			//压缩图片
			compressImage(s);
			plus.nativeUI.closeWaiting();
		}, function(e) {
			mui.toast("读取拍照文件错误：" + e.message);
			plus.nativeUI.closeWaiting();
		});
	}, function(s) {
		//mui.toast("error" + s);
		plus.nativeUI.closeWaiting();
	}, {
		filename: "_doc/" + rnd + ".jpg"
	});
}

// 从相册中选择图片/
function galleryImgs() {
	//plus.nativeUI.toast("长按图片1秒，即可选择", {
	//	duration: "long"
	//});
	//移除所有
	$('#feed_images li').remove();
	plus.gallery.pick(function(e) {
		//获取压缩文件目录
		//var path = plus.io.RP e.files[0].substring(0, e.files[0].lastIndexOf('/') + 1) + zipDir;
		deleteDirectory();
		document.getElementById("feed_images").style.display = 'block';
		for(var i in e.files) {
			var li = document.createElement("li");
			var img = document.createElement("img");
			img.src = e.files[i];
			li.appendChild(img);
			document.getElementById("feed_images").appendChild(li);
			$(li).on("tap", function() {
				var ol = $(this);
				mui.confirm("确定要移除吗？", function(e) {
					if(e.index == 1) {
						var src = ol.find('img').attr('src');
						src = src.substring(src.lastIndexOf('/') + 1);
						for(var i = 0; i < zipfiles.length; i++) {
							if(zipfiles[i].path.indexOf(src) > -1) {
								zipfiles.pop(zipfiles[i]);
							}
						}
						ol.remove();
					}
					$("#feed_images").css("display", ($("#feed_images").children().length == 0 ? "none" : "block"));
				})
			});
		}
		//压缩图片
		setTimeout("zipFiles()", 1000);
	}, function(e) {
		plus.nativeUI.toast("长按选择，至少选择一张以上的照片");
		plus.nativeUI.closeWaiting();
	}, {
		filter: "image",
		multiple: true,
		maximum: 3,
		system: false,
		onmaxed: function() {
			plus.nativeUI.alert('最多只能选择3张图片');
		}
	});
}

//压缩所有文件
function zipFiles() {
	zipfiles.length = 0;
	$('#feed_images li').each(function() {
		console.log($(this).children().attr('src'));
		compressImage($(this).children().attr('src'));
	});
	setTimeout("plus.nativeUI.closeWaiting()", 4000);
}

$(function() {
	$(".jl-star-feed li").on("tap", function() {
		$(this).parent().children("li").removeClass("notborder");
		$(this).addClass("notborder");
		$(this).parent().children("li").children().removeClass("color3");
		$(this).children().addClass("color3");
		var n = parseInt($(this).attr("data-val"));
		var m = parseInt($(".jl-star-item").children().length);
		if(n > m) {
			$(".jl-star-item").show();
			for(var i = 0; i < (n - m); i++) {
				var li = document.createElement("li");
				var img = document.createElement("img");
				img.src = "../../images/star_s_on.png";
				$(".jl-star-item").append(img);
			}
		} else {
			var i = m - n;
			removestar(i);
		}
	});
});

function removestar(i) {
	if(parseInt($(".jl-star-item").children().length) == 0) {
		$(".jl-star-item").hide();
	}
	if(i > 0) {
		$(".jl-star-item img:last-child").animate({
			height: '0px',
			width: '0px'
		}, function() {
			$(this).remove();
			removestar(i - 1);
		});
	}
}
/*发布*/
$('#btnPublish').on('tap', function() {
	if($('#orderId').val() == null || $('#orderId').val() == '') {
		mui.toast('该订单号不存在，请重新选择！');
		mui.back();
		return;
	}
	var starNumber = $(".jl-star-feed").find('.notborder').attr('data-val');
	if(starNumber == undefined) {
		mui.toast('亲，您没有选择评价！');
		return;
	}
	if($('#textarea').val() == '') {
		mui.toast('亲，您还没有写评价哦！');
		return;
	}
	//	index = 1;
	//	files.length = 0;
	//	zipfiles = [];
	//	$('#feed_images li').each(function() {
	//		appendFile($(this).children().attr('src'));
	//	});
	//没有文件就直接文件评价
	if(zipfiles.length <= 0) {
		plus.nativeUI.showWaiting("操作中...", {
			padlock: true,
			width: 120,
			height: 120
		});
		saveUserComment('', $('#orderId').val(), $('#textarea').val(), '', starNumber);
	} else {
		upload();
	}
});
// 压缩图片
function compressImage(src) {
	// 这是API文档里面写的很清楚的，获取文件entry，entry是文件操作接口
	var filename = src.substring(src.lastIndexOf('/') + 1);
	//  var zipFilepath = src.substring(0, src.lastIndexOf('/') + 1) + "_zipDoc/zip-" + filename;
	//	plus.io.resolveLocalFileSystemURL(zipFilepath,
	//		function(entry) {
	//			console.log("已存在图片：" + entry.name);
	//			appendZipFile(zipFilepath);
	//		},
	//		function(e) {
	//			console.log("不存在图片：" + entry.name);
	//		}
	//	);
	console.log("开始压缩图片：");
	plus.zip.compressImage({
			src: src,
			dst: zipFullPath + 'zip-' + filename,
			quality: 80,
			//			overwrite: true,  
			width: '30%',
			height: '30%'
			//			clip: {
			//				top: "25%",
			//				left: "25%",
			//				width: "50%",
			//				height: "50%"
			//			}
		},
		function(i) {
			//plus.nativeUI.closeWaiting();
			//display.style.display = "block";
			//clipimg.src = i.target;
			//alert("压缩图片成功：" + JSON.stringify(i));
			console.log("压缩图片成功：" + JSON.stringify(i));
			appendZipFile(i.target);
		},
		function(e) {
			//plus.nativeUI.closeWaiting();
			alert("压缩失败" + JSON.stringify(e));
			appendFile(src);
			console.log("压缩图片失败: " + JSON.stringify(e));
		});
}
// 添加文件
function appendFile(p) {
	files.push({
		name: "uploadkey" + index,
		path: p
	});
	index++;
}
// 添加压缩文件
function appendZipFile(p) {
	zipfiles.push({
		name: "uploadkey" + index,
		path: p
	});
	index++;
}
// 上传文件
function upload() {
	//			if (files.length <= 0) {
	//				plus.nativeUI.alert("没有添加上传文件！");
	//				return;
	//			}
	//开始上传
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var task = plus.uploader.createUpload(server, {
			method: "POST"
		},
		function(t, status) { //上传完成
			if(status == 200) {
				plus.nativeUI.closeWaiting();
				var result = t.responseText.split('!');
				if(result[0] == 'success') {
					var starNumber = $(".jl-star-feed").find('.notborder').attr('data-val');
					saveUserComment('', $('#orderId').val(), $('#textarea').val(), result[1], starNumber);
					index = 1;
					//删除压缩文件
					for(var i = 0; i < zipfiles.length; i++) {
						deleteFile(zipfiles[i].path);
					}
					zipfiles = 0;
				} else {
					mui.toast(result[1]);
				}
			} else {
				plus.nativeUI.closeWaiting();
				alert("上传失败：" + status);
			}
		}
	);
	task.addData("folderName", "CommPic");
	task.addData("isCreateDateFolder", "0");
	for(var i = 0; i < zipfiles.length; i++) {
		var f = zipfiles[i];
		task.addFile(f.path, {
			key: f.name
		});
	}
	task.start();
}

//删除文件
function deleteFile(url) {
	// 这是API文档里面写的很清楚的，获取文件entry，entry是文件操作接口
	plus.io.resolveLocalFileSystemURL(url, function(entry) {
		entry.remove(function(e) {
			plus.console.log("删除成功:" + url);
		}, function(e) {
			plus.console.log("删除失败" + url);
		});
	});
}

//删除目录下的所有文件
function deleteDirectory() {
	//先检查目录是否存在，不存在就先创建
	plus.io.requestFileSystem(plus.io.PRIVATE_DOC, function(fs) {
		fs.root.getDirectory(zipDir, {
			create: true
		}, function(entry) {
			zipFullPath = entry.fullPath;
			//删除目录中的文件
			plus.io.resolveLocalFileSystemURL(zipFullPath, function(entry) {
				// 可通过entry对象操作test.html文件 
				// 创建读取目录信息对象 
				var directoryReader = entry.createReader();
				directoryReader.readEntries(function(entries) {
					for(var i = 0; i < entries.length; i++) {
						//var name = entries[i].name;
						entries[i].remove(function(e) {
							console.log("删除成功");
						}, function(e) {
							console.log("删除失败");
						});
					}
				}, function(e) {
					console.log("Read entries failed: " + e.message);
					//alert("Read entries failed: " + e.message);
				});
			}, function(e) {
				console.log("Resolve file URL failed: " + e.message);
				//alert("Resolve file URL failed: " + e.message);
			});
		}, function(e) {
			console.log("打开压缩目录失败: " + e.message);
			//alert("打开压缩目录失败: " + e.message);
		});
	});

}

/**
 *保存用户评价 
 */
function saveUserComment(id, orderId, content, imgs, starNumber) {
	var jsData1 = {
		id: id,
		userId: '',
		orderId: orderId,
		content: content,
		imgs: imgs,
		starNumber: starNumber
	}
	app.callWebApi('AppUser', 'SaveUserComment', jsData1, null,
		function(result) {
			plus.nativeUI.closeWaiting();
			mui.toast(result.RESULT);
			var preWv = plus.webview.getWebviewById('order-list.html');
			preWv.evalJS("refrush()");
			mui.back();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}