var oldBack = mui.back;
//处理view的后退与webview后退
mui.back = function() {
	var wv = plus.webview.getWebviewById('product-notice.html');
	wv.evalJS('refrush()');
	oldBack();
};

//初始化 
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	showProductNoticeInfo(self.qid);
});

/**
 *显示详情 
 */
function showProductNoticeInfo(id) {
	$('#noticeInfo li').remove();
	var jsData1 = {
		id: id
	}
	app.callWebApi('AppUser', 'ShowProductNoticeInfo', jsData1, null,
		function(result) {
			var html = '';
			if(result != "") {
				result = $.parseJSON(result)[0];
				html = '<li class="mui-table-view-cell mui-media pdL15">';
				html += '	<img class="mui-media-object mui-pull-left br100" src="../../images/none.png">';
				html += '	<div class="mui-media-body fz12 color2">';
				html += '	   通知 小捷：<span class="mui-pull-right color2 fz10">' + result.U_AddbyTime.replace('T', ' ') + '</span>';
				html += '		<p class="colorBule">' + result.U_Notice + '</p>';
				html += '	</div>';
				html += '</li>';
				$('#O_ProductName').text(result.O_ProductName);
				$('#O_OrderNo').text(result.O_OrderNo);
				$('#O_StartDate').text(result.O_StartDate);
			}
			$('#noticeInfo').append(html);
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}