mui.init();
var pays = {};
var PAYSERVER = "";

//初始化
mui.plusReady(function() {

	var oldBack = mui.back;
	//处理view的后退与webview后退
	mui.back = function() {
		var wv = plus.webview.getWebviewById('recharge.html');
		if (wv != null) {
			wv.evalJS("ShowUser()");
		}
		oldBack();
	};

	var self = plus.webview.currentWebview();
	var amount = self.amount;
	//获取用户信息
	var userInfo = getUserInfo();
	if (userInfo != null) {
		$('#U_Code').text(userInfo.U_Code);
		$('#totalprice').text(amount);
	}
	$('#PayRecordID').val(self.PayID); //支付记录ID
	//关闭其它所有打开过的窗口除了当前和首页
	//closeOtherWin("payment.html");

	//支付链接
	PAYSERVER = getApiServer() + '/Common/RechargeService.ashx?PayRecordID=' + $('#PayRecordID').val() + '&PayId=';

	// 获取支付通道
	plus.payment.getChannels(function(channels) {
		for (var i in channels) {
			var channel = channels[i];
			pays[channel.id] = channel;
			checkServices(channel);
		}
	}, function(e) {
		mui.toast("获取支付通道失败：" + e.message);
	});
});

// 检测是否安装支付服务
function checkServices(pc) {
	if (!pc.serviceReady) {
		var txt = null;
		switch (pc.id) {
			case "alipay":
				txt = "检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？";
				break;
			default:
				txt = "系统未安装“" + pc.description + "”服务，无法完成支付，是否立即安装？";
				break;
		}
		plus.nativeUI.confirm(txt, function(e) {
			if (e.index == 0) {
				pc.installService();
			}
		}, pc.description);
	}
}

var w = null;
// 支付
function pay(id) {
	if (w) {
		return;
	}
	if (id === 'appleiap') {
		//outSet("应用内支付");
		//clicked('payment_iap.html');
		return;
	}
	//outLine("----- 请求支付 -----");
	var url = PAYSERVER;
	if (id == 'alipay' || id == 'wxpay') {
		url += id;
	} else {
		plus.nativeUI.alert("不支持此支付通道！", null, "支付通道");
		return;
	}
	var appid = plus.runtime.appid;
	if (navigator.userAgent.indexOf('StreamApp') >= 0) {
		appid = 'Stream';
	}
	url += '&appid=' + appid + '&total=';
	plus.nativeUI.showWaiting("处理中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	// 请求支付订单
	var amount = $('#totalprice').text();
	var xhr = new XMLHttpRequest();
	xhr.onreadystatechange = function() {
		plus.nativeUI.closeWaiting();
		switch (xhr.readyState) {
			case 4:
				if (xhr.status == 200) {
					//outLine("----- 请求订单成功 -----");
					var order = xhr.responseText;
					if (order.indexOf('FAIL') > -1) {
						order = order.replace('FAIL:', '');
						plus.nativeUI.alert("支付失败:" + order, null, "帐号充值");
						return;
					}
					//outLine('订单信息：' + order);
					plus.payment.request(pays[id], order, function(result) {
						//outLine("----- 支付成功 -----");
						//outLine(JSON.stringify(result));
						//mui.back();
						plus.nativeUI.alert("充值成功！", function() {
							mui.back();

						}, "帐号充值");
					}, function(e) {
						//outLine("----- 支付失败 -----");
						//outLine("[" + e.code + "]：" + e.message);
						plus.nativeUI.alert("支付失败", null, "支付失败：" + e.code);
					});
				} else {
					//outLine("----- 请求订单失败 -----");
					//outLine(xhr.status);
					plus.nativeUI.alert("获取订单信息失败！", null, "帐号充值");
				}
				break;
			default:
				break;
		}
	}
	xhr.open('GET', url + amount);
	//outLine("请求支付订单：" + url + amount);
	xhr.send();
}

$(function() {
	//$(".mui-table-view-cell").off();
	$(".mui-table-view-cell").on("tap", function() {
		if (!$(this).hasClass("mui-disabled")) {
			$(this).parent().children().removeClass("mui-selected")
			$(this).addClass("mui-selected");
		}
		return false;
	});
	var mask = mui.createMask(function() {
		$("#wallet-pay").removeClass("mui-active").hide();
	});
	/*点击确认支付按钮*/
	$(".jl-payment-btn").on("tap", function() {
		var payType = $(".mui-table-view-cell.mui-selected").attr("data-method");
		switch (payType) {
			case 'alipay':
				pay('alipay');
				break;
			case 'wxpay':
				pay('wxpay');
				break;
			case 'wallet':
				if ($('#O_TotalFees').text() != '') {
					var totalFees = parseFloat($('#O_TotalFees').text());
					var totalAmount = 0;
					if ($('#U_TotalAmount').text() != '') {
						totalAmount = parseFloat($('#U_TotalAmount').text());
					}
					if (totalFees > totalAmount) {
						var btnArray = ['否', '是'];
						mui.confirm('您的捷驴钱包余额不足，剩余款是否通过其他方式支付？', '订单捷驴钱包支付', btnArray, function(e) {
							if (e.index == 1) {
								mask.show(); //显示遮罩
								$("#wallet-pay").addClass("mui-active").show();
							}
						});
					} else {
						mask.show(); //显示遮罩
						$("#wallet-pay").addClass("mui-active").show();
					}
				}
				break;
			default:
				break;
		}
	});
	/*关闭按钮*/
	$(".mui-media .icon-guanbi").on("tap", function() {
		mask.close();
	});
	/*密码输入*/
	$(".num-plane td[data-value]").on("tap", function() {
		$(".pwd-plane li:not(.set)").eq(0).attr("data-value", $(this).attr("data-value")).addClass("set");
		if ($(".pwd-plane .set").children().length == 6) {
			var Password = '';
			$('.pwd-plane li').each(function() {
				Password += $(this).attr('data-value');
			});
			var jsData1 = {
					OrderNo: $('#O_OrderNo').val(),
					Password: MD5(Password)
				}
				//获取订单信息  
			app.callWebApi('AppOrder', 'AccountFundsPay', jsData1, null,
				function(result) {
					if (result.Result == "") {
						mui.toast('支付成功！')
						mask.close();
					} else {
						mui.toast(result.Result);
						$(".pwd-plane .set").attr("data-value", "").removeClass("set");
					}
				},
				function(xhr, type, errorThrown) {
					mask.close();
					mui.toast('获取数据失败，请检查网络是否正常！' + type);
				});
		}
	});
	/*退格键*/
	$(".num-plane .del").on("tap", function() {
		$(".pwd-plane .set").last().attr("data-value", "").removeClass("set");
	});
	/*捷驴钱包说明*/
	$(".pay-detail .pay-i").on("tap", function() {
		mui.alert('若当前捷驴钱包余额不足以付清，剩余款需通过其他方式支付。', '温馨提示');
	});
	setTimeout(function() {
		$(".sec-safe").animate({
			height: 'hide'
		}, 1000);
	}, 5000);
});