mui.init();
var ipt = document.getElementById("rechargeprice");
ipt.focus();
ShowUser();

mui.plusReady(function() {
	var oldBack = mui.back;
	//处理view的后退与webview后退
	mui.back = function() {
		var wv = plus.webview.getWebviewById('wallet.html');
		if(wv != null) {
			wv.evalJS("ShowUser()");
		}
		oldBack();
	};
});

/**
 *显示用户信息 
 */
function ShowUser() {
	//获取用户信息
	var userInfo = getUserInfo();
	if(userInfo != null) {
		var jsData1 = {
			id: userInfo.ID
		}
		app.callWebApi('Member', 'ShowUser', jsData1, null,
			function(result) {
				if(result != "") {
					result = $.parseJSON(result);
					var amount = result.U_TotalAmount.toString();
					if(amount > 0) {
						if(amount.indexOf('.') > -1) {
							$('#yuan').text(amount.substr(0, amount.indexOf('.')));
							$('#jiao').text(amount.substr(amount.indexOf('.') + 1));
						} else {
							$('#yuan').text(amount);
							$('#jiao').text("00");
						}
					}
				}
			},
			function(xhr, type, errorThrown) {
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}
}

$(function() {
	//充值
	$('#recharge').on('tap', function() {
		if($('#rechargeprice').val() == '' || parseFloat($('#rechargeprice').val()) < 0) {
			mui.toast('充值金额输入有误，请重新输入！');
			return;
		}
		//获取用户信息
		var userInfo = getUserInfo();
		if(userInfo != null) {
			var jsData1 = {
				userId: userInfo.ID,
				amount: $('#rechargeprice').val()
			}
			app.callWebApi('AppUser', 'UserRecharge', jsData1, null,
				function(result) {
					if(result.RESULT == "") {
						mui.toast('请支付');
						openWin1('recharge-pay.html', 'recharge-pay.html', {
							PayID: result.PayID,
							amount: $('#rechargeprice').val()
						});
					} else {
						mui.toast(result.RESULT);
					}
				},
				function(xhr, type, errorThrown) {
					mui.toast('获取数据失败，请检查网络是否正常' + type);
				});
		} else {
			mui.toast('请先登录后，再充值！');
		}
	});

	/*JQuery 限制文本框只能输入数字和小数点*/
	$("#rechargeprice").keyup(function() {
		$(this).val($(this).val().replace(/[^0-9.]/g, ''));
	}).bind("paste", function() { //CTR+V事件处理    
		$(this).val($(this).val().replace(/[^0-9.]/g, ''));
	}).css("ime-mode", "disabled"); //CSS设置输入法不可用

});