mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	$('#inv-mobile').val(self.code);
});
//初始化单页view
var viewApi = mui('#app').view({
	defaultPage: '#reg_1'
});
//初始化单页的区域滚动
mui('.mui-scroll-wrapper').scroll();
var view = viewApi.view;
$(function() {
	//处理view的后退与webview后退
	var oldBack = mui.back;
	mui.back = function() {
		if(viewApi.canBack()) { //如果view可以后退，则执行view的后退
			viewApi.back();
		} else { //执行webview后退
			oldBack();
		}
	};
	//注册1
	$('#btn_login_next_1').on("tap", function() {
		if($('#mobile').val() == '' || $('#mobile').val().length != 11) {
			mui.toast('请输入手机号或手机号格式不正确！');
			return;
		}
		//		if($('#reg-code').val() == '') {
		//			mui.toast('请输入验证码或验证码不正确！');
		//			return;
		//		}
		$('#sendMobile').text($('#mobile').val());

		//需要验证码
		//		var jsData1 = {
		//				code: $('#reg-code').val()
		//			}
		//			//验证验证码  
		//		app.callWebApi('Common', 'CheckVerifyCode', jsData1, null,
		//			function(result) {
		//				if(result.flag == '1') {
		//					viewApi.go("#reg_2");
		//				} else {
		//					mui.toast('验证码输入不正确！');
		//				}
		//			},
		//			function(xhr, type, errorThrown) {
		//				mui.toast('获取数据失败，请检查网络是否正常！' + type);
		//			});

		//不需要验证码
		viewApi.go("#reg_2");
	});
	//注册2
	$('#btn_login_next_2').on("tap", function() {
		if($('#sendMobile').text() == '' || $('#sendMobile').text().length != 11) {
			mui.toast('请输入手机号或手机号格式不正确！');
			return;
		}
		if($('#val_code').val() == '') {
			mui.toast('请输入验证码！');
			return;
		}
		var jsData1 = {
				mobilePhone: $('#sendMobile').text(),
				verifyCode: $('#val_code').val()
			}
			//验证验证码  
		app.callWebApi('AppUser', 'CheckVerifyCode4Mobile', jsData1, null,
			function(result) {
				if(result.RESULT == '') {
					$('#sendMobile1').text($('#mobile').val());
					viewApi.go("#reg_3");
				} else {
					mui.toast(result.RESULT);
				}
			},
			function(xhr, type, errorThrown) {
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	});
	//注册3
	$('#btn_login_next_3').on('tap', function() {
		if($('#pwd').val() == '') {
			mui.toast('请输入设置密码！');
			return;
		}
		var jsData1 = {
				mobilePhone: $('#sendMobile').text(),
				password: MD5($('#pwd').val()),
				source: 'app',
				code: $('#inv-mobile').val()
			}
			//注册 
		app.callWebApi('AppUser', 'UserRegister', jsData1, null,
			function(result) {
				if(result.RESULT == '') {
					mui.toast('注册成功！');
					oldBack();
				} else {
					mui.toast(result.RESULT);
				}
			},
			function(xhr, type, errorThrown) {
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	});
	//监听页面切换事件方案1,通过view元素监听所有页面切换事件，目前提供pageBeforeShow|pageShow|pageBeforeBack|pageBack四种事件(before事件为动画开始前触发)
	//第一个参数为事件名称，第二个参数为事件回调，其中e.detail.page为当前页面的html对象
	view.addEventListener('pageBeforeShow', function(e) {
		//				console.log(e.detail.page.id + ' beforeShow');
	});
	view.addEventListener('pageShow', function(e) {
		//				console.log(e.detail.page.id + ' show');
	});
	view.addEventListener('pageBeforeBack', function(e) {
		//				console.log(e.detail.page.id + ' beforeBack');
	});
	view.addEventListener('pageBack', function(e) {
		//				console.log(e.detail.page.id + ' back');
	});
	//发送验证码到手机
	$('#send').on('tap', function() {
		var jsData1 = {
				code: '8005'
			}
			//发送验证码到手机   
		app.callWebApi('AppUser', 'SystemParams', jsData1, null,
			function(result) {
				var x = 120; //默认发送间隔
				if(result.RESULT == '') {
					x = parseInt(result.Value1);
				}
				//发送时间控制
				sendCodeTime(x, x);
				var jsData2 = {
						mobi: $('#sendMobile').text()
					}
					//发送验证码到手机   
				app.callWebApi('AppUser', 'SendRegCodeToMobile', jsData2, null,
					function(result) {
						mui.toast(result.RESULT);
					},
					function(xhr, type, errorThrown) {
						mui.toast('发送失败，请检查网络是否正常！' + type);
					});
			},
			function(xhr, type, errorThrown) {
				mui.toast('发送失败，请检查网络是否正常！' + type);
			});

	});
});

var temp = "";
refreshCode();

function refreshCode() {
	var img = document.getElementById("imgVerifyCode");
	if(img != null) {
		var currentDate = new Date();
		img.src = getApiServer() + "/Common/VerifyCodeImage.aspx?t=" + currentDate.getTime();
		$("#img_txtCode").hide();
		temp = "";
		$("#txtCode").val("");
	}
}

//扫码邀请
$('#scan').on('tap', function() {
	openWin2('barcode_scan.html', 'barcode_scan.html', {});
});

function scaned(t, r, f) {
	if(r.indexOf('invitationCode=') > -1) {
		var code = r.substring(r.indexOf('=') + 1);
		$('#inv-mobile').val(code);
	} else {
		mui.toast('二维码内容无效');
	}
	//			outLine("\n图片地址：" + f);
	//			if (!f || f == "null") {
	//				img.src = "../img/barcode.png";
	//			} else {
	//				plus.io.resolveLocalFileSystemURL(f, function(entry) {
	//					img.src = entry.toLocalURL();
	//				});
	//				//img.src = "http://localhost:13131/"+f;
	//			}
}