var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "U_TransDateTime desc";
var totalNum = 0;
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//初始化 
mui.plusReady(function() {
	//判断平台
	//	if (plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	var userInfo = getUserInfo();
	if(userInfo != null) {
		plus.nativeUI.showWaiting("加载中...", {
			padlock: true,
			width: 120,
			height: 120
		});
		queryParam = " and U_UserID='" + userInfo.ID + "'";
		tmpQueryParam = queryParam;
		loadData(currentPage, tmpQueryParam, tmpOrderBy, 1)
	}
});
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		//window.location.reload();
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, queryParam, tmpOrderBy, 1);
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(totalNum != $(".table tbody tr").length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, tmpQueryParam, tmpOrderBy, 0);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}
/**
 *加载数据 
 */
function loadData(currentPage, queryParam, orderBy, reload) {
	$('.notrecord').hide();
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$('#tbList tbody tr').remove();
	}
	app.commonLoadData(currentPage, '15', queryParam, orderBy, 'AppProduct', 'ShowUserTransDetailList', function(result) {
		var jsonList = $.parseJSON(result);
		totalNum = jsonList.total;
		if(totalNum == 0) {
			plus.nativeUI.closeWaiting();
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			$('.notrecord').show();
			return;
		}
		var html = '';
		for(var i = 0; i < jsonList.list.length; i++) {
			html = '<tr>';
			html += '	<td>' + jsonList.list[i].U_ConsType + '</td>';
			html += '	<td>';
			if(jsonList.list[i].U_Consumer != '' && jsonList.list[i].U_Consumer != null) {
				html += '<p>' + jsonList.list[i].U_Consumer + ' (' + jsonList.list[i].U_OrderPrice + '元)</p>';
			}
			html += '<p style="margin: 0px 0px;">' + jsonList.list[i].U_TransDateTime.replace('T', ' ');
			if(jsonList.list[i].U_IsSellProduct == '1') {
				html += '<label style="color:red;font-size:10px"> (特)</label>'
			}
			html += '</p>';
			html += '     </td>';
			html += '	<td>&yen;' + jsonList.list[i].U_Price + '</td>';
			html += '</tr>'
			$('#tbList tbody').append(html);
		}
		plus.nativeUI.closeWaiting();
	});
}

$(function() {
	/*选择类型查询*/
	$('#WalletType li').on('tap', function() {
		currentPage = "1";
		totalNum = 0;
		var type = $(this).attr('data-val');
		if(type != '') {
			tmpQueryParam = queryParam + " and a.U_ConsType='" + type + "'";
		} else {
			tmpQueryParam = queryParam;
		}
		mui('#pullrefresh').pullRefresh().refresh(true);
		//加载数据
		loadData(currentPage, tmpQueryParam, tmpOrderBy, 1);
		mui('.mui-popover').popover('toggle');
	});
});