mui.init();

$(function() {
	showMobile();
	//显示手机号码
	function showMobile() {
		var userInfo = getUserInfo();
		if(userInfo != null) {
			if(userInfo.U_Code != '') {
				$('#sendMobile').val(userInfo.U_Code);
				var mobile = userInfo.U_Code.substr(0, 3) + '****' + userInfo.U_Code.substr(7, 4);
				$('#mobile').val(mobile);
			} else {
				mui.toast('用户没有绑定手机，无法修改支付密码');
			}
		} else {
			mui.toast('用户没有登录，无法修改支付密码');
		}
	}

	//发送验证码到手机
	$('#send').on('tap', function() {
		var jsData1 = {
				code: '8005'
			}
			//发送验证码到手机   
		app.callWebApi('AppUser', 'SystemParams', jsData1, null,
			function(result) {
				var x = 120; //默认发送间隔
				if(result.RESULT == '') {
					x = parseInt(result.Value1);
				}
				//发送时间控制
				sendCodeTime(x, x);
				plus.nativeUI.showWaiting("发送中...", {
					padlock: true,
					width: 120,
					height: 120
				});
				var jsData2 = {
						mobi: $('#sendMobile').val()
					}
					//发送验证码到手机   
				app.callWebApi('AppUser', 'SendPayCodeToMobile', jsData2, null,
					function(result) {
						plus.nativeUI.closeWaiting();
						mui.toast(result.RESULT);
					},
					function(xhr, type, errorThrown) {
						plus.nativeUI.closeWaiting();
						mui.toast('发送失败，请检查网络是否正常！' + type);
					});
			},
			function(xhr, type, errorThrown) {
				mui.toast('发送失败，请检查网络是否正常！' + type);
			});

	});
	///*设置支付密码*/
	$('#btn_editpaypwd_complete').on("tap", function() {
		var userInfo = getUserInfo();
		if(userInfo != null) {
			if($('#sendMobile').val() == '' || $('#sendMobile').val().length != 11) {
				mui.toast('请输入手机号或手机号格式不正确！');
				return;
			}
			if($('#val_code').val() == '') {
				mui.toast('请输入验证码！');
				return;
			}
			if($('#pwd1').val() == '' || $('#pwd2').val() == '') {
				mui.toast('新支付密码或确认密码都不能为空！');
				return;
			}
			if($('#pwd1').val() != $('#pwd2').val()) {
				mui.toast('新支付密码和确认密码不相同，请重新输入！');
				return;
			}
			var jsData1 = {
					userId: userInfo.ID,
					mobilePhone: $('#sendMobile').val(),
					ps: MD5($('#pwd1').val()),
					verifyCode: $('#auth_code').val()
				}
				//验证验证码  
			app.callWebApi('AppUser', 'SetPayPassword', jsData1, null,
				function(result) {
					if(result.RESULT == '') {
						mui.toast('设置成功！');
						var openerWv = plus.webview.currentWebview().opener();
						openerWv.evalJS("SetStatus('PAY','成功')");
						mui.back();
					} else {
						mui.toast(result.RESULT);
					}
				},
				function(xhr, type, errorThrown) {
					mui.toast('获取数据失败，请检查网络是否正常！' + type);
				});
		} else {
			mui.toast('你没有登录，登录后再绑定或修改绑定手机！');
		}
	});
});