mui.init();
//初始化单页view
var viewApi = mui('#app').view({
	defaultPage: '#reset_pwd_main'
});
//初始化单页的区域滚动
mui('.mui-scroll-wrapper').scroll();
var view = viewApi.view;
var oldBack = mui.back;
var isback = false;
(function($, doc) {
	//处理view的后退与webview后退
	$.back = function() {
		if(viewApi.canBack()) { //如果view可以后退，则执行view的后退
			viewApi.back();
		} else { //执行webview后退
			oldBack();
		}
	};
})(mui, document);
$(function() {
	/*首次密码输入*/
	var newPwd = "",
		confirmPwd = "";
	$("#reset_pwd_main .num-plane td[data-value]").on("tap", function() {
		$("#reset_pwd_main .pwd-plane li:not(.set)").eq(0).attr("data-value", $(this).attr("data-value")).addClass("set");
		if($("#reset_pwd_main .pwd-plane .set").children().length == 6) {
			mui.toast('再次确认输入支付密码');
			$("#reset_pwd_confirm .pwd-plane").removeClass("bdred").children("li").removeClass("set");
			viewApi.go("#reset_pwd_confirm");
		}
	});
	/*确认密码输入*/
	$("#reset_pwd_confirm .num-plane td[data-value]").on("tap", function() {
		$("#reset_pwd_confirm .pwd-plane li:not(.set)").eq(0).attr("data-value", $(this).attr("data-value")).addClass("set");
		if($("#reset_pwd_confirm .pwd-plane .set").children().length == 6) {
			/*获取输入的密码*/
			newPwd = "";
			confirmPwd = "";
			$("#reset_pwd_main .pwd-plane .set").each(function() {
				newPwd += $(this).attr("data-value");
			});
			$("#reset_pwd_confirm .pwd-plane .set").each(function() {
				confirmPwd += $(this).attr("data-value");
			});
			/*判断2次密码是否正确*/
			if(newPwd == confirmPwd) {
				/*密码输入正确后，自动发送验证码到绑定的手机*/
				var userInfo = getUserInfo();
				if(userInfo.U_Code != '') {
					$('#sendMobile').text(userInfo.U_Code);
				}
				$('#ps').val(newPwd);
				viewApi.go("#reset_pwd_next");
			} else {
				$("#reset_pwd_confirm .pwd-plane").addClass("bdred");
				mui.alert("确认密码不正确，请重新输入");
			}
		}
	});
	/*退格键*/
	$("#reset_pwd_main .num-plane .del").on("tap", function() {
		$("#reset_pwd_main .pwd-plane .set").last().attr("data-value", "").removeClass("set");
	});
	$("#reset_pwd_confirm .num-plane .del").on("tap", function() {
		$("#reset_pwd_confirm .pwd-plane .set").last().attr("data-value", "").removeClass("set");
		if($("#reset_pwd_confirm .pwd-plane .set").length == 0) {
			$("#reset_pwd_confirm .pwd-plane").removeClass("bdred");
		}
	});
	//发送验证码到手机
	$('#send').on('tap', function() {
		var jsData1 = {
				code: '8005'
			}
			//发送验证码到手机   
		app.callWebApi('AppUser', 'SystemParams', jsData1, null,
			function(result) {
				var x = 120; //默认发送间隔
				if(result.RESULT == '') {
					x = parseInt(result.Value1);
				}
				//发送时间控制
				sendCodeTime(x, x);
				plus.nativeUI.showWaiting("发送中...", {
					padlock: true,
					width: 120,
					height: 120
				});
				var jsData2 = {
						mobi: $('#sendMobile').text()
					}
					//发送验证码到手机   
				app.callWebApi('AppUser', 'SendPayCodeToMobile', jsData2, null,
					function(result) {
						plus.nativeUI.closeWaiting();
						mui.toast(result.RESULT);
					},
					function(xhr, type, errorThrown) {
						plus.nativeUI.closeWaiting();
						mui.toast('发送失败，请检查网络是否正常！' + type);
					});
			},
			function(xhr, type, errorThrown) {
				mui.toast('发送失败，请检查网络是否正常！' + type);
			});

	});
	///*设置支付密码*/
	$('#btn_editpaypwd_complete').on("tap", function() {
		var userInfo = getUserInfo();
		if(userInfo != null) {
			if($('#sendMobile').text() == '' || $('#sendMobile').text().length != 11) {
				mui.toast('请输入手机号或手机号格式不正确！');
				return;
			}
			if($('#val_code').val() == '') {
				mui.toast('请输入验证码！');
				return;
			}
			if($('#ps').val() == '') {
				mui.toast('支付密码不能为空！');
				return;
			}
			var jsData1 = {
					userId: userInfo.ID,
					mobilePhone: $('#sendMobile').text(),
					ps: MD5($('#ps').val()),
					verifyCode: $('#val_code').val()
				}
				//验证验证码  
			app.callWebApi('AppUser', 'SetPayPassword', jsData1, null,
				function(result) {
					if(result.RESULT == '') {
						mui.toast('设置成功！');
						var openerWv = plus.webview.currentWebview().opener();
						openerWv.evalJS("SetStatus('PAY','成功')");
						oldBack();
					} else {
						mui.toast(result.RESULT);
					}
				},
				function(xhr, type, errorThrown) {
					mui.toast('获取数据失败，请检查网络是否正常！' + type);
				});
		} else {
			mui.toast('你没有登录，登录后再绑定或修改绑定手机！');
		}
	});
});