mui.init();
//初始化
mui.plusReady(function() {
	ShowUser();
	var oldBack = mui.back;
	//处理view的后退与webview后退
	mui.back = function() {
		var wv = plus.webview.getWebviewById('index-me.html');
		if(wv != null) {
			wv.evalJS("ShowUser()");
		}
		oldBack();
	};
});

$(function() {

	//充值
	$('.wallet-btn-rechange').on('tap', function() {
		openWin2('recharge.html', 'recharge.html', {});
	});

	//提现
	$('.wallet-btn-withdrawal').on('tap', function() {
		openWin2('withdraw.html', 'withdraw.html', {});
	});

	//交易明细
	$('#detail').on('tap', function() {
		openWin1('wallet-detail.html', 'wallet-detail.html', {});
	});

	//存入记录
	$('#inDetail').on('tap', function() {
		openWin1('recharge-list.html', 'recharge-list.html', {});
	});

	//转出记录
	$('#outDetail').on('tap', function() {
		openWin1('withdraw-list.html', 'withdraw-list.html', {
			exParam: ''
		});
	});

	//我的银行卡
	$('#bankCards').on('tap', function() {
		openWin1('myBankCards.html', 'myBankCards.html', {});
	});

	//安全设置
	$('#saveSet').on('tap', function() {
		openWin2('wallet-safety.html', 'wallet-safety.html', {});
	});

});

/**
 *显示用户信息 
 */
function ShowUser() {
	//获取用户信息
	var userInfo = getUserInfo();
	if(userInfo != null) {
		plus.nativeUI.showWaiting("加载中...", {
			padlock: true,
			width: 120,
			height: 120
		});
		var jsData1 = {
			id: userInfo.ID
		}
		app.callWebApi('Member', 'ShowUser', jsData1, null,
			function(result) {
				if(result != "") {
					result = $.parseJSON(result);
					//推销用户可以提现
					if(result.U_IsPromoteUser=='1')
					{
						$('#wallet-btn-withdrawal').show();
					}
					$('#U_Name').text(result.U_Name);
					$('#U_TotalAmount').text(result.U_TotalAmount);
					if(result.U_Icon != null && result.U_Icon != '') {
						if(result.U_Icon.indexOf('http:') < 0) {
							$('#U_Icon').attr('src', getUploadServer() + '/upload/UserPic/' + result.U_Icon + '?height=200&width=200');
						} else {
							$('#U_Icon').attr('src', result.U_Icon);
						}
					} else {
						$('#U_Icon').attr('src', '../../images/none.png');
					}
					//是否认证
					if(result.U_Code != null && result.U_Code != '' && result.U_RealName != null && result.U_RealName != '' && result.U_CardId != null && result.U_CardId != '') {
						$('#auth').text('已认证');
						$('#showAuth').off();
						$('#showAuth').on('tap', function() {
							openWin2('wallet-user-auth-view.html', 'wallet-user-auth-view.html', {
								userID: result.ID
							});
						});
					} else {
						$('#auth').text('未认证');
						$('#showAuth').off();
						$('#showAuth').on('tap', function() {
							openWin2('wallet-safety.html', 'wallet-safety.html', {
								userID: result.ID
							});
						});
					}
				}
				plus.nativeUI.closeWaiting();
			},
			function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				mui.toast('获取数据失败，请检查网络是否正常！' + type);
			});
	}
}