var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "a.B_OPERATOR_DATE desc";
var totalNum = 0;
var kh = '客服微信jeelv02'; //客服
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//初始化
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	//判断平台
	//	if(plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	var self = plus.webview.currentWebview();
	if(self.userID != null && self.userID != '') {
		queryParam = " and a.B_USER_ID='" + self.userID + "'";
		loadData(currentPage, queryParam, tmpOrderBy, 1);
	}
});


/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		//window.location.reload();
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, queryParam, tmpOrderBy, 1);
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if (totalNum != $('.order-list li').length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, queryParam, tmpOrderBy, 0);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}

/**
 *加载数据 
 */
function loadData(currentPage, queryParam, orderBy, reload) {
	$('.notrecord').hide();
	//如果为重新加载，就清空列表
	if (reload == 1) {
		$('.order-list li').remove();
	}
	app.commonLoadData(currentPage, '15', queryParam, orderBy, 'AppOrder', 'ShowBookingOrderList', function(result) {
			var jsonList = $.parseJSON(result);
			totalNum = jsonList.total;
			if (totalNum == 0) {
				$('.notrecord').show();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				plus.nativeUI.closeWaiting();
				return;
			}
			var html = '';
			for (var i = 0; i < jsonList.list.length; i++) {
				html = '<li class="o-list-item">';
				if (jsonList.list[i].B_STATUS == '1001') {
					html += '<div class="o-hd bj100">';
				} else if (jsonList.list[i].B_STATUS == '9001') {
					html += '<div class="o-hd bj900">';
				} else {
					html += '<div class="o-hd">';
				}
				html += '<i class="money ftnormal fz18"><sup class="ftnormal fz10"></sup>' + jsonList.list[i].NAME + '</i>';
				html += '</div>';
				html += '<div class="o-cont" data-value="' + jsonList.list[i].ID + '">';
				html += '<h2 class="fz14">' + jsonList.list[i].B_PRODUCT_NAME + '</h2>';
				html += '<p class="fz12"><i class="ftnormal mrr5">预约编号：</i><i class="ftnormal color5">' + jsonList.list[i].B_ORDER_NO+'</i></p>';
				html += '<p class="fz12"><i class="ftnormal mrr5">儿童姓名：</i><i class="ftnormal color5">' + jsonList.list[i].B_CHILD_NAME +
					'</i></p>';
				html += '<p class="fz12"><i class="ftnormal mrr5">活动日期：</i><i class="ftnormal color5">' + jsonList.list[i].B_ACTIVITY_DATE +'</i></p>';
				html += '<p class="fz12"><i class="ftnormal mrr5">活动时间：</i><i class="ftnormal color5">' + jsonList.list[i].B_ACTIVITY_TIME +
					'</i></p>';
				html += '<p class="fz12"><i class="ftnormal mrr5">下单时间：</i><i class="ftnormal color5">' + jsonList.list[i].B_OPERATOR_DATE
					.replace('T', ' ') + '</i></p>';
				html += '</div>';
				html += '<div class="o-ft">';
				//已预约
				if (jsonList.list[i].B_STATUS == '1001') {
					html += '<button b-id="btnCancel" data-value="' + jsonList.list[i].ID +
						'" type="button" class="mui-btn mui-btn-danger mui-btn-outlined mui-pull-left"><span class="mui-icon mui-icon-trash"></span>取消预约</button>';
					//预约二维码（活动）
					html += '<button b-id="btnQR1" data-id="' + jsonList.list[i].ID + '" data-value="' + jsonList.list[i].B_ORDER_NO +
						'" type="button" class="mui-btn mui-btn-success mui-icon mui-icon-redo mui-pull-right">预约二维码</button>';
				} else {
					//预约二维码（活动）
					html += '<button b-id="btnQR1" data-id="' + jsonList.list[i].ID + '" data-value="' + jsonList.list[i].B_ORDER_NO +
						'" type="button" class="mui-btn mui-btn-success mui-icon mui-icon-redo mui-pull-right">预约二维码</button>';
				}
				html += '</div>';
				html += '</li>';
				$('.order-list').append(html);
			}
			plus.nativeUI.closeWaiting();

			//操作事件绑定 
			$('.o-ft button').off();
			$('.o-ft button').on('tap', function() {
				var type = $(this).attr('b-id');
				switch (type) {
					case "btnCancel": //绑定取消预约按钮  
						//获取用户信息
						var userInfo = getUserInfo();
						var id = $(this).attr('data-value');
						var btnArray = ['否', '是'];
						mui.confirm('是否确认要取消预约？', '消息提示', btnArray, function(e) {
							if (e.index == 1) {
								var jsData1 = {
									id: id,
									status: '9001',
									operateUser: userInfo.ID
								}
								//取消预约操作  
								app.callWebApi('AppOrder', 'SetBookingOrderStatus', jsData1, null,
									function(result) {
										//加载数据
										refrush();
										mui.toast(result.RESULT);
									},
									function(xhr, type, errorThrown) {
										mui.toast('获取数据失败，请检查网络是否正常！' + type);
									});
							}
						});
						break;
					case "btnQR1": //绑定预约二维码（亲子活动类）
					    var orderNo=$(this).attr('data-value');
						var mask = mui.createMask(function() {
							$("#orderQR").removeClass("mui-active").hide();
						});
						mask.show(); //显示遮罩
						
						$("#orderQR").addClass("mui-active").show();
						$("#imgEWM").attr('src', getWebAppServer() + '/common/create_qrcode.ashx?code_url=' + orderNo);
						$("#imgEWM").show();
						$("#orderQR").addClass("mui-active").show();
						$("#subOrderList li").remove();
						$("#subOrderList").hide();
						break;
				}
			});
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//刷新数据
function refrush() {
	currentPage = "1";
	totalNum = 0;
	loadData(currentPage, queryParam, tmpOrderBy, 1);
}
