var currentPage = "1";
var queryParam = "";
var queryParam1 = "";
var tmpQueryParam = "";
var tmpOrderBy = "a.O_OrderDate desc";
var totalNum = 0;
var isPromoteUser = '0';
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});


//初始化
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	//判断平台
	//	if(plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	var self = plus.webview.currentWebview();
	if(self.InvitationCode != null && self.InvitationCode != '') {
		queryParam = " and a.O_SingleShareReturn='1' and a.O_InvitationCode='" + self.InvitationCode + "'";
		loadData(currentPage, queryParam + " and (a.O_Status='2001' or a.O_Status='6001')", '', tmpOrderBy, 1);
	}
});


/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, queryParam + " and (a.O_Status='2001' or a.O_Status='6001')", '', tmpOrderBy, 1);
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if (totalNum != $('.order-list li').length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, queryParam, '', tmpOrderBy, 0);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}

/**
 *加载数据 
 */
function loadData(currentPage, queryParam, queryParam1, orderBy, reload) {
	$('.notrecord').hide();
	//如果为重新加载，就清空列表
	if (reload == 1) {
		$('.order-list li').remove();
	}
	app.commonLoadData2(currentPage, '15', queryParam, queryParam1, orderBy, 'AppOrder', 'ShowOrderList', function(result) {
			var jsonList = $.parseJSON(result);
			totalNum = jsonList.total;
			if (totalNum == 0) {
				$('.notrecord').show();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				plus.nativeUI.closeWaiting();
				return;
			}
			var html = '';
			for (var i = 0; i < jsonList.list.length; i++) {
				//if(parseFloat(jsonList.list[i].O_ReturnBS) > 0 || parseFloat(jsonList.list[i].O_Return) > 0) {
				html = '<li class="mui-table-view-cell">';
				html += '    <div class="mui-table">';
				html += '        <div class="mui-table-cell mui-col-xs-10">';
				html += '            <h4 class="mui-ellipsis">' + jsonList.list[i].O_ProductName + '</h4>';
				html += '            <h5>下单人：' + jsonList.list[i].U_Name + '</h5>';
				html += '            <p class="mui-h6 mui-ellipsis">';
				html += '               <span class="">金额：&yen;' + jsonList.list[i].O_TotalFees + '</span>，';
				// if (jsonList.list[i].O_Status == '6001') {
				// 	html += '           <span class="money">已返现：<b>&yen;' + jsonList.list[i].U_Price + '</b></span>';
				// } else {
				//     html += '           <span class="money">预返现：<b>&yen;' + jsonList.list[i].O_ReturnBS + '</b></span>';
				// }
				if (jsonList.list[i].O_IsReturn == '1') {
					if (jsonList.list[i].O_SingleShareReturn == '1') //是否为单独分享返现
					{
						html += '           <span class="money">已返现：<b>&yen;' + jsonList.list[i].O_ReturnMoney + '</b></span>';
					} else {
						html += '           <span class="money">已返现：<b>&yen;' + jsonList.list[i].O_ReturnBS + '</b></span>';
					}
				} else {
					if (jsonList.list[i].O_SingleShareReturn == '1') //是否为单独分享返现
					{
						html += '           <span class="money">预返现：<b>&yen;' + jsonList.list[i].O_ReturnMoney + '</b></span>';
					} else {
						html += '           <span class="money">预返现：<b>&yen;' + jsonList.list[i].O_ReturnBS + '</b></span>';
					}
				}
				html += '               <span class="mr10">日期：' + jsonList.list[i].O_OrderDate.replace('T', ' ') + '</span>';
				html += '            </p>';
				html += '        </div>';
				html += '        <div class="mui-table-cell mui-col-xs-2 mui-text-right">';
				html += '            <span class="mui-h5">' + jsonList.list[i].Name.replace('待出行','') + '</span>';
				html += '        </div>';
				html += '    </div>';
				html += '</li>';
				$('.order-list').append(html);
				//}
			}
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

$(function() {
	/*选择类型查询*/
	$('#Status li').on('tap', function() {
		currentPage = "1";
		totalNum = 0;
		var status = $(this).attr('data-val');
		if (status != '') {
			tmpQueryParam = queryParam + " and a.O_Status='" + status + "'";
		} else {
			tmpQueryParam = queryParam;
		}
		mui('#pullrefresh').pullRefresh().refresh(true);
		//加载数据
		loadData(currentPage, tmpQueryParam, queryParam1, tmpOrderBy, 1);
		mui('.mui-popover').popover('toggle');
	});
});
