var currentPage = "1";
var queryParam = "";
var queryParam1 = "";
var tmpQueryParam = "";
var tmpOrderBy = "a.O_OrderDate desc";
var totalNum = 0;
var kh = '客服微信jeelv02'; //客服
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//初始化
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	//判断平台
	//	if(plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	var self = plus.webview.currentWebview();
	self.setStyle({
		'render': 'always'
	});
	$('#title').text(self.title);
	queryParam = self.queryParam;
	queryParam += " and a.O_UserID='" + self.userID + "'";
	queryParam1 = " and d.U_UserID='" + self.userID + "'";
	Initial();
	//loadData(currentPage, queryParam, tmpOrderBy, 1);

	var oldBack = mui.back;
	//处理view的后退与webview后退
	mui.back = function() {
		var wv = plus.webview.getWebviewById('index-me.html');
		if(wv != null) {
			wv.evalJS("ShowUser()");
		}
		oldBack();
	};
});

//初始化
function Initial() {
	var jsData1 = {
		Code: '7777'
	}
	app.callWebApi('AppProduct', 'ShowParams', jsData1, null,
		function(result) {
			if(result != "") {
				result = $.parseJSON(result);
				kh = result.Value1;
				loadData(currentPage, queryParam, queryParam1, tmpOrderBy, 1);
			}
		},
		function(xhr, type, errorThrown) {
			loadData(currentPage, queryParam, queryParam1, tmpOrderBy, 1);
		});
}

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		//window.location.reload();
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, queryParam, queryParam1, tmpOrderBy, 1);
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(totalNum != $('.order-list li').length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, queryParam, queryParam1, tmpOrderBy, 0);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}

/**
 *加载数据 
 */
function loadData(currentPage, queryParam, queryParam1, orderBy, reload) {
	$('.notrecord').hide();

	//如果为重新加载，就清空列表
	if(reload == 1) {
		$('.order-list li').remove();
	}
	//app.commonLoadData(currentPage, '15', queryParam, orderBy, 'AppOrder', 'ShowOrderList', function(result) {
	app.commonLoadData2(currentPage, '15', queryParam, queryParam1, orderBy, 'AppOrder', 'ShowOrderList', function(result) {
			var jsonList = $.parseJSON(result);
			totalNum = jsonList.total;
			if(totalNum == 0) {
				plus.nativeUI.closeWaiting();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				$('.notrecord').show();
				return;
			}
			var html = '';
			for(var i = 0; i < jsonList.list.length; i++) {
				html = '<li class="o-list-item">';
				if(jsonList.list[i].O_Status == '1001') {
					html += '<div class="o-hd bj100">';
				} else if(jsonList.list[i].O_Status == '9001') {
					html += '<div class="o-hd bj900">';
				} else {
					html += '<div class="o-hd">';
				}
				html += '<i class="floatL ftnormal">' + jsonList.list[i].Name + '</i>';
				html += '<i class="money ftnormal fz18"><sup class="ftnormal fz10">&yen;</sup>' + jsonList.list[i].O_TotalFees + '</i>';
				html += '</div>';
				html += '<div class="o-cont"  data-value="' + jsonList.list[i].ID + '">';
				html += '<h2 class="fz14">' + jsonList.list[i].O_ProductName + '</h2>';
				html += '<p class="pd15 fz12"><i class="ftnormal mrr5">订单编号：</i><i class="ftnormal color5">' + jsonList.list[i].O_OrderNo + '</i></p>';
				html += '<p class="fz12"><i class="ftnormal mrr5">' + jsonList.list[i].O_DateType + '</i><i class="ftnormal color5">' + jsonList.list[i].O_StartDate + '</i></p>';
				html += '<p class="fz12"><i class="ftnormal mrr5">活动时间：</i><i class="ftnormal color5">' + jsonList.list[i].O_ActionTime + '</i></p>';
				html += '<p class="fz12"><i class="ftnormal mrr5">活动人数：</i><i class="ftnormal color5">' + jsonList.list[i].O_JoinTraveler + '</i></p>';
				html += '<p class="fz12"><i class="ftnormal mrr5">下单时间：</i><i class="ftnormal color5">' + jsonList.list[i].O_OrderDate.replace('T', ' ') + '</i></p>';
				if(jsonList.list[i].O_Status == '2001') //已付款
				{
					//如果拼团成功就不能退款
					if(jsonList.list[i].O_ProductType != 'QZKL' && jsonList.list[i].O_SpellGroupStatus != '1') {
						html += '<p class="fz12"><i class="ftnormal mrr5">取消订单：</i><i class="ftnormal mrr5">如需取消订单，请联系' + kh + '</i></p>';
					}
				}
				html += '</div>';
				html += '<div class="o-ft">';
				//待付款
				if(jsonList.list[i].O_Status == '1001') {
					html += '<button b-id="btnCancel" data-value="' + jsonList.list[i].ID + '" type="button" class="mui-btn mui-btn-danger mui-btn-outlined mui-pull-left"><span class="mui-icon mui-icon-trash"></span>取消订单</button>';
					html += '<button b-id="btnPay" data-value="' + jsonList.list[i].O_OrderNo + '" type="button" class="mui-btn mui-btn-success mui-icon mui-icon-redo mui-pull-right">支付订单</button>';
				} else if(jsonList.list[i].O_Status == '2001') //已付款
				{
					//QZKL：亲子卡类  
					if(jsonList.list[i].O_ProductType == 'QZKL') {
						html += '<button b-id="btnQR" data-id="' + jsonList.list[i].ID + '" data-value="' + jsonList.list[i].O_OrderNo + '" type="button" class="mui-btn mui-btn-success mui-icon mui-icon-redo mui-pull-right">订单二维码</button>';
					} else {
						//如果拼团成功就不能退款
						if(jsonList.list[i].O_SpellGroupStatus != '1') {
							//html += '<button b-id="btnRefund" data-value="' + jsonList.list[i].ID + '" type="button" class="mui-btn mui-btn-danger mui-btn-outlined mui-pull-left"><span class="mui-icon mui-icon-trash"></span>申请退款</button>';
						}
						//订单二维码（活动）
						html += '<button b-id="btnQR1" data-id="' + jsonList.list[i].ID + '" data-value="' + jsonList.list[i].O_OrderNo + '" type="button" class="mui-btn mui-btn-success mui-icon mui-icon-redo mui-pull-right">订单二维码</button>';
					}
					//拼团
					if(jsonList.list[i].O_SpellGroupNo != null && jsonList.list[i].O_SpellGroupNo != '') {
						html += '<span style="float: left;">&nbsp;</span><button b-id="btnGroup" data-value="' + jsonList.list[i].ID + '" type="button" class="mui-btn mui-btn-danger mui-btn-outlined mui-pull-left"><span class="mui-icon mui-icon-redo"></span>查看拼团</button>';
					} else {
						//是否允许拼团
						if(jsonList.list[i].O_IsSpellGroup == '1') {
							html += '<span style="float: left;">&nbsp;</span><button b-id="btnOpenGroup" data-value="' + jsonList.list[i].ID + '" type="button" class="mui-btn mui-btn-danger mui-btn-outlined mui-pull-left"><span class="mui-icon mui-icon-redo"></span>发起拼团</button>';
						}
					}
				} else if(jsonList.list[i].O_Status == '6001' && jsonList.list[i].O_IsComment == '0') //已完成
				{
					html += '<button b-id="btnComment" data-value="' + jsonList.list[i].ID + '" type="button" class="mui-btn mui-btn-danger mui-icon mui-icon-compose">去评价</button>';
				}
				html += '</div>';
				html += '</li>';
				$('.order-list').append(html);
			}

			//订单详情事件绑定 
			$('.o-list-item .o-cont').off();
			$('.o-list-item .o-cont').on('tap', function() {
				openWin1('order-detail.html', 'order-detail.html', {
					orderId: $(this).attr('data-value'),
					backStatus: '0' //标志:0:正常返回   1：特殊处理返回到“我的”界面 
				});
			});

			//操作事件绑定 
			$('.o-ft button').off();
			$('.o-ft button').on('tap', function() {
				var type = $(this).attr('b-id');
				switch(type) {
					case "btnCancel": //绑定取消订单按钮  
						//获取用户信息
						var userInfo = getUserInfo();
						var id = $(this).attr('data-value');
						var btnArray = ['否', '是'];
						mui.confirm('是否确认要取消订单？', '消息提示', btnArray, function(e) {
							if(e.index == 1) {
								var jsData1 = {
									id: id,
									status: '9001',
									operateUser: userInfo.ID
								}
								//取消订单操作  
								app.callWebApi('AppOrder', 'SetOrderStatus', jsData1, null,
									function(result) {
										//加载数据
										refrush();
										mui.toast(result.RESULT);
									},
									function(xhr, type, errorThrown) {
										mui.toast('获取数据失败，请检查网络是否正常！' + type);
									});
							}
						});
						break;
					case "btnPay": //绑定支付按钮  
						var userInfo = getUserInfo();
						if(userInfo != null) {
							var jsData1 = {
								UserId: userInfo.ID,
								OrderNo: $(this).attr('data-value')
							}
							app.callWebApi('AppOrder', 'PayOrder', jsData1, null,
								function(result) {
									if(result.Result == "") {
										openWin1('../booking/payment.html', 'payment.html', {
											PayID: result.PayID,
											OrderNo: result.OrderNo,
											BackStatus: '0' //1:表示返回时显示订单信息  0:表示返回时不显示订单信息
										});
									} else {
										mui.toast(result.Result);
									}
								},
								function(xhr, type, errorThrown) {
									mui.toast('获取数据失败，请检查网络是否正常' + type);
								});
						} else {
							mui.toast('您没有登录，无法支付订单！请登录。');
						}
						break;
					case "btnQR": //绑定订单二维码（亲子卡类）
						var mask = mui.createMask(function() {
							$("#orderQR").removeClass("mui-active").hide();
						});
						mask.show(); //显示遮罩
						//显示主订单信息
						var jsData1 = {
							id: $(this).attr('data-id')
						}
						app.callWebApi('ProductOrder', 'ShowOrder', jsData1, null,
							function(result) {
								if(result != '') {
									var jsonData = $.parseJSON(result);
									$("#O_ProductName").text(jsonData.O_ProductName);
									$("#O_ProductPriceName").text(jsonData.O_ProductPriceName);
									$("#O_TotalPriceTypeNum").text(jsonData.O_TotalPriceTypeNum);
									$("#O_JoinTraveler").text(jsonData.O_JoinTraveler);
									$("#orderQR").addClass("mui-active").show();
									$("#imgEWM").hide();
									$("#subOrderList").show();
									$("#subOrderList li").remove();
									var html = '';
									//显示子订单信息
									var jsData2 = {
										id: jsonData.ID
									}
									app.callWebApi('AppOrder', 'ShowSubOrderList', jsData2, null,
										function(result) {
											if(result != '') {
												var jsonList = $.parseJSON(result);
												if(jsonList.length <= 0) {
													$('#subOrderList').append(html);
													return;
												}
												for(var i = 0; i < jsonList.length; i++) {
													html += '<li class="mui-table-view-cell mui-collapse">';
													html += '    <a class="mui-navigate-right taL color5 fz12">第' + (i + 1).toString() + '份：<b class="colorRed">' + jsonList[i].O_SubOrderNo + '</b>';
													if(jsonList[i].O_Status == '1') {
														html += '<i class="floatR pdR15 color6">已使用</i></a>';
													} else {
														html += '<i class="floatR pdR15 color6">未使用</i></a>';
													}
													html += '	<div class="mui-collapse-content">';
													html += '		<div class="floatL w40 taC">';
													html += '			<img src="' + getWebAppServer() + '/common/create_qrcode.ashx?code_url=' + jsonList[i].O_SubOrderNo + '" />';
													html += '		</div>';
													html += '		<div class="floatR ellipsis fz12 lh23 color2 w55 taL">';
													html += '			名称：' + jsonList[i].O_ProductName + '<br> 套餐：' + jsonList[i].O_ProductPriceName;
													if(jsonList[i].P_AdultNum != '0' && jsonList[i].P_ChildrenNum != '0') {
														html += '			<br> 人数：' + jsonList[i].P_AdultNum + '个成人' + jsonList[i].P_ChildrenNum + '个儿童';
													} else if(jsonList[i].P_AdultNum != '0') {
														html += '			<br> 人数：' + jsonList[i].P_AdultNum + '个成人';
													} else if(jsonList[i].P_ChildrenNum != '0') {
														html += '			<br> 人数：' + jsonList[i].P_ChildrenNum + '个儿童';
													}
													html += '		</div>';
													html += '	</div>';
													html += '</li>';
												}
												$('#subOrderList').append(html);
											}
										},
										function(xhr, type, errorThrown) {
											mui.toast('获取数据失败，请检查网络是否正常！' + type);
										});
								}
							},
							function(xhr, type, errorThrown) {
								mui.toast('获取数据失败，请检查网络是否正常！' + type);
							});
						break;
					case "btnQR1": //绑定订单二维码（亲子活动类）
						var mask = mui.createMask(function() {
							$("#orderQR").removeClass("mui-active").hide();
						});
						mask.show(); //显示遮罩
						//显示主订单信息
						var jsData1 = {
							id: $(this).attr('data-id')
						}
						app.callWebApi('ProductOrder', 'ShowOrder', jsData1, null,
							function(result) {
								if(result != '') {
									var jsonData = $.parseJSON(result);
									$("#O_ProductName").text(jsonData.O_ProductName);
									$("#O_ProductPriceName").text(jsonData.O_ProductPriceName);
									$("#O_TotalPriceTypeNum").text(jsonData.O_TotalPriceTypeNum);
									$("#O_JoinTraveler").text(jsonData.O_JoinTraveler);
									$("#orderQR").addClass("mui-active").show();
									$("#imgEWM").attr('src', getWebAppServer() + '/common/create_qrcode.ashx?code_url=' + jsonData.O_OrderNo);
									$("#imgEWM").show();
									$("#orderQR").addClass("mui-active").show();
									$("#subOrderList li").remove();
									$("#subOrderList").hide();
								}
							},
							function(xhr, type, errorThrown) {
								mui.toast('获取数据失败，请检查网络是否正常！' + type);
							});
						break;
					case "btnRefund": //绑定退款按钮 
						mui.alert('请添加捷驴亲子客服02微信【jeelv02】与我们联系，我们将为您做退款操作，谢谢！');
						//						var id = $(this).attr('data-value');
						//						var btnArray = ['否', '是'];
						//						mui.confirm('是否确认要申请退款？', '消息提示', btnArray, function(e) {
						//							if(e.index == 1) {
						//								//e.detail.gesture.preventDefault(); //修复iOS 8.x平台存在的bug，使用plus.nativeUI.prompt会造成输入法闪一下又没了
						//								var btnArray = ['取消', '提交'];
						//								mui.prompt('退款原因：', '请输入', '订单退款申请', btnArray, function(e) {
						//									if(e.index == 1) {
						//										//获取用户信息
						//										var userInfo = getUserInfo();
						//										var jsData1 = {
						//											operateUser: userInfo.U_Name,
						//											status: '2001'
						//										}
						//										var jsData2 = {
						//												ID: id,
						//												O_RefundReason: e.value
						//											}
						//											//取消订单操作  
						//										app.callWebApi('AppOrder', 'RefundOrder', jsData1, jsData2,
						//											function(result) {
						//												//加载数据
						//												refrush();
						//												mui.toast(result.RESULT);
						//											},
						//											function(xhr, type, errorThrown) {
						//												mui.toast('获取数据失败，请检查网络是否正常！' + type);
						//											});
						//									}
						//								})
						//							}
						//						});
						break;
					case "btnGroup": //查看拼团  
						openWin1('../booking/groupinfo.html', 'groupinfo.html', {
							orderId: $(this).attr('data-value')
						});
						break;
					case "btnOpenGroup": //发起拼团
						var orderId = $(this).attr('data-value');
						var jsData1 = {
							id: orderId
						}
						app.callWebApi('AppOrder', 'GoSpellGroup', jsData1, null,
							function(result) {
								if(result.RESULT != "") {
									mui.toast(result.RESULT);
									return;
								} else {
									mui.toast('发起拼团成功，你已成为团长');
									openWin1('../booking/groupinfo.html', 'groupinfo.html', {
										orderId: orderId
									});
								}
							},
							function(xhr, type, errorThrown) {
								mui.toast('获取数据失败，请检查网络是否正常' + type);
							});
						break;
					case "btnComment": //绑定评价按钮 
						var userInfo = getUserInfo();
						var id = $(this).attr('data-value');
						if(userInfo != null) {
							openWin2('../member/comment.html', 'comment.html', {
								orderId: id
							});
						} else {
							mui.toast('您没有登录，无法评价订单！请登录。');
						}
						break;
				}
			});
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//刷新数据
function refrush() {
	mui('#pullrefresh').pullRefresh().refresh(true);
	currentPage = "1";
	totalNum = 0;
	loadData(currentPage, queryParam, queryParam1, tmpOrderBy, 1);
}