var pageSize = "20";
var currentPage = "0";
var queryParam = "";
var tmpQueryParam = ""; //保存当前传过来没有变的参数，用于跳转查询页面
var tmpOrderBy = "P_OrderId";
var totalNum = 0;
var longt = '0'; //经度
var lat = '0'; //纬度	
var title = '';
var detailPage = null;

//懒加载
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});
//初始化
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	//判断平台
	//	if(plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	loadTopics();
	loadAge();
	var self = plus.webview.currentWebview();
	self.setStyle({
		'render': 'always'
	});
	//获得事件参数
	queryParam = self.params;
	tmpQueryParam = self.params;
	longt = self.longt;
	lat = self.lat;
	title = self.title;
	if(title == '亲子年卡' || title == '课外班') {
		$('#filter').hide();
	}
	//标题
	document.getElementById('title').innerHTML = title;
	//加载数据
	//loadData(currentPage, pageSize, queryParam, "P_OrderId", 1, lat, longt);

	//添加paramEvent自定义事件监听(预加载传值)
	//	window.addEventListener('paramEvent', function(event) {
	//		mui('#pullrefresh').pullRefresh().refresh(true);
	//		currentPage = "1";
	//		totalNum = 0;
	//		//获得事件参数
	//		queryParam = event.detail.params;
	//		tmpQueryParam = event.detail.params;
	//		longt = event.detail.longt;
	//		lat = event.detail.lat;
	//		title = event.detail.title;
	//		//标题
	//		document.getElementById('title').innerHTML = title;
	//		//移动到顶部
	//		$("html,body").stop(true);
	//		$("html,body").animate({
	//			scrollTop: 0
	//		}, 1);		
	//		//加载数据
	//		loadData(currentPage, queryParam, "P_OrderId", 1,lat,longt);
	//	});
});
/**
 * 查询事件
 */
$('#search1').on('tap', function() {
	openWin2('search.html', 'search.html', {
		queryParam: tmpQueryParam,
		longt: longt, //经度
		lat: lat //纬度	
	});
});
/**
 * 查询方法 
 */
function searchData(exQueryParam, orderBy) {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	mui('#pullrefresh').pullRefresh().refresh(true);
	currentPage = "1";
	totalNum = 0;
	tmpOrderBy = orderBy;
	if(exQueryParam != '') {
		queryParam = tmpQueryParam + exQueryParam;
	} else {
		queryParam = tmpQueryParam;
	}
	//加载数据
	loadData(currentPage, pageSize, queryParam, orderBy, 1, lat, longt);
}

//筛选
$('#filter').on('tap', function() {
	if($(".tpye_bar").is(":hidden")) {
		$('.tpye_bar').show();
	} else {
		$('.tpye_bar').hide();
	}
});