var pageSize = "20";
var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "P_OrderId";
var totalNum = 0;
var longt = '0'; //经度
var lat = '0'; //纬度	
var detailPage = null;
$('#txtName').focus();
$("#pullrefresh").hide();

//懒加载
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});
//初始化 
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//加载主题和年龄
loadTopics();
loadAge();
//加载搜索历史
loadSearchKey();
//初始化
mui.plusReady(function() {
	//判断平台
	//	if (plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	var self = plus.webview.currentWebview();
	self.setStyle({
		'render': 'always'
	});
	currentPage = "1";
	totalNum = 0;
	queryParam = self.queryParam + " and P_Classify<>'QZNK' ";
	tmpQueryParam = self.queryParam + " and P_Classify<>'QZNK' ";
	longt = self.longt;
	lat = self.lat;
	//加载数据
	//loadData(currentPage, queryParam,"P_OrderId", 1,lat,longt);	
});

/**
 * 查询事件
 */
$('#search1').on('tap', function() {
	searchData('', 'P_OrderId');
});
/**
 * 查询方法
 */
function searchData(exQueryParam, orderBy) {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	$('#pullrefresh').show();
	$('#divSearch').hide();
	mui('#pullrefresh').pullRefresh().refresh(true);
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
	currentPage = "1";
	totalNum = 0;
	tmpOrderBy = orderBy;
	if($('#txtName').val() != '') {
		queryParam = tmpQueryParam + " and P_Name like '%" + $('#txtName').val() + "%' ";
		//增加历史搜索关键字
		addSearchKey($('#txtName').val());
	} else {
		queryParam = tmpQueryParam;
	}
	if(exQueryParam != '') {
		queryParam += exQueryParam;
	}
	//加载数据
	loadData(currentPage, pageSize, queryParam, orderBy, 1, lat, longt);
}
/**
 *加载历史查询关键字 
 */
function loadSearchKey() {
	$("#ulHistory li").remove();
	var searchHistory = localStorage.getItem('searchHistory');
	if(searchHistory != null) {
		var jSearchHistory = $.parseJSON(searchHistory.toString());
		var html = '';
		$.each(jSearchHistory.searchItems, function(idx, item) {
			html += '<li class="mui-table-view-cell" id="' + item.content + '">';
			html += '	 <span class="mui-icon mui-icon-compose"></span>' + item.content;
			html += '</li>';
		});
		$('#ulHistory').append(html);
		/**
		 * 选择历史搜索关键字事件
		 */
		$("#ulHistory li").on("tap", function() {
			$('#txtName').val($(this).attr("id"));
			$('#divSearch').hide();
			searchData('', 'P_OrderId');
		});
	} else {
		$('#divSearch').hide();
	}
}
/**
 * 清空历史搜索 
 */
$(".jl-clear-history").on('tap', function() {
	localStorage.setItem('searchHistory', '{}');
	$("#ulHistory li").remove();
	$('#divSearch').hide();
});
/**
 * 搜索框事件 
 */
$("#txtName").on('tap', function() {
	$('#pullrefresh').hide();
	loadSearchKey();
	if($("#ulHistory li").length > 0) {
		$('#divSearch').show();
	} else {
		$('#divSearch').hide();
	}
});
/**
 * 增加历史搜索关键字
 * @param {Object} newSearchKey
 */
function addSearchKey(newSearchKey) {
	var searchKey = localStorage.getItem("searchHistory");
	if(searchKey != null) {
		if(searchKey.toString().indexOf(newSearchKey) == -1) {
			if(newSearchKey != '' && newSearchKey != null) {
				var data = '{"searchItems":[{"content":"' + newSearchKey + '"}';
				$('#ulHistory li').each(function() {
					data += ',{"content":"' + $(this).attr("id") + '"}';
				});
				data += ']}';
				localStorage.setItem('searchHistory', data);
			}
		}
	} else {
		var data = '{"searchItems":[{"content":"' + newSearchKey + '"}]}';
		localStorage.setItem('searchHistory', data);
	}
};

//筛选
$('#filter').on('tap', function() {
	if($(".tpye_bar").is(":hidden")) {
		$('.tpye_bar').show();
	} else {
		$('.tpye_bar').hide();
	}
});