//评价变量
var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "a.U_AddbyTime desc";
var totalNum = 0;
mui.previewImage();
//初始化
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

/*初始化*/
mui.plusReady(function() {
	//判断平台
	//	if (plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var self = plus.webview.currentWebview();
	showSumScore(self.code);
	queryParam = " and b.P_Provider='" + self.code + "'";
	loadUserCommentData(currentPage, queryParam, tmpOrderBy, 1);
});

/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadUserCommentData(currentPage, queryParam, tmpOrderBy, 1);
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if(totalNum != mui('.comment-items .item').length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadUserCommentData(currentPage, queryParam, tmpOrderBy, 0);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}
/**
 *加载评价数据 
 */
function loadUserCommentData(currentPage, queryParam, orderBy, reload) {
	$('.notrecord').hide();
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$('.comment-items').html('');
	}
	app.commonLoadData(currentPage, '15', queryParam, orderBy, 'AppProduct', 'ShowSuppliersCommentList', function(result) {
			var jsonList = $.parseJSON(result);
			totalNum = jsonList.total;
			if(totalNum == 0) {
				plus.nativeUI.closeWaiting();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				$('.notrecord').show();
				return;
			}
			var html = '';
			for(var i = 0; i < jsonList.list.length; i++) {
				html = '<div class="item">';
				html += '	<div class="zoom">';
				html += '		<a href="/user/5684">';
				if(jsonList.list[i].U_Icon != null && jsonList.list[i].U_Icon != '') {
					if(jsonList.list[i].U_Icon.indexOf('http:') < 0) {
						html += '	<img class="mui-pull-left icon" src="' + getUploadServer() + '/upload/UserPic/' + jsonList.list[i].U_Icon + '?height=200&width=200">';
					} else {
						html += '   <img class="mui-pull-left icon" src="' + jsonList.list[i].U_Icon + '">';
					}
				} else {
					html += '	<img class="mui-pull-left icon" src="../../images/none.png">';
				}
				html += '		</a>';
				html += '		<b>' + jsonList.list[i].U_Name + '</b>';
				html += '		<div class="mui-pull-right">';
				html += showStart(jsonList.list[i].U_StarNumber.toString());
				//html += '			<i class="score1"><i class="score2" style="width:98%;"></i></i>';
				html += '		</div>';
				html += '	</div>';
				html += '	<div class="con">';
				html += '		<div class="fz12">' + jsonList.list[i].U_AddbyTime.replace('T', ' ') + '</div>';
				html += '	    <div class="cdesc">';
				html += '			<p>' + jsonList.list[i].U_Content + '</p>';
				html += '	    </div>';
				html += '	    <div class="cimgs zoom">';
				if(jsonList.list[i].U_Imgs != null && jsonList.list[i].U_Imgs != '') {
					var imgs = jsonList.list[i].U_Imgs.split(',');
					for(var j = 0; j < imgs.length; j++) {
						html += '<img src="' + getUploadServer() + '/Upload/CommPic/' + imgs[j] + '?width=200" data-preview-src="' + getUploadServer() + '/Upload/CommPic/' + imgs[j] + '?width=200" data-preview-group="' + i.toString() + '" />';
					}
				}
				html += '	    </div>';
				//						html += '	    <div class="cother">';
				//						html += '	    	<i class="fz12 color2">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</i>';
				//						html += '	     	<i class="mui-pull-right fz12 cdzan cdzan2" data-id="' + jsonList.list[i].ID + '">有用(<label class="DZ">' + jsonList.list[i].U_PraiseNumber + '</label>)</i>';
				//						html += '	    </div>';
				html += '	</div>';
				html += '</div>';
				$('.comment-items').append(html);
			}
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}
//显示供应商总体评分
function showSumScore(code) {
	var jsData1 = {
		providerId: code
	}
	app.callWebApi('AppProduct', 'ShowSumScore1', jsData1, null,
		function(result) {
			var jsonList = $.parseJSON(result);
			if(jsonList[0].c == '0') {
				$('#start').append('<i class="score2" style="width:98%;"></i>');
			} else {
				$('#start').append('<i class="score2" style="width: ' + jsonList[0].b + '%;"></i>');
			}
			$('#score').text(jsonList[0].a);
			$('#commentNum').text(jsonList[0].c);
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}
/*返回评价的星星*/
function showStart(starNumber) {
	var start = '';
	switch(starNumber) {
		case '1':
			start = '<i class="score1"><i class="score2" style="width:20%;"></i></i>';
			break;
		case '2':
			start = '<i class="score1"><i class="score2" style="width:40%;"></i></i>';
			break;
		case '3':
			start = '<i class="score1"><i class="score2" style="width:60%;"></i></i>';
			break;
		case '4':
			start = '<i class="score1"><i class="score2" style="width:80%;"></i></i>';
			break;
		case '5':
			start = '<i class="score1"><i class="score2" style="width:98%;"></i></i>';
			break;
		default:
			start = '<i class="score1"><i class="score2" style="width:98%;"></i></i>';
	}
	return start;
}