var pageSize = "20";
var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "P_OrderId";
var totalNum = 0;
var longt = '0'; //经度
var lat = '0'; //纬度	
//var currentCity = 'YY'; //当前城市
var detailPage = null;
//懒加载
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});
mui.previewImage();

mui.init({
	swipeBack: false, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			style: 'circle',
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh : "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			auto: true,
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});
$('#main_supp').hide();
var code = '';

//初始化 
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var self = plus.webview.currentWebview();
	self.setStyle({
		'render': 'always'
	});
	$('#code').val(self.code);
	$('#totalRegisterNum').text(self.totalRegisterNum);
	//生成二维码
	//var url = getWebAppServer() +"/views/product/suppliers-info.html?code=" + self.code + "&totalRegisterNum=" + self.totalRegisterNum;
	var url = getWebAppServer() + "/views/member/masterpage.html?invitationCode=" + self.code;
	$("#imgCode").attr("src", getWebAppServer() + "/common/create_qrcode.ashx?code_url=" + url);
	//全部评价
	$('#btn_all_comment').on('tap', function() {
		openWin1('suppliers-comment.html', 'suppliers-comment.html', {
			code: $('#code').val()
		});
	});
	//显示评价（单条）
	loadUserCommentData(1, " and b.P_Provider='" + code + "'", "a.U_StarNumber desc,a.U_AddbyTime desc", 1);
	//显示供应商信息
	ShowSuppliers($('#code').val());
	//显示供应商总体评分
	showSumScore($('#code').val());
	queryParam = " and P_Provider='" + $('#code').val() + "' ";
	//获取位置信息
	var userPosition = getUserPosition();
	loadData('1', pageSize, queryParam, tmpOrderBy, 1, userPosition.lat, userPosition.longt);
	$('#main_supp').show();
});

$(function() {
	$(".more-next").on("tap", function() {
		var d = $('.partner-detail>div'),
			e = $(this);
		if(e.hasClass('mui-icon-arrowup')) {
			d.animate({
				height: '80px'
			}, 200);
			e.addClass('mui-icon-arrowdown').removeClass('mui-icon-arrowup');
		} else {
			d.animate({
				height: $('.partner-detail .content')[0].offsetHeight + 'px'
			}, 500);
			e.addClass('mui-icon-arrowup').removeClass('mui-icon-arrowdown');
		}
	});

});

/**
 *显示供应商信息 
 */
function ShowSuppliers(code) {
	var jsData1 = {
		code: code
	}
	app.callWebApi('Suppliers', 'ShowSuppliers4Code', jsData1, null,
		function(result) {
			if(result != "") {
				result = $.parseJSON(result);
				if(result.S_Icon != null && result.S_Icon != '') {
					$('#S_Icon').attr('src', getUploadServer() + '/upload/SuppliersPic/' + result.S_Icon + '?width=200');
				} else {
					$('#S_Icon').attr('src', '../../images/none.png');
				}
				$('#S_CompName').text(result.S_CompName);
				$('#S_OperatingRange').text(result.S_OperatingRange);
				$('#S_Remark').text(result.S_Remark);
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}

//显示供应商总体评分
function showSumScore(code) {
	var jsData1 = {
		providerId: code
	}
	app.callWebApi('AppProduct', 'ShowSumScore1', jsData1, null,
		function(result) {
			var jsonList = $.parseJSON(result);
			if(jsonList[0].c == '0') {
				$('#start').append('<i class="score2" style="width: 98%;"></i>');
				$('#score').hide();
			} else {
				$('#start').append('<i class="score2" style="width: ' + jsonList[0].b + '%;"></i>');
				$('#score').show();
			}
			$('#score').text(jsonList[0].a);
			$('#commentNum').text(jsonList[0].c);
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}
/**
 *加载评价数据 
 */
function loadUserCommentData(currentPage, queryParam, orderBy, reload) {
	$('.notrecord').hide();
	//如果为重新加载，就清空列表
	if(reload == 1) {
		$('.comment-items').html('');
	}
	app.commonLoadData(currentPage, '1', queryParam, orderBy, 'AppProduct', 'ShowSuppliersCommentList', function(result) {
			var jsonList = $.parseJSON(result);
			totalNum = jsonList.total;
			if(totalNum == 0) {
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				$('.notrecord').show();
				return;
			}
			var html = '';
			for(var i = 0; i < jsonList.list.length; i++) {
				html = '<div class="item">';
				html += '	<div class="zoom">';
				html += '		<a href="/user/5684">';
				if(jsonList.list[i].U_Icon != null && jsonList.list[i].U_Icon != '') {
					if(jsonList.list[i].U_Icon.indexOf('http:') < 0) {
						html += '	<img class="mui-pull-left icon" src="' + getUploadServer() + '/upload/UserPic/' + jsonList.list[i].U_Icon + '?height=200&width=200">';
					} else {
						html += '   <img class="mui-pull-left icon" src="' + jsonList.list[i].U_Icon + '">';
					}
				} else {
					html += '	<img class="mui-pull-left icon" src="../../images/none.png">';
				}
				html += '		</a>';
				html += '		<b>' + jsonList.list[i].U_Name + '</b>';
				html += '		<div class="mui-pull-right">';
				html += showStart(jsonList.list[i].U_StarNumber.toString());
				//html += '			<i class="score1"><i class="score2" style="width:98%;"></i></i>';
				html += '		</div>';
				html += '	</div>';
				html += '	<div class="con">';
				html += '		<div class="fz12">' + jsonList.list[i].U_AddbyTime.replace('T', ' ') + '</div>';
				html += '	    <div class="cdesc">';
				html += '			<p>' + jsonList.list[i].U_Content + '</p>';
				html += '	    </div>';
				html += '	    <div class="cimgs zoom">';
				if(jsonList.list[i].U_Imgs != null && jsonList.list[i].U_Imgs != '') {
					var imgs = jsonList.list[i].U_Imgs.split(',');
					for(var j = 0; j < imgs.length; j++) {
						html += '<img src="' + getUploadServer() + '/Upload/CommPic/' + imgs[j] + '?width=200" data-preview-src="' + getUploadServer() + '/Upload/CommPic/' + imgs[j] + '?width=200" data-preview-group="2" />';
					}
				}
				html += '	    </div>';
				//						html += '	    <div class="cother">';
				//						html += '	    	<i class="fz12 color2">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</i>';
				//						html += '	     	<i class="mui-pull-right fz12 cdzan cdzan2" data-id="' + jsonList.list[i].ID + '">有用(<label class="DZ">' + jsonList.list[i].U_PraiseNumber + '</label>)</i>';
				//						html += '	    </div>';
				html += '	</div>';
				html += '</div>';
				$('.comment-items').append(html);
			}
		},
		function(xhr, type, errorThrown) {
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}
/*返回评价的星星*/
function showStart(starNumber) {
	var start = '';
	switch(starNumber) {
		case '1':
			start = '<i class="score1"><i class="score2" style="width:20%;"></i></i>';
			break;
		case '2':
			start = '<i class="score1"><i class="score2" style="width:40%;"></i></i>';
			break;
		case '3':
			start = '<i class="score1"><i class="score2" style="width:60%;"></i></i>';
			break;
		case '4':
			start = '<i class="score1"><i class="score2" style="width:80%;"></i></i>';
			break;
		case '5':
			start = '<i class="score1"><i class="score2" style="width:98%;"></i></i>';
			break;
		default:
			start = '<i class="score1"><i class="score2" style="width:98%;"></i></i>';
	}
	return start;
}