mui.init({});
mui.plusReady(function() {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	var self = plus.webview.currentWebview();
	var productId = self.productId;
	$('#childrenRegisterNum').text(self.childrenRegisterNum);
	$('#adultRegisterNum').text(self.adultRegisterNum);
	showOrderUserList(productId);
});
//显示已下订单的会员列表
function showOrderUserList(productId) {
	$('.taC').hide();
	var jsData1 = {
		prodcutId: productId
	}
	app.callWebApi('AppProduct', 'ShowOrderUserList', jsData1, null,
		function(result) {
			$('#orderUser li').remove();
			var jsonList = $.parseJSON(result);
			var html = '';
			var productPriceID = '';
			var startDate = '';
			for(var i = 0; i < jsonList.length; i++) {
				if(jsonList[i].O_ProductPriceID != productPriceID || jsonList[i].O_StartDate != startDate) {
					if(html != '') {
						html += '		</ul>';
						html += '	</div>';
						html += '</li>';
					}
					html += '<li class="mui-table-view-cell mui-collapse">';
					html += '	<a class="mui-navigate-right">';
					html += '		<span class="iconfont icon-riqi fz25 color3 mui-media-object mui-pull-left"></span>';
					html += '		<div class="mui-media-body">';
					html += '			' + jsonList[i].O_StartDate + '（' + jsonList[i].O_ProductPriceName + '）';
					if(parseInt(jsonList[i].AdultNum) > 0 && parseInt(jsonList[i].ChildrenNum) > 0) {
						html += '			<p class="mui-ellipsis fz12">' + jsonList[i].TotalNum + '人已报名（' + jsonList[i].AdultNum + '成人，' + jsonList[i].ChildrenNum + '儿童）' + jsonList[i].PayTotalNum + '人已付款</p>';
					} else if(parseInt(jsonList[i].AdultNum) > 0) {
						html += '			<p class="mui-ellipsis fz12">' + jsonList[i].TotalNum + '人已报名（' + jsonList[i].AdultNum + '成人）' + jsonList[i].PayTotalNum + '人已付款</p>';
					} else {
						html += '			<p class="mui-ellipsis fz12">' + jsonList[i].TotalNum + '人已报名（' + jsonList[i].ChildrenNum + '儿童）' + jsonList[i].PayTotalNum + '人已付款</p>';
					}
					html += '		</div>';
					html += '	</a>';
					html += '	<div class="mui-collapse-content">';
					html += '		<ul class="mui-table-view mrt0">';
					html += '			<li  data-val="' + jsonList[i].ID + '" class="mui-table-view-cell mui-media">';
					html += '				<a>';
					if(jsonList[i].U_Icon != null && jsonList[i].U_Icon != '') {
						if(jsonList[i].U_Icon.indexOf('http:') < 0) {
							html += '	<img class="mui-media-object br100 mui-pull-left" src="' + getUploadServer() + '/upload/UserPic/' + jsonList[i].U_Icon + '?width=200&height=200">';
						} else {
							html += '	<img class="mui-media-object br100 mui-pull-left" src="' + jsonList[i].U_Icon + '">';
						}
					} else {
						html += '		<img class="mui-media-object br100 mui-pull-left" src="../../images/none.png">';
					}
					html += '					<div class="mui-media-body">';
					html += '						' + jsonList[i].U_Name + '<span class="fz12 color2">';
					//性别
					if(jsonList[i].U_Sex == 'M') {
						html += '                   <i class="iconfont icon-xingbie-nan colorBule" title="男"></i>';
					} else if(jsonList[i].U_Sex == 'F') {
						html += '                   <i class="iconfont icon-xingbie-nv colorRed" title="女"></i>';
					} else {
						html += '                   <i class="iconfont icon-xingbie colorGreen" title=""></i>';
					}
					if(jsonList[i].U_City != null && jsonList[i].U_City != '') {
						var city = jsonList[i].U_City.split(' ');
						if(city.length > 2) {
							html += city[1] + ' ' + city[2];
						} else {
							html += jsonList[i].U_City;
						}
					}
					if(parseInt(jsonList[i].O_TotalAdu) > 0 && parseInt(jsonList[i].O_TotalChi) > 0) {
						html += '					</span><p class="mui-ellipsis fz12">' + jsonList[i].O_TotalAdu + '个大人，' + jsonList[i].O_TotalChi + '个孩子参加</p>';
					} else if(parseInt(jsonList[i].O_TotalAdu) > 0) {
						html += '					</span><p class="mui-ellipsis fz12">' + jsonList[i].O_TotalAdu + '个大人参加</p>';
					} else {
						html += '					</span><p class="mui-ellipsis fz12">' + jsonList[i].O_TotalChi + '个孩子参加</p>';
					}
					html += '					</div>';
					if(jsonList[i].O_Status != null && jsonList[i].O_Status != '') {
						html += '				<span class="order-paid">';
						html += '				' + jsonList[i].O_Status;
						html += '				</span>';
					}
					html += '				</a>';
					html += '			</li>';
					productPriceID = jsonList[i].O_ProductPriceID;
					startDate = jsonList[i].O_StartDate;
				} else {
					html += '			<li  data-val="' + jsonList[i].ID + '" class="mui-table-view-cell mui-media">';
					html += '				<a>';
					if(jsonList[i].U_Icon != null && jsonList[i].U_Icon != '') {
						if(jsonList[i].U_Icon.indexOf('http:') < 0) {
							html += '	<img class="mui-media-object br100 mui-pull-left" src="' + getUploadServer() + '/upload/UserPic/' + jsonList[i].U_Icon + '?width=200&height=200">';
						} else {
							html += '	<img class="mui-media-object br100 mui-pull-left" src="' + jsonList[i].U_Icon + '">';
						}
					} else {
						html += '		<img class="mui-media-object br100 mui-pull-left" src="../../images/none.png">';
					}
					html += '					<div class="mui-media-body">';
					html += '						' + jsonList[i].U_Name + '<span class="fz12 color2">';
					//性别
					if(jsonList[i].U_Sex == 'M') {
						html += '                   <i class="iconfont icon-xingbie-nan colorBule" title="男"></i>';
					} else if(jsonList[i].U_Sex == 'F') {
						html += '                   <i class="iconfont icon-xingbie-nv colorRed" title="女"></i>';
					} else {
						html += '                   <i class="iconfont icon-xingbie colorGreen" title=""></i>';
					}
					if(jsonList[i].U_City != null && jsonList[i].U_City != '') {
						var city = jsonList[i].U_City.split(' ');
						if(city.length > 2) {
							html += city[1] + ' ' + city[2];
						} else {
							html += jsonList[i].U_City;
						}
					}
					if(parseInt(jsonList[i].O_TotalAdu) > 0 && parseInt(jsonList[i].O_TotalChi) > 0) {
						html += '					</span><p class="mui-ellipsis fz12">' + jsonList[i].O_TotalAdu + '个大人，' + jsonList[i].O_TotalChi + '个孩子参加</p>';
					} else if(parseInt(jsonList[i].O_TotalAdu) > 0) {
						html += '					</span><p class="mui-ellipsis fz12">' + jsonList[i].O_TotalAdu + '个大人参加</p>';
					} else {
						html += '					</span><p class="mui-ellipsis fz12">' + jsonList[i].O_TotalChi + '个孩子参加</p>';
					}
					html += '					</div>';
					if(jsonList[i].O_Status != null && jsonList[i].O_Status != '') {
						html += '				<span class="order-paid">';
						html += '				' + jsonList[i].O_Status;
						html += '				</span>';
					}
					html += '				</a>';
					html += '			</li>';
					productPriceID = jsonList[i].O_ProductPriceID;
					startDate = jsonList[i].O_StartDate;
				}
			}
			if(html != '') {
				html += '		</ul>';
				html += '	</div>';
				html += '</li>';
			}
			$('#orderUser').append(html);
			$('.taC').show();
			/*绑定显示用户已下订单*/
			$('.mui-collapse-content ul li').off();
			$('.mui-collapse-content ul li').on('tap', function() {
				openWin1('userbyorderInfo.html', 'userbyorderInfo.html', {
					userId: $(this).attr('data-val')
				});
			});
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}