var pageSize = "20";
var currentPage = "1";
var queryParam = "";
var tmpQueryParam = "";
var tmpOrderBy = "V_ORDERID";
var totalNum = 0;
var longt = '0'; //经度
var lat = '0'; //纬度	
var detailPage = null;
$('#txtName').focus();
$("#pullrefresh").hide();
//初始化 
mui.init({
	swipeBack: true, //启用右滑关闭功能
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			//contentdown : "下拉可以刷新",
			//contentover : "释放立即刷新",
			contentrefresh: "捷驴亲子",
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			contentnomore: '已加载全部',
			callback: pullupRefresh
		}
	}
});

//懒加载
var lazyLoadApi = mui('#jl-table-view').imageLazyload({
	autoDestroy: false,
	placeholder: '../../images/logo-loading-70-70.png'
});

//加载搜索历史
loadSearchKey();
currentPage = "1";
totalNum = 0;

//初始化
mui.plusReady(function() {
	//判断平台
	//	if (plus.os.name == 'iOS') {
	//		$('#pullrefresh').addClass('mui-scroll-wrapper pd44');
	//	}
	var self = plus.webview.currentWebview();
	self.setStyle({
		'render': 'always'
	});
	currentPage = "1";
	totalNum = 0;
	queryParam = self.queryParam;
	tmpQueryParam = self.queryParam;
	//加载数据
	setTimeout(function() {
		searchData('', 'V_ORDERID');
	}, 1000);
});

/**
 * 查询事件
 */
$('#search1').on('tap', function() {
	searchData('', 'V_ORDERID');
});
/**
 * 查询方法
 */
function searchData(exQueryParam, orderBy) {
	plus.nativeUI.showWaiting("加载中...", {
		padlock: true,
		width: 120,
		height: 120
	});
	$('#pullrefresh').show();
	$('#divSearch').hide();
	mui('#pullrefresh').pullRefresh().refresh(true);
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
	currentPage = "1";
	totalNum = 0;
	tmpOrderBy = orderBy;
	if ($('#txtName').val() != '') {
		queryParam = tmpQueryParam + " and V_NAME like '%" + $('#txtName').val() + "%' ";
		//增加历史搜索关键字
		addSearchKey($('#txtName').val());
	} else {
		queryParam = tmpQueryParam;
	}
	if (exQueryParam != '') {
		queryParam += exQueryParam;
	}
	//加载数据
	loadData(currentPage, pageSize, queryParam, orderBy, 1, lat, longt);
}
/**
 *加载历史查询关键字 
 */
function loadSearchKey() {
	$("#ulHistory li").remove();
	var searchHistory = localStorage.getItem('searchHistory');
	if (searchHistory != null) {
		var jSearchHistory = $.parseJSON(searchHistory.toString());
		var html = '';
		$.each(jSearchHistory.searchItems, function(idx, item) {
			html += '<li class="mui-table-view-cell" id="' + item.content + '">';
			html += '	 <span class="mui-icon mui-icon-compose"></span>' + item.content;
			html += '</li>';
		});
		$('#ulHistory').append(html);
		/**
		 * 选择历史搜索关键字事件
		 */
		$("#ulHistory li").on("tap", function() {
			$('#txtName').val($(this).attr("id"));
			$('#divSearch').hide();
			searchData('', 'V_ORDERID');
		});
	} else {
		$('#divSearch').hide();
	}
}
/**
 * 清空历史搜索 
 */
$(".jl-clear-history").on('tap', function() {
	localStorage.setItem('searchHistory', '{}');
	$("#ulHistory li").remove();
	$('#divSearch').hide();
});
/**
 * 搜索框事件 
 */
$("#txtName").on('tap', function() {
	//$('#pullrefresh').hide();
	loadSearchKey();
	if ($("#ulHistory li").length > 0) {
		$('#divSearch').show();
	} else {
		$('#divSearch').hide();
	}
});
/**
 * 增加历史搜索关键字
 * @param {Object} newSearchKey
 */
function addSearchKey(newSearchKey) {
	var searchKey = localStorage.getItem("searchHistory");
	if (searchKey != null) {
		if (searchKey.toString().indexOf(newSearchKey) == -1) {
			if (newSearchKey != '' && newSearchKey != null) {
				var data = '{"searchItems":[{"content":"' + newSearchKey + '"}';
				$('#ulHistory li').each(function() {
					data += ',{"content":"' + $(this).attr("id") + '"}';
				});
				data += ']}';
				localStorage.setItem('searchHistory', data);
			}
		}
	} else {
		var data = '{"searchItems":[{"content":"' + newSearchKey + '"}]}';
		localStorage.setItem('searchHistory', data);
	}
};




/**
 *加载数据  
 */
function loadData(currentPage, pageSize, queryParam, orderBy, reload, lat, longt) {
	//如果为重新加载，就清空列表
	if (reload == 1) {
		$("#jl-table-view li").remove();
	}
	app.commonLoadData(currentPage, pageSize, queryParam, orderBy, 'AppProduct', 'ShowVideoList', function(result) {
			if (result != '') {
				var jsonList = $.parseJSON(result);
				totalNum = jsonList.total;
				if (totalNum == 0) {
					$(".notrecord").show();
					return;
				}
			} else {
				$(".notrecord").show();
				return;
			}
			$(".notrecord").hide();
			var html = '';
			for (var i = 0; i < jsonList.list.length; i++) {
				html += '<li id="' + jsonList.list[i].ID + '" data-name="' + jsonList.list[i].V_NAME.replace('&', '') +
					'"  class="mui-table-view-cell mui-media pdR50">';
				html += '	<a class="mui-navigate-right mui-slider-handle">';
				if (jsonList.list[i].V_COVER != null && jsonList.list[i].V_COVER != '') {
					html +=
						'	<img style="width: 87px;height: 87px;" class="mui-pull-left br0" src="../../images/logo-loading-70-70.png" data-lazyload="' +
						getUploadServer() + '/upload/VideoPic/' + jsonList.list[i].V_COVER + '?width=160&height=160">';
					//html += '	<img style="width: 87px;height: 87px;" class="mui-pull-left br0" src="../../images/logo-loading-70-70.png" data-lazyload="' + getUploadServer() + '/upload/ProductPic/' + jsonList.list[i].P_MobileTitlePic + '?width=500&height=273&c=1&x=113&y=0&w=273&h=273">';
				} else {
					html += '	<img class="mui-pull-left br0" data-lazyload="../../images/logo-loading-70-70.png" height="70">';
				}
				//html += '	<i class="p-status p-status-ok br0"></i>';
				html += '	<div class="mui-media-body ellipsis pdL10 posi-r">';
				html += '	  <label>' + jsonList.list[i].V_NAME.replace('$', '') + '</label>';
				html += '	  <p class="mui-ellipsis fz12 lh21">';
				html += jsonList.list[i].V_SUBTITLE;
				html += '	  </p>';
				html += '	  <p class="fz12 lh21">';
				html += '	  </p>';
				html += '	  <p class="mui-ellipsis fz12 lh21">';
				if (jsonList.list[i].V_BUY_NUM != '0') {
					html += '已售' + jsonList.list[i].V_BUY_NUM + '份';
				} else {
					html += '&nbsp;';
				}
				html += '	  </p>';
				html += '	  <p class="mui-ellipsis lh21">';
				html += '	  </p>';
				html += '  </div>';
				html += '  <p class="money-box posi-r-right fz17">';
				if (jsonList.list[i].V_FEE_TYPE != '1') {
					html += '	 <span><s style="color:#AAAAAA;font-size:13px;">原价:' + jsonList.list[i].V_RETAIL_PRICE +
						'</s>&nbsp;&nbsp;<i class="fz11">&yen;</i><b>' + jsonList.list[i].V_PRICE + '</b></span>';
				} else {
					html += '	 <span style="font-size:15px">免费</span>';
				}
				html += '  </p>';
				html += ' </a>';
				html += '</li>';
			}
			$("#jl-table-view").append(html);
			//加载事件
			addEvent();
			//lazyload（延迟加载）  
			lazyLoadApi.addElements();
			plus.nativeUI.closeWaiting();
		},
		function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast('获取数据失败，请检查网络是否正常！' + type);
		});
}



/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
		//window.location.reload();
		mui('#pullrefresh').pullRefresh().refresh(true);
		currentPage = "1";
		totalNum = 0;
		//加载数据
		loadData(currentPage, pageSize, queryParam, tmpOrderBy, 1, $('#lat').val(), $('#longt').val());
	}, 1000);
}
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	setTimeout(function() {
		if (totalNum != $("#jl-table-view li").length) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false); //参数为true代表没有更多数据了。
			currentPage = (parseInt(currentPage) + 1).toString();
			//加载数据
			loadData(currentPage, pageSize, queryParam, tmpOrderBy, 0, $('#lat').val(), $('#longt').val());
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			//mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	}, 1000);
}

//打开产品
function openProdcut(id) {
	//打开详情页面
	openWin3('../booking/booking-video.html', 'booking-video.html', {
		videoId: id
	});
	
}

/**
 * 加载事件（活动）
 */
function addEvent() {
	mui('#jl-table-view li').off();
	//添加列表项的点击事件
	$('#jl-table-view li').on('tap', function(e) {
		var id = this.getAttribute('id');
		//打开详情页面
		openProdcut(id);
	});
}




$('#SPLX01').on('tap', function() {
	mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
	mui('#pullrefresh').pullRefresh().refresh(true);
	currentPage = "1";
	totalNum = 0;
	tmpQueryParam = " and V_TYPE='SPLX01' ";
	queryParam = tmpQueryParam;
	//加载数据
	loadData(currentPage, pageSize, queryParam, tmpOrderBy, 1, lat, longt);
});
