var wgtVer = null;
// 检测更新
var checkUrl = getApiServer() + "/Common/CheckUpdate.ashx?type=1";
// 下载wgt文件 
var wgtUrl = getApiServer() + "/update/com.jeelv.jlqzy.wgt";

//初始化
mui.plusReady(function() {
	// Android处理返回键
	//	plus.key.addEventListener('backbutton', function() {
	//		if (confirm('确认退出？')) {
	//			plus.runtime.quit();
	//		}
	//	}, false);

	// 获取本地应用资源版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		wgtVer = inf.version;
		$('#version').text('V' + wgtVer);
		console.log("当前应用版本：" + wgtVer);
	});

	//检测更新
	function checkUpdate() {
		plus.nativeUI.showWaiting("检测更新...");
		var xhr = new XMLHttpRequest();
		xhr.onreadystatechange = function() {
			switch (xhr.readyState) {
				case 4:
					plus.nativeUI.closeWaiting();
					if (xhr.status == 200) {
						console.log("检测更新成功：" + xhr.responseText);
						var newVer = xhr.responseText;
						if (wgtVer && newVer != '' && (wgtVer != newVer)) {
							downWgt(); // 下载升级包
						} else {
							plus.nativeUI.alert("无新版本可更新！");
						}
					} else {
						console.log("检测更新失败！");
						plus.nativeUI.alert("检测更新失败！");
					}
					break;
				default:
					break;
			}
		}
		xhr.open('GET', checkUrl);
		xhr.send();
	}

	//下载wgt文件
	function downWgt() {
		plus.nativeUI.closeWaiting();
		plus.nativeUI.showWaiting("正在下载更新文件...");
		plus.downloader.createDownload(wgtUrl, {
			filename: "_doc/update/"
		}, function(d, status) {
			plus.nativeUI.closeWaiting();
			if (status == 200) {
				console.log("下载wgt成功：" + d.filename);
				installWgt(d.filename); // 安装wgt包
			} else {
				console.log("下载wgt失败！");
				plus.nativeUI.alert("下载wgt失败！");
			}
		}).start();
	}

	// 更新应用资源
	function installWgt(path) {
		plus.nativeUI.showWaiting("正在安装更新文件...");
		plus.runtime.install(path, {
				force: true
			}, function() {
				plus.nativeUI.closeWaiting();
				console.log("安装wgt文件成功！");
				plus.nativeUI.alert("已更新到最新版本！", function() {
					plus.runtime.restart();
				});
				//			var btnArray = ['否', '是'];
				//			mui.confirm('系统已更新完成，是否重起？', '消息', btnArray, function(e) {
				//				if (e.index == 1) {
				//					plus.runtime.restart();
				//				}
				//		});
			},
			function(e) {
				plus.nativeUI.closeWaiting();
				console.log("安装wgt文件失败[" + e.code + "]：" + e.message);
				plus.nativeUI.alert("安装wgt文件失败[" + e.code + "]：" + e.message);
			});
	}

	//检查更新 
	$('#update').on('tap', function() {
		checkUpdate();
	});

});